2015-10-28  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Disable ASLR on El Capitan.
	* configure: Rebuild.

2015-05-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Installation): Report all compiler switches.
	* configure: Regenerate.

2015-05-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_EXPAND_VARIABLE):
	(CPP_to_sh):
	(CPP_boolean_to_sh):
	(COLON_TO_SPACE_WARN):
	Collect with other macro definitions.
	* configure: Regenerate.

2015-05-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (PostgreSQL): Fix shell syntax error.
	* configure: Regenerate.

2015-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (PostgreSQL): Allow specification of subdir.
	Add most recent versioned directories for multiversion
	installations (eg, MacPorts.
	* configure: Regenerate.

2015-04-09  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac:
	If X509_check_host() is available, check the number of arguments
	it takes. Don't use it if it takes any number of arguments other
	than five. Also don't use it if <openssl/x509v3.h> does not
	declare it, since if that is so there is no portable way to tell
	how many arguments it should take, and so we would end up smashing
	the stack.
	* configure: Regenerate.

2015-03-26  Vin Shelton  <acs@xemacs.org>

	* configure.ac: Recognize and support 64-bit cygwin, thanks to
	Henry S. Thompson  <ht@inf.ed.ac.uk>.
	* configure: Regenerated.

2015-02-28  Mike Kupfer  <mike.kupfer@xemacs.org>

	* README: fix note about which Bitbucket repository to push to.

2015-03-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (TLS): Prevent unintended fall-through to OpenSSL.
	* configure: Rebuild.

2015-01-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Xft): Remove dupes from pkg-config --cflags.

2015-01-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Postgresql): Improve Installation text.
	* configure: Rebuild.

2015-01-08  Stephen J. Turnbull  <stephen@xemacs.org>

	Fix progress bar crashes.
	Thanks to Ralf Soergel for diagnosis and a patch.

	* configure.ac (Athena widgets):
	Test for "international" resource in SimpleWidgetClass in libXaw3d.
	* configure: Rebuild.

2014-11-09  Jeff Sparkes  <jsparkes@gmail.com>

	* configure.ac (HAVE_GNUTLS): Add SSL/TLS libraries to $LIBS, not
	$LDFLAGS.

2014-10-10  Marcus Crestani  <crestani@xemacs.org>
        
	* configure.ac: Disable ASLR on Yosemite.
	* configure: Rebuild.

2014-10-09  Jerry James  <james@xemacs.org>

	* configure.ac: Check for TLS headers as well as libraries.

2014-10-07  Jerry James  <james@xemacs.org>

	* configure.ac: Add TLS support.

2014-02-11  Jerry James  <james@xemacs.org>

	* .hgignore: Add man/Makefile.

2013-10-28  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Disable ASLR on Mavericks.
	* configure: Rebuild.

2013-09-08  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: x86_64 Macs also use POSIX virtual-dirty-bit write
	barrier.
	* configure: Rebuild.

2013-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (makeinfo):
	Use basic regexp.  Avoid autoconf errors on empty version strings.
	Report version found if insufficient.  Lightly tested.

2013-06-25  Jerry James  <james@xemacs.org>

	* INSTALL: Update required makeinfo version.
	* Makefile.in.in: Check for usable makeinfo before invoking submake.
	* configure.ac: Try to find makeinfo >= 4.12.

2013-06-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.34 "kale" is released.

2013-06-17  Jerry James  <james@xemacs.org>

	* configure.ac: Support bignums with MPIR.

2013-06-17  Jerry James  <james@xemacs.org>

	* configure.ac: Add check for mp_set_memory_functions.

2013-03-12  Jerry James  <james@xemacs.org>

	* config.guess: Update to latest upstream version.
	* config.sub: Ditto.
	* install-sh: Ditto.

2013-03-04  Jerry James  <james@xemacs.org>

	* configure.ac: Check for large file support.

2013-03-04  Jerry James  <james@xemacs.org>

	* configure.ac: Complete removal of need_modules_common, forgotten
	in the previous patch.

2013-03-02  Jerry James  <james@xemacs.org>

	* configure.ac: Make symbolic links in src for module source files
	if they are built into the executable, so they are built with the
	same CFLAGS as the non-module source files.

2013-01-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.33 "horseradish" is released.

2012-12-27  Robert D. Royar	<xemacs@royar.org>

	Minor additions by Stephen J. Turnbull <stephen@xemacs.org>.

	* INSTALL: correct typographical errors; update 
	version numbers provided in Running Make section;
	change default datadir reference to /usr/local/share
	to match all other references to datadir's subdirectories;
	change "can not" to "cannot".

2012-11-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Reorganize and update.
	Thanks to Steven Mitchell for the suggestion.

2012-08-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Package Search): New Installation section.
	Warn about missing system package hierarchies.

	* configure: Regenerate.

2012-08-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.32 "habanero" is released.

2012-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	Thanks to Robert Delius Royar <xemacs@frinabulax.org>.

	* configure.ac (ASLR): Disable it on Mountain Lion, too.
	* configure: Regenerate.

2011-11-27  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* configure.ac: 
	Add "-Wl,-no_pie" to linker flags on Mac OS X Lion to disable ASLR
	that breaks pdump.
	* configure: Regenerate.

2011-11-21  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* .hgignore:
	* configure.ac: 
	Reflect move of etc/dbxrc.in to src/.dbxrc.in.
	* configure: Regenerate.

2011-11-21  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* configure: Regenerate with Autoconf 2.68.  Default Autoconf 2.61
	that comes with Mac OS X Lion breaks configure's ability to create
	Makefiles.
	
2011-11-21  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* configure.ac: Fix creation of etc/dbxrc and src/.dbxrc; only try
	to create Makefile when Makefile.in is there.
	* configure: Regenerate.
	
2011-10-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (with_athena): Refactor check for Xaw3d.

2011-09-05  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac: $machine is intel386, reflecting the file name
	under src/m/, on i[3-9]86. Respect this when deciding on VDB_POSIX
	over VDB_MACH with the new GC.
	* configure:
	Regenerate.

2011-08-24  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac:
	On OS X, if dlopen() is available in dlfcn.h, use it in preference
	to dyld; the latter API is deprecated.
	Move DLSYM_NEEDS_UNDERSCORE together with HAVE_DLYD, it's not
	needed if the dlsym() and dlopen() APIs are being used.
	Define REALPATH_CORRECTS_CASE, DEFAULT_FILE_SYSTEM_IGNORE_CASE in
	this file, don't define them in terms of HAVE_DYLD in
	src/config.h.in.
	* configure: Regenerate.

2011-05-20  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Default DESTDIR to the empty string, and use it in
	install targets.

2011-05-02  Jeff Sparkes  <jsparkes@gmail.com>

	* configure.ac (HAVE_MS_WINDOWS): On cygwin, use the w32api package
	libraries in /usr/lib/w32api.  Fix for tracker issue745.

2011-04-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.31 "ginger" is released.

2011-04-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.30 "garlic" is released.

2011-03-24  Jerry James  <james@xemacs.org>

	* INSTALL: "youself" -> "yourself".
	* aclocal.m4: "dependancy" -> "dependency".
	* configure.ac: "priveleges" -> "privileges".
	* configure: Regenerate.

2010-11-02  Mats Lidell  <matsl@xemacs.org>

	* netinstall: removed 

2010-06-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* aclocal.m4: Add standard permission boilerplate.

2010-06-02  Aidan Kehoe  <kehoea@parhasard.net>

	* version.sh.in: 
	* configure.ac (XE_COMPLEX_ARG, XE_EXPAND_VARIABLE):
	Remove conditionals and information for InfoDock.

2010-04-09  Ben Wing  <ben@xemacs.org>

	* CHANGES-beta:
	Update with my changes to the trunk since the release of 21.5.29
	in 2009 up through April 9, 2010.

2010-04-02  Aidan Kehoe  <kehoea@parhasard.net>

	* CHANGES-beta:
	Update with my changes to the trunk since 2009-09-20.

2010-03-18  Ben Wing  <ben@xemacs.org>

	* CHANGES-beta:
	Partially updated with last couple of months worth of changes.

2010-03-18  Mike Sperber  <mike@xemacs.org>

	* INSTALL: Reflect change from `lib' to `share'; also, document
	how to invoke configure to get the old setting.

	* configure.ac: Set LATE_PACKAGE_DIRECTORIES_USER_DEFINED if
	`datadir' was changed; set `with_late_packages' to something
	sensible for this case.

2010-02-20  Ben Wing  <ben@xemacs.org>

	* configure.ac (XE_COMPLEX_ARG):
	Correct doc of --quick-build: It also doesn't check for Lisp shadows.

2010-02-20  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (XE_EXPAND_VARIABLE):
	* configure.ac (TAB):
	irix6-0.h renamed to irix6-5.h; sco7.h deleted.
	bsd4-3.h renamed to bsd-common.h.

	Simplify setting machine= for intel386, mips.

	Put back linux.h.

	Incorporate some stuff about debug/optimization flags in irix6-5.h
	into configure.ac.

	Add a comment about LCC stuff with optimization flags that should be
	fixed up.

2010-02-08  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (TAB):
	Various warnings that used to be present had mistakenly gotten
	turned off. Turn them back on.

2010-02-06  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (AC_LANG):
	* configure.ac (TAB):
	Add AC_LANG(C++) defs in a way very similar to AC_LANG(C), inserting
	our own flags, compiler, etc.

	When using g++, if we found ndbm, check whether we can compile a
	file using g++ and ndbm.h, calling some DBM routines.  Currently, this
	fails because the prototypes in ndbm.h are incomplete, omitting the
	arguments, which doesn't work with g++.  When ndbm.h is bad, we don't
	include it and instead provide our own prototypes; otherwise, we
	define TRUST_NDBM_H_PROTOTYPES, which signals to use the ones in
	ndbm.h.

2010-01-31  Ben Wing  <ben@xemacs.org>

	* configure.ac (TAB):
	Say "This Xft feature" rather than just "This feature" to make it
	possible to more safely filter out the warning in my `runcc'
	script without the possibility of filtering out genuinely
	important warnings.
	* configure: Regenerate.

2010-01-23  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (XE_COMPLEX_ARG):
	Expand the help for --with-debug to describe more specifically what
	exactly gets turned on.  Expand the help for --with-error-checking
	to describe all the possible arguments, including `all', `none',
	`noFOO', multiple arguments, etc.

	Change so that `--with-error-checking' is the same as
	`--with-error-checking=all'.  Currently, `--with-error-checking' has
	no effect at all!  It just means "leave all error-checking for
	specific classes to their default values", which are "maybe", and
	get converted to "yes" or "no" depending on whether we are running
	a beta XEmacs.

2010-01-24  Ben Wing  <ben@xemacs.org>

	* configure: Rebuild.

2010-01-24  Ben Wing  <ben@xemacs.org>

	* aclocal.m4 (XE_SHLIB_STUFF):
	Use -export-all-symbols instead of -export-dynamic on PE targets
	(Cygwin and MinGW).
	
	* configure.ac (XE_EXPAND_VARIABLE):
	* configure.ac (TAB):
	Create variable XEMACS_CC_GPP to check whether we're running g++.
	Don't just check for an executable called `g++' -- it might be
	called g++-4 or whatever.  Instead, check for either named `g++*'
	or claiming to be g++ when called with --version.  Rewrite code do
	use the variable.

	Add -fno-strict-aliasing to optimization flags when GCC and
	optimized, and in all cases with g++, since under these circumstances
	strict aliasing is otherwise assumed, and XEmacs can't easily be
	made to respect its restrictions.

	* configure: Regenerate.
	
	

2010-02-01  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (TAB):
	USE_XFT* -> HAVE_XFT*.

2010-01-14  Ben Wing  <ben@xemacs.org>

	* PROBLEMS:
	Add description of crash on recent Cygwin 1.7 when using C++, NEWGC
        and optimization.

2010-01-16  Aidan Kehoe  <kehoea@parhasard.net>

	* configure: Regenerate, now we no longer look for rint().

2010-01-20  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in:
	* Makefile.in.in (GENERATED_HEADERS):
	* Makefile.in.in (.PHONY):
	* Makefile.in.in (src/.gdbinit):
	* configure:
	* configure.ac (TAB):
	etc/gdbinit.in has been moved to src/.gdbinit.in.in.  Reflect
	this -- generate src/.gdbinit.in from src/.gdbinit.in.in, and
	use the normal mechanism for doing so instead of copying it
	specially.

	Add target for `config-changed' and pass down to `src'.
	Move some PHONY declarations to just before the actual targets.

2010-01-16  Aidan Kehoe  <kehoea@parhasard.net>

	* configure: Regenerate, now we no longer look for rint().

2010-01-13  Jerry James  <james@xemacs.org>

	* configure.ac: Update comment about Cygwin and pdump.

2010-01-13  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (fix-perms):
	Add target for fix-perms.  Run it to correct permissions.

	* INSTALL:
	* PROBLEMS:
	* configure:
	* configure.ac (XE_COMPLEX_ARG):
	* configure.ac (XE_EXPAND_VARIABLE):
	* configure.ac (TAB):
	Rename all instances of enable-FOO to with-FOO.  enable-FOO has long
	been aliased to with-FOO and we still preserve this, but formerly
	we randomly used enable-FOO but with-BAR.

2010-01-11  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (TAB):
	Add check for cygwin_conv_path().

2010-01-11  Ben Wing  <ben@xemacs.org>

	* configure:
	* configure.ac (TAB):
	Define USE_GPLUSPLUS when compiling with g++.

2010-01-06  Jerry James  <james@xemacs.org>

	* configure.ac: Add --with-valgrind option.
	* configure: Regenerate.

2009-12-21  Jerry James  <james@xemacs.org>

	* INSTALL: Remove references to OffiX.
	* configure.ac: Remove support for OffiX drag-and-drop.
	* configure: Regenerate.

2009-12-21  Jerry James  <james@xemacs.org>

	* INSTALL: Replace reference to yow.

2009-12-18  Jerry James  <james@xemacs.org>

	* INSTALL: Remove reference to rcs-checkin.

2009-12-18  Jerry James  <james@xemacs.org>

	* build-msw-release.sh: Add copyright and GPL v2 or later header
	with permission of Andy Piper.

2009-12-09  Jerry James  <james@xemacs.org>

	* INSTALL: Remove description of --without-xmu option.
	* configure.ac: Remove --with[out]-xmu option.  Issue informative
	error message if libXmu cannot be found.  Change all Xmu-related
	tests to assume Xmu is present.
	* configure: Regenerate.

2009-12-01  Mike Alexander  <mta@umich.edu>

	* configure.ac: Make --with-database={dbm|gdbm} work again, it's
	testing $ndbm_h_found which is never set.
	* configure: ditto

2009-11-10  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Remove dynodump support.  Delete out-of-date comment
	about Xenix.
	* aclocal.m4: Remove support for old operating systems.
	* configure.ac: Remove support for old machines and operating systems.
	Remove support for dynodump.
	(COFF_ENCAPSULATE) Remove, unused.
	* configure: Regenerate.
	* dynodump: Remove.

2009-11-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Describe duplicate symbol warnings on Mac OS X.

2009-11-11  Stephen Turnbull  <stephen@xemacs.org>

	* configure.ac (SYSTEM_MALLOC): Use system malloc on darwin.
	(USE_PARAM_H): #include <sys/param.h> to do needed #defines.

2009-11-09  Jerry James  <james@xemacs.org>

	* configure.ac: Don't define GNU_MALLOC, as there is no longer an
	"old" GNU malloc.

2009-10-05  Jerry James  <james@xemacs.org>

	* configure.ac: Check for external giflib instead of using builtin
	gif support.  Remove "(builtin)" from relevant strings.

2009-07-31  Stephen Turnbull  <stephen@xemacs.org>

	* configure.ac (HAVE_DBM): Use gdbm/ndbm.h if needed.
	Thanks to Karl Kleinpaste for the report.

2009-07-28  Mike Sperber  <mike@xemacs.org>

	* Makefile.in.in: Don't install silly symlinks when $(prefix) !=
	$(exec_prefix).

2009-07-28  Mike Sperber  <mike@xemacs.org>

	* configure.ac: Expand @PREFIX@ in paths.h.

2009-07-28  Mike Sperber  <mike@xemacs.org>

	* configure.ac: More accurate tests if paths have been set
	explicitly on the configure command line.

2009-07-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_MERGED_ARG): Use correct separator when
	registering options to _AC_USER_OPTS.

2009-05-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.29 "garbanzo" is released.

2009-02-11  Jerry James  <james@xemacs.org>

	* config.guess:
	* config.sub: Update to 2009-02-03 versions.

2009-01-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac: Adopt Martin's suggestion of declaring argv as
	char ** (from <18643.15864.667930.542671@gargle.gargle.HOWL>).

2008-12-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (xemacs_cc_cc_mismatch): Fix my syntax errors.

2008-12-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* .hgignore: Add terminating newline to .hgignore.

2008-12-27  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac: Vladimir Ivanovic's change of 2008-09-17 was
	effective, but not correct. The original issue was that m4
	stripped [], so "char *v[]" in configure.ac became "char *v" in
	configure. His change to configure.ac rendered the declaration
	"char **v[]", which is effective but confusing; this change
	renders it "char **v".
	* configure: Regenerate.

2008-10-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Give better pointers to package documentation.

2008-10-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (xemacs_cc_cc_mismatch): Improve g++ detection.

2008-09-17  Vladimir G. Ivanovic  <vladimir@acm.org>

	* configure:    Fixed two typos in args of main: char *v -> char **v
	* configure.ac: Fixed two typos in args of main: char *v -> char **v

2008-08-03  Mats Lidell  <matsl@xemacs.org>

	* configure.ac: Fix typo xft_gauge to xft_gauges

	* configure.ac (XE_COMPLEX_ARG): Use different defaults for
	with-xft and without-xft.

2008-07-06  Ville Skyttä  <scop@xemacs.org>

	* configure.ac (xe_fst):
	New, to replace m4_fst which disappeared in autoconf 2.62 (#370).
	(XE_EXPAND_COMPLEX_OPTIONS): Use xe_fst.

2008-05-12  Michael Sperber  <mike@xemacs.org>

	* configure.ac: 
	A number of the checks that tried to determine whether an explicit
	path was specified were wrong.
	Also, add an AC_SUBST for INFOPATH.

2008-05-07  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac (XE_EXPAND_VARIABLE): Call AC_SUBST on
	SHEBANG_PATHNAME, as suggested by Michael Sperber in
	y9ly7aj1wfc.fsf@deinprogramm.de.
	* Makefile.in.in: Regenerate.
	* configure: Ditto.

2008-01-20  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile.in.in (SHEBANG_PROGNAME): 
	New variable; a symbol link to the XEmacs binary to tell it it
	should read a script from stdin. 
	* configure.ac (XE_EXPAND_VARIABLE): 
	Set SHEBANG_PROGNAME. 
	* configure: 
	Regenerate.

2008-04-01  Andreas Schwab  <schwab@suse.de>

	Thanks to Mike Fabian for posting a patch to the mainline, to Martin
	Buchholz for writing the ChangeLog, and to Aidan Kehoe for finding
	the 2003-01-27 ChangeLog.  Tested against Xaw3d. -- stephen

	* configure.ac (athena_3d):
	AC_CHECK_LIB must always take a function as
	argument, never a global variable.  Some linkers can tell the
	difference.  So change:
	threeDClassRec ==> XawSme3dComputeTopShadowRGB

2008-02-15  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Look for all x86 machines to determine which write
	barrier to use on MacOSX.
	* configure : Rebuild.

2008-02-12  Jerry James  <james@xemacs.org>

	* install.sh: Rename to install-sh and update to latest FSF version.

2008-01-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (--with-database): 'gnudbm' -> 'gdbm' in docstrings.

2008-01-25  Michael Sperber  <mike@xemacs.org>

	* Makefile.in.in:
	* configure.ac:
	* version.sh.in: Use Mercurial tip hash to identify version
	instead of old CVS method.

2008-01-17  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac:
	If using a version of the gdbm library that sticks dbm_open in
	libgdbm_compat.so, also link to that library. 
	Correct a thinko with DBM version 4 checks. Both from Hans de
	Graaff, in 
	http://mid.gmane.org/20050812092756.6850.qmail@graaff.xs4all.nl
	and
	http://mid.gmane.org/pan.2007.06.24.10.10.57@gentoo.org; thank you
	Hans!
	* configure:
	Regenerate.

2008-01-01  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (mkpkgdir): Fix incorrect comment convention.

2007-12-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (mkpkgdir): Ensure only one late package directory.

2007-12-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (check-available-packages): Say where to install.
	(mkpkgdir): 

2007-12-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (mkpkgdir):
	(check-available-packages):
	(install-bootstrap-packages):
	(install-nonmule-packages):
	(install-all-packages):
	New targets supporting bundled packages.

	* .hgignore: Ignore tarballs in etc/bundled-packages/.

2007-12-08  Jerry James  <james@xemacs.org>

	* config.guess:
	* config.sub: Sync with the latest upstream versions.

2007-12-12  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac :
	Check for FcConfigGetRescanInterval, FcConfigSetRescanInterval.
	* configure :
	Rebuild.

2007-08-27  Mike Sperber  <mike@xemacs.org>

	* configure.ac: Try to use pkg-config for finding Xft includes and
	libraries.  If that fails, search also in /usr/local.

2007-08-12  Mike Sperber  <mike@xemacs.org>

	* Makefile.in.in (datarootdir): Add.
	* configure.ac (infodir): Now in terms of $(datarootdir).
	(mandir): Ditto, making it usually point to $(prefix)/share/man,
	conformant with the GNU Coding Standards.

2007-07-31  Mike Sperber  <mike@xemacs.org>

	* configure.ac: Don't divert `share' to `lib' for datadir.
	Also, define AC_DATAROOTDIR_CHECKED to shut up autoconf.

2007-05-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.28 "fuki" is released.

2007-05-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (error-checking): Move comma misplaced by sorting.
	* configure: Regenerate.

2007-05-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (error-checking): Reorder arguments and sync doctring.

2007-03-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: describe crash when inserting or displaying a TAB.
	Thanks to Aidan Kehoe for the diagnosis.

2006-12-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (ar): Sun has it but hides it; check for it.
	(ssize_t): Use the modern check and document todo.

2007-02-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (canna):
	Move #define of CANNA_NEW_WCHAR_AWARE to config.h.
	Use -DCANNA_NEW_WCHAR_AWARE since check for RK.h fails otherwise.
	Refactor into loops over orthogonal tweaks (prefix and define).
	Use have_canna to track detection success, not with_canna.
	Add AC_MSG_WARNs documenting autoconf's bogosity (ours, too).

2007-01-01  Malcolm Purvis  <malcolmp@xemacs.org>

	* aclocal.m4 (XE_SHLIB_STUFF): Use $EGREP instead of egrep.

2006-12-28  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Ensure ac_configure_args contains a leading space
	to work around problems with 'config.status --recheck' under
	autoconf 2.60 and 2.61.

2006-12-27  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac (XE_MERGED_ARG): Register --enable and --with forms
	with the option checking list.

2006-12-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (${srcdir}/configure): Generated from configure.ac.

2006-12-06  Dr. Volker Zell  <Dr.Volker.Zell@oracle.com>

	* configure.ac: Check for u_int*_t typedefs.

2006-12-06  Dr. Volker Zell  <Dr.Volker.Zell@oracle.com>

	* configure.ac: Avoid using Motif for cygwin.

2006-11-23  Mike Sperber  <mike@xemacs.org>

	* configure.ac (XE_EXPAND_VARIABLE): Fully expand the various
	directories before comparing them for figuring out which of them
	are user-defined.  Use XE_EPXAND_VARIABLE macro created for this
	purpose where applicable.

2006-12-07  Rick Rankin  <rick.rankin@yahoo.com>

	* configure.ac: Add new library name for cygwin's xpm.

2006-12-07  Rick Rankin  <rick.rankin@yahoo.com>

	* configure.ac: Add new library name for cygwin's xpm.

2006-10-30  Malcolm Purvis  <malcolmp@xemacs.org>
	* configure.ac (XE_CDR): m4_cdr differs in autoconf 2.59 and 2.60.
	(XE_EXPAND_COMPLEX_OPTIONS): Use XE_CDR, not m4_cdr.

2006-07-18  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Intel-based Macs can use POSIX-style write
	barrier.  Use $machine to determine this.

2006-07-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (system-packages,legacy-packages): Fix help strings.

	* configure.in: cvs remove.
	* configure.usage: cvs remove.

2006-06-20  Jerry James  <james@xemacs.org>

	* configure.ac: When gcc is used, capture the values of __GNUC__
	and __GNUC_MINOR__.  Use them to conditionally add warning flags
	that are not supported by all versions of gcc.

2006-06-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Build Makefile.in's from Makefile.in.in's):
	Create $srcdir/src/depend if it's missing.

2006-06-05  Jerry James  <james@xemacs.org>

	* configure.ac: Change "if -z" to "if test -z".

2006-05-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac: Look for debugger init file templates in etc/, not
	src/.  Debugger init files depend on config.h; recreate on every
	configure.  Support XCOMM convention.  Update FSF copyright.

2006-05-17  Malcolm Purvis  <malcolmp@xemacs.org>

	* PROBLEMS: Add entry concerning X errors when using ssh.

2006-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: X11R7 loses x11/bitmaps/gray.

2006-05-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.27 "fiddleheads" is released.

2006-04-06  Jerry James  <james@xemacs.org>

	* COPYING: Update to latest upstream version.

2006-04-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac: Add stubs for fontconfig configuration.

2006-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.26 "endive" is released.

2006-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	Miscellaneous doc cleanup, parts 2-4: move CHANGES-msw,
	TODO.ben-mule-21-5, README.ben-mule-21-5, and
	README.ben-separate-stderr to Internals Manual.

	* CHANGES-msw: Removed.
	* TODO.ben-mule-21-5: Removed.
	* README.ben-mule-21-5: Removed.
	* README.ben-separate-stderr: Removed.

2006-03-29  Stephen J. Turnbull  <stephen@xemacs.org>

	Miscellaneous doc cleanup, part 1: move CHANGES-ben-mule to
	Internals Manual.

	* CHANGES-ben-mule: Removed.

	* ChangeLog:
	* lib-src/ChangeLog:
	* lisp/ChangeLog:
	* lwlib/ChangeLog:
	* man/ChangeLog:
	* man/internals/internals.texi:
	* modules/ChangeLog:
	* netinstall/ChangeLog:
	* nt/ChangeLog:
	* nt/installer/Wise/ChangeLog:
	* src/ChangeLog:
	* tests/ChangeLog:
	Update the Great Mule Merge placeholders to point to Internals
	Manual node "The Great Mule Merge of March 2002".
	N.B. Self-referencing log entries were *not* added to other logs.

2006-03-30  Jerry James  <james@xemacs.org>

	* configure.ac: Fix for -Kalloca detection, also broken by the
	recent autoconf updates.  Thanks to Ilya Golubev.

2006-03-30  Jerry James  <james@xemacs.org>

	* configure.ac: Fix FOR_MSW XPM test, broken by previous update.

2006-03-27  Jerry James  <james@xemacs.org>

	* aclocal.m4: Updates for autoconf 2.59.
	* configure.ac: Ditto.  Also, don't bother checking for inttypes.h
	and unistd.h explicitly, since AC_HEADER_STDC does that.

2006-03-27  Jerry James  <james@xemacs.org>

	* configure.ac: Repair ALSA detection.

2006-03-24  Jerry James  <james@xemacs.org>

	* configure.ac: Autodetect ALSA support and report it if detected.

2006-02-22  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Remove mc-alloc, replace it with newgc, adjust
	output and comments.

2006-02-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.25 "eggplant" is released.

2006-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Mule): Mark broken test with ####.

2006-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Mule): Remove obsolete comment on XIM.

2006-01-30  Vin Shelton  <acs@xemacs.org>

	* configure.ac: Simplify cygwin include and no-X Xpm handling.
	As of cygwin-1.5.19 (if you're using /bin/gcc),
	'gcc -print-file-name=libc.a' (effectively) returns '/lib'
	instead of '/usr/lib', so we'll use 'gcc -print-search-dirs'
	instead.

2005-12-29  Mike Sperber  <mike@xemacs.org>

	* Makefile.in.in (top-distclean-noconfig): Don't delete
	site-packages xemacs-packages mule-packages site-lisp---those are
	supposed to stick around.

2005-11-25  Mike Sperber  <mike@xemacs.org>

	* CHANGES-beta:
	* configure.ac: Zap --with-package-prefix; instead, add
	--with-user-packages/--with-early-packages,
	--with-system-packages/--with-late-packages, and
	--with-legacy-packages/--with-last-packages.

2005-12-13  Mike Sperber  <mike@xemacs.org>

	* configure.ac: Move the checks for the Xft-associated library out
	of a conditional.

2005-12-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Xft): Fix typo preventing report of Xft buffers.
	Remove now-irrelevant comments.

2005-12-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac: Three typos fixed.

2005-12-13 Mike Sperber  <mike@xemacs.org>

	* configure.ac: Move the checks for the Xft-associated
	library out of a conditional.

2005-12-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.24 "dandelion" is released.

2005-12-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_COMPLEX_ARG): Substitute '_' for '-' in default
	variable names.

2005-12-09  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac (XE_EXPAND_COMPLEX_OPTION):
	* configure.ac (XE_INIT_COMPLEX_OPTION):
	* configure.ac (XE_PARSE_COMPLEX_OPTION):
	* configure.ac (XE_COMPLEX_ARG):
	With the help of Stephen Turnbull rewrote the option processing to
	give more consistent under the various combinations of all, none,
	no, yes, --without, --with, etc that can occur.

2005-11-27  Marcus Crestani  <crestani@xemacs.org>

	* configure.ac: Remove vdb-fake warning, die if POSIX checks fail.

2005-11-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_COMPLEX_ARG[xft]): Default everything off;
	change doc.

2005-11-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_COMPLEX_ARG[xft]): Remove merge detritus and
	regenerate configure to fix syntax error.

2005-11-26  Stephen J. Turnbull  <stephen@xemacs.org>

	Merge Xft.

    2005-03-05  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Correct the filename of the old copy of configure.

    2005-03-05  Malcolm Purvis  <malcolmp@xemacs.org>

	* config.guess:
	* config.sub: Sync with the latest upstream versions.
	* configure.ac:  Use --verbose for --extra-verbose.   Better
	quoting of arguments.  Internal shell vars statr with '_' to avoid
	name clashes.  Pick up the latest changes to configure.in.
	Improve the testing of Athena 3d widgets.

    2005-02-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (athena): Spells as 3d, not xaw3d, in declaration.
	(sound): quickfix: AC_DEFINE, not AC_DEFINE_UNQUOTED, at top level.

    2005-02-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (XE_EXPAND_COMPLEX_OPTION): Use same name in comment.
	(XEmacs keyword option support):
	(XEmacs complex option support):
	Move long header comments to internals.texi(The configure Script).

    2005-02-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac:  Trap --with-style flags, now --enable.

    2005-02-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Autodetect native sound):
	Handle NetBSD per Aidan's patch.

    2005-02-11  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Added keyword option support.  Converted database,
	sound, athena, xim, bignum, error-checking, menubars, scrollbars,
	dialogs and widgets command line arguments to use keyword option
	and complex option macros.

    2005-02-09  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac (XE_COMPLEX_OPTION):
	* configure.ac (XE_COMPLEX_OPTION_HELP_STRING):
	* configure.ac (XE_COMPLEX_ARG_WITH):
	* configure.ac (XE_COMPLEX_ARG_ENABLE):
	Rewritten complex option support with a simpler API and support
	for --enable as well a --with.

    2005-02-02  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac Align with the current mainline version of
	configure.in.

    2005-02-01  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Xrender, fontconfig, and Xft):
	Check /usr/include/freetype2.

    2005-01-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (AC_COPYRIGHT): Update.
	(progname): Restore and improve documentation.

	(XE_INIT_COMPLEX_OPTION):
	(XE_APPEND_COMPLEX_OPTION_DEFAULT):
	(XE_PARSE_COMPLEX_OPTION):
	(XE_CLEANUP_COMPLEX_OPTION):
	(XE_COMPLEX_OPTION_HELP_STRING): Support complex options.
	(--with-xft): Add Xft support using the complex option support.

	(--with-xface):
	(--with-zlib):
	(--with-xmu):
	(--with-purify):
	(--with-quantify):
	(--with-toolbars):
	(--with-tty):
	(--with-xfs):
	(--with-canna):
	(--with-wnn):
	(--with-wnn6):
	(--with-ldap):
	(--with-postgresql):
	(--with-infodock):
	(--with-native-sound-lib):
	(--with-netinstall):
	(--with-site-includes):
	(--with-site-libraries):
	(--with-site-prefixes):
	(--with-package-prefix):
	(--with-package-path):
	(--enable-external-widget):
	(--enable-kkcc):
	(--enable-union-type):
	(--enable-pdump):
	(--enable-debug):
	(--enable-memory-usage-stats):
	(--enable-error-checking):
	(--with-rel-alloc):
	(--with-dlmalloc):
	(--with-debug-malloc):
	(--with-system-malloc):
	Improve (including add) help strings.

	(--with-athena):
	(--with-xim):
	(--with-mail-locking):
	(--enable-bignum):
	(--enable-menubars):
	(--enable-scrollbars):
	(--enable-dialogs):
	(--enable-widgets):
	Fix `eval "$FEATURE=\"$val\"" bug.

    2005-01-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL (CONFIGURATION OPTIONS):
	Insert Malcolm's notes on autoconf 2.59 support.

    2005-01-04  Malcolm Purvis  <malcolmp@xemacs.org>

	* aclocal.m4: Changes to support autoconf 2.59
	* config.guess:
	* config.sub: Upgraded to the version in from automake 1.9
	* configure.ac: Rewritten for autoconf 2.59 support.

    2004-12-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage: Various minor improvements.

    2004-12-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Update FSF's copyright.  Support --with-xft=LIST
	syntax.  Try to find a directory containing freetype/ftheader.h.

	* configure.usage (--with-xft): Update.

    2004-11-20  Stephen J. Turnbull  <stephen@xemacs.org>

	Xft branch based on "Xft reloaded #3" patch by Eric Knauel and
	Mathias Neuebaur, and other contributors.

	* configure.in:
	* configure.usage:
	Implement and document switches for configuring Xft.

2005-11-21  Marcus Crestani  <crestani@xemacs.org>

	Incremental Garbage Collector

	* configure.ac: Add newgc option; if newgc, turn on kkcc and
	mc-alloc.  Add checks for write barrier, determine which write
	barrier to use.  Add vdb option to override write barrier
	auto-detection.  Generate .gdbinit and .dbxrc.

2005-11-22  Ben Wing  <ben@xemacs.org>

	* dynodump/Makefile.in.in (mostlyclean):
	Ignore errors from rm during clean.

2005-11-22  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (top-mostlyclean):
	* Makefile.in.in (top-clean):
	* Makefile.in.in (top-distclean-noconfig):
	* Makefile.in.in (top-distclean):
	* Makefile.in.in (top-realclean-noconfig):
	* Makefile.in.in (top-extraclean-noconfig):
	* Makefile.in.in (TAGS tags):
	Ignore errors from rm during clean, to prevent problems trying to
	remove lock/CVS.

2005-11-08  Malcolm Purvis  <malcolmp@xemacs.org>

	* Makefile.in.in: Install PROBLEMS into .../etc
	* PROBLEMS: Update description of MacOS X stack size limit.

2005-11-08  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac : Reorganised the option list so that the help
	output looks like configure.usage from 21.4

2005-11-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (checks for typedefs): TODO comment.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* dynodump/Makefile.in.in:
	* dynodump/Makefile.in.in (.PHONY):
	Add targets distclean-noconfig, realclean-noconfig, extraclean-noconfig.
	Do some refactoring for cleanliness.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in:
	* Makefile.in.in (beta):
	* Makefile.in.in (FRC.mostlyclean FRC.clean FRC.distclean FRC.realclean FRC.extraclean FRC.tags):
	* Makefile.in.in (.PHONY):
	* Makefile.in.in (top-mostlyclean):
	* Makefile.in.in (mostlyclean):
	* Makefile.in.in (top-clean):
	* Makefile.in.in (clean):
	* Makefile.in.in (distclean):
	* Makefile.in.in (realclean):
	Add targets distclean-noconfig, realclean-noconfig, extraclean-noconfig.
	*-noconfig targets are like the base targets they're based off of, but
	don't delete Makefiles and certain other files needed to rebuild the
	Makefiles as necessary.  Refactor things to be more consistent.
	Top-level `elcclean' is an alias for `realclean-noconfig' and is used
	by target `beta'.  `realclean-noconfig' (and, by extension, `realclean'
	and `extraclean') remove the .elc files.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* configure.ac (win32 native sound):
	Dependent on operating system, not on window system.

2005-11-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (AC_INIT): Use it correctly.

2005-11-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (PostgreSQL): Check for link against SSL+crypto.

2005-11-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Add map from old options as appendix.

2005-11-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Various minor improvements.

2005-10-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.23 "daikon" is released.

2005-10-25  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Prefer Xaw to Motif on Linux, Mac and BSD.  From
	21.4.
	* configure.ac (XE_PARSE_COMPLEX_OPTION):  Remove debugging.
	Fix broken --with-<complex>=no.

2005-10-20  Malcolm Purvis  <malcolmp@xemacs.org>

	* INSTALL: Reflect changes in the configure options.  Update MacOS
	X X11 installation instructions to reflect the changes in recent
	OS releases.

2005-10-15  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Added XE_MERGED_ARG to alias all local --enable
	and --with options.  Configure can only be built with autoconf
	2.59.  Prevent many unwanted blank lines from appearing in
	configure.

2005-10-13  Ben Wing  <ben@xemacs.org>

	* configure.ac (XE_COMPLEX_ARG_ENABLE):
	Break lines.
	* configure.ac (TAB):
	Rewrite optimization help to be accurate.  Setting
	`--with-cflags-optimization=""' will now unilaterally turn off
	optimization; setting it to something non-null unilaterally turns it
	on.

2005-09-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (Canna): Configure as module if appropriate.

	* Makefile.in.in (modules/canna): Add dependency on lib-src (ellcc).

2005-09-18  Mike Alexander  <mta@arbortext.com>

	* configure.ac: Fix the cygwin, non-X build by adding XPM header
	and library files to XE_CFLAGS.  Patch from Rick Rankin.

2005-09-17  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.in: Replace with warning to use autoconf 2.59.
	* configure.ac: Removed warning about the use of autoconf 2.59.

2005-09-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.22 "cucumber" is released.

2005-07-20  Didier Verna  <didier@xemacs.org>

	* CHANGES-beta: Remove the face aliasing feature announcement.

2005-07-19  Didier Verna  <didier@xemacs.org>

	* CHANGES-beta: Announce the face aliasing feature.

2005-05-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.21 "corn" is released.

2005-05-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac: Explain how to turn off KKCC, too.

2005-05-19  Marcus Crestani  <crestani@xemacs.org>

	* configure:
	* configure.ac: Enable new allocator and KKCC by default.

2005-05-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* CHANGES-beta: Update for release.

2005-04-22  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Make srcdir absolute before calling
	AC_CONFIG_AUX_DIR_DEFAULT, include X headers for shape.h,
	terminate checking lines when testing for dynamic libraries.
	* configure: Regenerated.

2005-04-01  Marcus Crestani  <crestani@xemacs.org>

	The new allocator.

	New configure flag: `MC_ALLOC':

	* configure.ac (XE_COMPLEX_ARG_ENABLE): Add `--enable-mc-alloc' as
	a new configure flag.
	* configure.in (AC_INIT_PARSE_ARGS): Add `--mc-alloc' as a new
	configure flag.
	* configure.usage: Add description for `mc-alloc'.

	DUMP_IN_EXEC:

	* Makefile.in.in: Condition the installation of a separate dump
	file on !DUMP_ON_EXEC.
	* configure.ac (XE_COMPLEX_ARG_ENABLE): Add
	`--enable-dump-in-exec' as a new configure flag.
	* configure.ac: DUMP_IN_EXEC is define as default for PDUMP but
	not default for MC_ALLOC.
	* configure.in (AC_INIT_PARSE_ARGS): Add `--dump-in-exec' as a
        new configure flag.
	* configure.in: DUMP_IN_EXEC is define as default for PDUMP but
	not default for MC_ALLOC.
	* configure.usage: Add description for `dump-in-exec'.

2005-03-31  Jerry James  <james@xemacs.org>

	* configure.ac: Aidan's 2005-03-30 patch, but against
	configure.ac.

2005-03-30  Aidan Kehoe  <kehoea@parhasard.net>

	* configure: #include <X11/Intrinsic.h.> -> #include
	<X11/Intrinsic.h>, thank you Robert Delius Royar.

2005-03-15  Jerry James  <james@xemacs.org>

	* configure.ac: Include <X11/Intrinsic.h> when checking for
	<Xaw/XawInit.h> usability.

2005-03-23  Vin Shelton  <acs@xemacs.org>

	* configure.in: Remove -fno-gnu-linker option from Solaris
	dynodump builds; it doesn't do anything.

	Don't use 'head -1' - it's deprecated by coreutils-5.3.0 on some
	platforms.

2005-03-24  Aidan Kehoe  <kehoea@parhasard.net>

	* configure: Regenerate.
	* configure.ac (XE_COMPLEX_ARG_ENABLE): --OPTION -> --with-OPTION
	in various docstrings and error messages.

2005-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.ac (--with-cflags-optimization):
	 (--with-cflags-debugging):
	If the user specifies them, use them, and don't make her beg.
	* configure.ac (Autodetect PNG): PNG & TIFF need -lz in AC_CHECK_LIB.

2005-03-15  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.ac: Fix problems with OpenBSD /bin/sh.

2005-03-13  Aidan Kehoe  <kehoea@parhasard.net>

	* configure.ac (TAB): Check $ac_cv_build, not $canonical, when
	working out whether to link against libossaudio.so on NetBSD.

2005-03-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.20 "cilantro" is released.

2005-03-07  Malcolm Purvis  <malcolmp@xemacs.org>

	* .cvsignore: Added autom4te.cache.
	* aclocal.m4: Changes to support autoconf 2.59
	* config.guess:
	* config.sub: Upgraded to the latest upstream version
	* configure.ac: Rewritten for autoconf 2.59 support.

2005-03-06  Malcolm Purvis  <malcolmp@xemacs.org>

	* INSTALL:
	* PROBLEMS: Change configure arguments to the new autoconf 2.5
	style configure.

2005-03-01  Aidan Kehoe  <kehoea@parhasard.net>

	* configure: Regenerated.
	* configure.in (XE_COMPUTE_RUNPATH): Check for the availability of
	XtRegisterDrawable.

2005-02-22  Adrian Aichner  <adrian@xemacs.org>

	* info/dir: Update to content generated by Info-rebuild-dir.

2005-02-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* version.sh (XEMACS_RELEASE_DATE): New version info variable.

	* configure.in (XEMACS_RELEASE_DATE):
	* configure.ac (XEMACS_RELEASE_DATE):
	Use it.

	* configure.ac (sound):
	AC_DEFINE_UNQUOTED seems OK, if it's not m4-quoted.

2005-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.19 "chives" is released.

2005-02-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* CHANGES-beta: Update.

2005-02-03  Ben Wing  <ben@xemacs.org>

	* BUGS, README.packages: Delete, incorporate into FAQ.
	* README: Incorporate into FAQ.  Delete everything but text
	pointing to FAQ.

2005-02-03  Jerry James  <james@xemacs.org>

	* configure.in: g++ 3.4.2 doesn't like -Wmissing-prototypes or
	-Wstrict-prototypes.

2005-01-31  Ben Wing  <ben@xemacs.org>

	* GETTING.GNU.SOFTWARE: Delete.
	* Makefile.in.in (SOURCES):
	Delete GETTING.GNU.SOFTWARE from SOURCES.
	* PROBLEMS:
	Delete reference to check_cygwin_setup.sh.

2005-01-26  Ben Wing  <ben@xemacs.org>

	* configure.in (AC_INIT_PARSE_ARGS):
	* configure.in (CANONICALIZE_PATH):
	* configure.in (TAB):
	* configure.usage:
	Add --with-optimization, cflags-optimization,
        cflags-debugging.  Separate out optimization and debugging arguments.
	Document.

2005-01-21  Aidan Kehoe  <kehoea@parhasard.net>

	* configure:
	* configure.in (XE_COMPUTE_RUNPATH):
	NetBSD can use Linux's sound API, but it needs an extra library at
	link time to do so.

2004-12-07  Malcolm Purvis  <malcolmp@xemacs.org>

	* INSTALL: A POSIX compatible Make is no longer required for builds.
	* Makefile.in.in (RECURSIVE_MAKE): Removed.
	* Makefile.in.in (RECURSIVE_MAKE_ARGS): New.
	* configure.in (RECURSIVE_MAKE): Removed.
	* configure.in (RECURSIVE_MAKE_ARGS): New.
	Always refer to make as $(MAKE) and use $(RECURSIVE_MAKE_ARGS) for
	other parameters.  This allows -j to work in GNU Make while
	removing need for POSIX compatible make on all systems.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* README.packages:
	Fix error in specifying standard package location.
	Document --package-prefix.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* configure.usage:
	* configure.in (AC_INIT_PARSE_ARGS):
	* configure.in (TAB):
	* configure.in (XE_COMPUTE_RUNPATH):
	* configure:
	Support --package-prefix and mmdf and pop arguments to --mail-locking.
	Document in configure.usage.

2004-11-12  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* configure:
	* configure.in: Make pdump default for Cygwin.

2004-11-12  Marcus Crestani  <crestani@informatik.uni-tuebingen.de>

	* Makefile.in.in (install-arch-dep): Fix installation for Cygwin.

2004-10-26  Ben Wing  <ben@xemacs.org>

	* configure.in (AC_INIT_NOTICE):
	* configure.in (TAB):
	* configure.in (XE_COMPUTE_RUNPATH):
	Turn off -Winline and -Wchar-subscripts.
	Use the right set of cflags when compiling modules.
	Rewrite ldap configuration to separate the inclusion of lber
	(needed in recent Cygwin) from the basic checks for the
	needed libraries.
	add a function for MAKE_JUNK_C; initially code was added to
	generate xemacs.def using this, but it will need to be rewritten.
	add an rm -f for junk.c to avoid weird Cygwin bug with cp -f onto
	an existing file.
	Sort list of auto-detected functions and eliminate unused checks for
	stpcpy,	setlocale and getwd.
	Add autodetection of Cygwin scanf problems

2004-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.18 "chestnut" is released.

2004-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* CHANGES-beta: Update for release.

2004-09-29  Jerry James  <james@xemacs.org>

	* configure.in: Don't use -Wunused-parameter with g++.

2004-09-21  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.in: Unused parameter and variables warnings are GCC 3
	or greater.

2004-09-14  Jerry James  <james@xemacs.org>

	* configure.in (TAB): Add unused parameter and variables warnings
	to gcc CFLAGS.

2004-09-20  Jerry James  <james@xemacs.org>

	* INSTALL: Update Canna description to reflect recent changes.

2004-09-11  Malcolm Purvis  <malcolmp@xemacs.org>

	* configure.in Check for sys/resource.h, sys/vlimit.h, getrlimit()
	and vlimit().

2004-09-10  Malcolm Purvis  <malcolmp@xemacs.org>

	* INSTALL: A POSIX compatible Make is required for builds.
	* Makefile.in.in: Enable support for parallel builds.

2004-08-12  "Johann 'Myrkraverk' Oskarsson" <myrkraverk@users.sourceforge.net>

	* config.guess: Identify PlayStation2.

2004-06-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Character classes in globs don't work, die when
	GTK is mixed with other toolkits, protect comma in quoted message.

2004-06-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (Autodetection of Gdk libraries and includes):
	Don't allow mixing of GTK with other toolkits.

2004-06-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Improve style of WARNINGs.

2004-05-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (HAVE_GPM): Die if GPM requested but not found.

2004-05-10  Jerry James  <james@xemacs.org>

	* aclocal.m4: Typo fix.
	* configure.in (XE_COMPUTE_RUNPATH): Add checks for shl_load and
	LTDL; unify the OS-specific checks into a case statement.

2004-04-30  Jerry James  <james@xemacs.org>

	* configure.in: Turn ICC warning 147 into an error to get a good
	XRegisterIMInstantiateCallback prototype.

2004-04-28  Jerry James  <james@xemacs.org>

	* configure.in: Get version information for both icc and icpc.

2004-04-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (GTK setup): Warn if other toolkits requested.

2004-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (Compiler feature macros): Kaarthik Sivakumar says
	_POSIX_C_SOURCE should be defined for FreeBSD 4.5 to 4.9 at least.

2004-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (install-arch-indep): make gzip-el now saves ~4MB.

2003-12-07  Olivier Galibert  <galibert@pobox.com>

	* Makefile.in.in: Don't install the dmp file when it's in the
	executable.

2004-04-12  Kaarthik Sivakumar  <kaarthik@comcast.net>

	* configure.in: Check for libmp dependencies before checking for
	the existence of the move function.

2004-03-04  Malcolm Purvis  <malcolmpurvis@optushome.com.au>

	* configure.in (src/Makefile): No longer include a special linker
	script for PowerPC Linux.  Thanks to Stefan Bruda for reporting
	this bug.

2004-04-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (Compiler-specific hacks): Restore warning flags
	for XEMACS_CC if gcc.  Report warning flags at compute time.

2004-04-07  Jerry James  <james@xemacs.org>

	* configure.in: FreeBSD MP needs -lcrypto.

2004-04-06  Jerry James  <james@xemacs.org>

	* configure.in: Change test -e to test -r for portability.

2004-04-06  Stephen J. Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* configure.in (use_number_lib): Accepts no to disable bignums.
	* configure.usage: Document the "no" value.

2004-04-05  Jerry James  <james@xemacs.org>

	* configure.in (use_number_lib): New.  Values are "gmp" or "mp".
	* configure.in: Use it. Report it. Check for size of a double.
	* configure.usage: Tell how to use use-number-lib.

2004-03-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.17 "chayote" is released.

2004-03-18  Stephen J. Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* configure.in (Compiler feature macros): Define _POSIX_C_SOURCE
	for FreeBSD 4.9 to shut up viteno's compiler, and _XOPEN_SOURCE to
	500 since apparently we'll use it if available.

2004-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (libc detection): Fix progress message.

2004-02-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (CFLAGS): Do XE_CFLAGS before adding warning flags to
	CFLAGS.  Thanks to Jerry James for reporting the bug.

2004-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (AC_INIT_PARSE_ARGS): Use Solaris-compatible `for'.
	Thanks to Vin Shelton for noticing the bug, and Hrvoje Niksic for
	the more elegant fix.

2004-01-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Use XE_CFLAGS for XEMACS_CC.
	Kludge: warn about CC and XEMACS_CC not from same vendor (gcc only).
	Various comment fixups.
	Delete dead code for finding srcdir.

	* Makefile.in.in (clean): Force deletion of generated Lisp load files.

2003-11-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Report cc and libc version info.  Detection code
	by Valdis Kletnieks <Valdis.Kletnieks@vt.edu>.  Tweaked for Debian.

2004-01-20  Jerry James  <james@xemacs.org>

	* configure.in: The icc compiler pretends to be gcc.  It isn't.

2003-11-18  Jerry James  <james@xemacs.org>

	* configure.in: Check for the typeof extension.

2003-10-15  Jerry James  <james@xemacs.org>

	* aclocal.m4: Add icc (Intel compiler) support.
	* configure.in: Ditto.

2003-10-11  Jerry James  <james@xemacs.org>

	* configure.in: installexe.sh is under srcdir, not blddir.

2003-09-26  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.16 "celeriac" is released.

2003-09-21  Jerry James  <james@xemacs.org>

	* configure.in: Remove detection of GNU DLD.
	* configure: Regenerate.

2003-09-20  Rodney Sparapani  <rsparapa@mcw.edu>

	* PROBLEMS: Propose bash as an alternative to buggy Solaris
	/bin/sh.

2003-09-20  Steve Youngs  <youngs@xemacs.org>

	* configure: Re-generate after Martin's configure.in patch.

2003-09-20  Martin Buchholz  <martin@xemacs.org>

	* configure.in: XEmacs failed to build on Solaris9.
	Solaris9 comes with /usr/demo/SOUND, but no headers or libraries
	therein.

2003-09-18  Steve Youngs  <youngs@xemacs.org>

	* configure: Re-generate after Martin's configure.in patch.

2003-09-13  Martin Buchholz  <martin@xemacs.org>

	* configure.in (OS_RELEASE): Add support for SunOS 5.10.
	On current OSes produced by Sun, `uname -r' prints "5.9".
	It seems likely that on future OSes, `uname -r' will print "5.10".
	We need to accept multi-digit release numbers.

2003-05-10  Andrew Begel  <abegel@CS.Berkeley.EDU>

	* aclocal.m4 (XE_SHLIB_STUFF): Use -bundle when testing the
	ability to build shared libraries, but use -bundle_loader in
	ellcc.  Properly handle other flags for MacOS X.

2003-09-03  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.15 "celery" is released.

2003-08-28  Jerry James  <james@xemacs.org>

	* configure.in: Link modules with -lstdc++ if g++ is used.

2003-08-28  Steve Youngs  <youngs@xemacs.org>

	* README.packages: Update.

2003-08-18  Jerry James  <james@xemacs.org>

	* Makefile.in.in (GENERATED_HEADERS): Add xemacs.def.
	* Makefile.in.in: Regenerate if xemacs.def.in.in is touched.
	* aclocal.m4 (XE_SHLIB_STUFF): Allow modules with Cygwin.
	* aclocal.m4 (cygwin_warn): Removed.
	* configure.in (XE_COMPUTE_RUNPATH): Process xemacs.def.in.in.

2003-08-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage (Window System): `lucid' option often means `Motif'.

2003-06-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage (--cflags-warning): Change underscore to hyphen.

2003-06-01  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.14 "cassava" is released.

2003-05-20  Jerry James  <james@xemacs.org>

	* configure.in: Add src to MAKE_SUBDIR early for module builds for
	MacOSX and Windows; thanks to Andrew Begel.  Set module makefile
	variables appropriately if --with-modules=no is specified.

	* configure: Regenerate.

2003-05-10  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.13 "cauliflower" is released.

2003-05-10  Steve Youngs  <youngs@xemacs.org>

	* Revert this patch:
	2003-05-01  Andrew Begel  <abegel@CS.Berkeley.EDU>

	        * configure.in: Move module detection to after src/ is added to
	        MAKE_SUBDIR. On MacOS X, building modules requires xemacs to
	        already be built.
	        * aclocal.m4 (XE_SHLIB_STUFF): Properly define ellcc flags for
	        MacOS X.
	It was stopping certain libs from making their way into the
	Makefiles.

	* configure: Regenerate.

2003-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Revert Steve Youngs's patch, and set default for
	ESD in the Defaults section.  Improve comments.

	* configure: Regenerate.

2003-05-07  Steve Youngs  <youngs@xemacs.org>

	* configure.in: Default ESD sound to off.

	* configure.usage (--with-sound): Document ESD defaulting to off.

	* configure: Regenerate.

2003-05-05  Steve Youngs  <youngs@xemacs.org>

	* CHANGES.beta: Update.

2003-05-04  Steve Youngs  <youngs@xemacs.org>

	* configure: Regenerate.

2003-05-04  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Don't look for Motif if it's already present in
	$x_includes and $x_libraries.

2003-05-01  Andrew Begel  <abegel@CS.Berkeley.EDU>

	* configure.in: Move module detection to after src/ is added to
	MAKE_SUBDIR. On MacOS X, building modules requires xemacs to
	already be built.
	* aclocal.m4 (XE_SHLIB_STUFF): Properly define ellcc flags for
	MacOS X.

2003-05-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (darwin): Collect random kludges in one place.
	(cygwin): Check for intptr_t in <sys/types.h>.
	(Berkeley db): Handle 4.1 functions decorated with version info.

2003-04-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Windows): New: auxiliary programs for Windows.

2003-03-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (TAGS tags): Make DEFUNed functions be tags.
	Patch by Martin Buchholz <martin@xemacs.org>.
	<15410.44105.753590.169241@gargle.gargle.HOWL>

2003-04-24  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.12 "carrot" is released.

2003-04-24  Steve Youngs  <youngs@xemacs.org>

	* configure.in: Fix for building on openbsd.
	From Gregory Steuck <greg@nest.cx>

	* configure: Regenerate

2003-03-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Global substitution of .Xresources for .Xdefaults.

2003-03-25  Jerry James  <james@eecs.ku.edu>

	* configure.in: Add Andrew Begel's shared library support for
	MacOS X.

2003-03-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Give location of Darwin X11 downloads.

2003-02-09  Ville Skyttä  <scop@xemacs.org>

	* configure: Remove pkgdir and all references to it (unused).
	* configure.in: Ditto.
	* Makefile.in.in: Ditto.

2003-03-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Reorganize, synch to configure.usage.

2003-03-01  Ben Wing  <ben@xemacs.org>

	* PROBLEMS:
	* PROBLEMS (Note):
	* PROBLEMS (http):
	* PROBLEMS (IMPORTANT):
	Include nt/PROBLEMS and update.  Add note about incremental
	linking badness.

2003-02-28  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (mostlyclean):
	* Makefile.in.in (clean):
	* Makefile.in.in (top_distclean):
	* Makefile.in.in (distclean):
	Move src deletions to src/Makefile.in.in.

2003-02-20  Ben Wing  <ben@xemacs.org>

	* PROBLEMS:
	* PROBLEMS (event-stream.c): Removed.
	* PROBLEMS (ABSTRACT):
	* PROBLEMS (patch.):
	* PROBLEMS (Note):
	Add comment about Cygwin, unexec and sysmalloc.
	Move some non-general stuff out of general.
	Make a section for x86.

	* configure.in (AC_INIT_NOTICE):
	* configure.in (XE_COMPUTE_RUNPATH):
	Add check for broken alloca in funcalls.

2003-02-19  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in:
	* Makefile.in.in (GENERATED_HEADERS):
	* Makefile.in.in (GENERATED_LISP): Removed.
	* Makefile.in.in (.NO_PARALLEL):
	* Makefile.in.in (beta):
	* Makefile.in.in (dist):
	* Makefile.in.in (batch): Removed.
	* Makefile.in.in (batch_packages): Removed.
	* Makefile.in.in (check): New.
	* Makefile.in.in (finder): Removed.
	* Makefile.in.in (check-features): New.
	* Makefile.in.in (.PHONY):
	* Makefile.in.in (install-only):
	* Makefile.in.in (tagslisp):
	* Makefile.in.in (info):
	Major surgery.  Move all stuff related to building anything in the
	src/ directory into src/.  Simplify the dependencies -- everything
	in src/ is dependent on the single entry `src' in MAKE_SUBDIRS.
	Remove weirdo targets like `all-elc[s]', dump-elc[s], etc.

2003-02-16  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.11 "cabbage" is released.

2003-02-15  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (batch_packages): Run update-elc-2 with -no-autoloads
	to avoid multiple autoload-loading problem.
	* configure.usage (--error-checking): Document quick-build better.

2003-01-28  Martin Buchholz  <martin@xemacs.org>

	* configure.in (opsys): (AIX specific)
	Use opsys=aix4-2 for AIX 5 and all future versions.

2003-02-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL: Recommend Mule, deprecate stripped binaries.

2003-02-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (DLSYM_NEEDS_UNDERSCORE): Define on darwin.

	* configure.in: Fix --srcdir processing.

2003-01-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Collect Motif information in one place.

2002-10-19  Stephen Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (clean): Delete auto-autoloads.e* and custom-load.*
	in lisp, lisp/mule, and modules.

2003-01-14  Jerry James  <james@xemacs.org>

	* PROBLEMS: Describe Steve Youngs' problem with the PostgreSQL
	module and --error-checking=all.

2003-01-13  Ilya Golubev  <golubev@xemacs.org>

	* etc/photos/golubev.png, etc/photos/golubevm.png: New.

2003-01-12  Mike Sperber  <mike@xemacs.org>

	* configure.in: Check for strupr and strlwr.

2002-12-16  Ben Wing  <ben@xemacs.org>

	* INSTALL (Rationale):
	* configure.in (XE_COMPUTE_RUNPATH):
	* configure.usage (Usage):
	* configure.usage (--xemacs-compiler):
	* configure.usage (--srcdir):
	* configure.usage (--with-prefix):
	* configure.usage (--bindir): New.
	* configure.usage (--datadir): New.
	* configure.usage (--statedir): New.
	* configure.usage (--libdir): New.
	* configure.usage (--infodir): New.
	* configure.usage (--mandir): New.
	* configure.usage (--lispdir): New.
	* configure.usage (--sitelispdir): New.
	* configure.usage (--etcdir): New.
	* configure.usage (--lockdir): New.
	* configure.usage (--archlibdir): New.
	* configure.usage (--docdir): New.
	* configure.usage (--moduledir): New.
	* configure.usage (--with-site-lisp): New.
	* configure.usage (--with-site-modules): New.
	* configure.usage (--package-path): New.
	* configure.usage (--infopath): New.
	* configure.usage (--with-xmu):
	* configure.usage (--with-tty):
	* configure.usage (--with-gif):
	* configure.usage (--native-sound-lib):
	* configure.usage (--with-xim): New.
	* configure.usage (--with-clash-detection): New.
	* configure.usage (--with-database):
	* configure.usage (--mail-locking):
	* configure.usage (--with-ipv6-cname): Removed.
	* configure.usage (--error-checking):
	Redo usage message more logically, fix some problems.  In configure,
	when outputting the compilation options, put in a big ugly warning
	about using union-type, since it's been known to trigger so many
	compiler bugs, invariably leading to weird crashes.

2003-01-04  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.10 "burdock" is released.

2002-07-08  Andy Piper  <andy@xemacs.org>

	* Makefile.in.in (src/sheap-adjust.h): reset back to zero. Making
	this anything other than zero was misguided.

2002-12-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Make --pdump default per opsys; move Darwin's
	setting and change Linux's default to yes.

2002-11-27  Ben Wing  <ben@xemacs.org>

	* configure.in (CANONICALIZE_PATH):
	* configure.in (TAB):
	Check for GCC version and only use -Wpacked in v3.

2002-10-14  Jerry James  <james@xemacs.org>

	* configure.in: Remove LISP_FLOAT_TYPE definition.

2002-11-17  Ben Wing  <ben@xemacs.org>

	* aclocal.m4 (cygwin_warn): New.
	Disable shared library modules under Cygwin for the moment,
	since we need some more tricky coding done and I don't have the
	time right now.

	* configure.in:
	* configure.in (need_modules_common): New.
	* configure.in (quoted_arguments):
	* configure.in (stack_trace_eye_catcher):
	* configure.in (CPP):
	* configure.in (CFLAGS): New.
	* configure.in (bitmapdir):
	* configure.in (ldap_libs):
	* configure.in (postgresql_libs):
	* configure.in (all_widgets):
	* configure.in (SUBDIR_MAKEFILES):
	* configure.in (RECURSIVE_MAKE):
	* configure.in (null_string):
	* configure.in (Mail):
	* configure.usage (--cflags):
	* configure.usage (--cflags_warning): New.

	Make sure we use the compiler in --xemacs-compiler to compile
	the modules, too, or we will get link errors when trying to do
	a C++ build.

	Create a directory modules/common, in which is code common to all
	the module Makefiles and configure.ac's.  We create a separate
	directory because we may be building in a separate source tree,
	and need a way of accessing the common code (at least in the case
	of the Makefile).  Either we create symlinks for all necessary
	files or one just for the directory -- the latter is more robust.

	Add code to create the symlink for modules/common as necessary.
	When creating the modules Makefiles, append the common code.

	Check for wcslen/wcscmp; apparently missing sometimes in Cygwin and
	G++ v3.

	Output correct compiler name in messages.

	Separate warning flags from other C flags so that user-specified
	--cflags doesn't disable warnings.

2002-11-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running/Linux): Lesstif 0.93.36 info, from F. McIngvale.

2002-11-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Typo fix.

2002-10-31  John Paul Wallington  <jpw@shootybangbang.com>

	* info/dir (File): button1 on a highlighted word doesn't
	follow that cross-reference.

2002-10-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running/IRIX): Irix 6.5 coredumps.  Thanks, Valdis.

2002-10-19  Stephen Turnbull  <stephen@xemacs.org>

	* Makefile.in.in (clean): Delete auto-autoloads.e* and custom-load.*
	in lisp, lisp/mule, and modules.
	ChangeLog: Fix my bogus email addresses.

2002-10-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (Check for POSIX functions):  New section head.
	getaddrinfo is detected on HP-UX 11.XX, but appears to be
	non-functional.  Disable it.  Based on work by Darryl Okahata.

2002-10-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running/Cygwin): "No cygXpm-noX" fatal error.

2002-10-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Missing charsets): Remove ambiguity.

2002-10-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* INSTALL (PREREQUISITES): Recommend Texinfo 4.2.

2002-09-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running, General): Missing charset in FontSet warnings.

2002-10-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (MacOS/X): Describe stack limitation.
	(Digital Unix): Generalize to all regexp-using applications.
	* INSTALL (PREQUISITES): Mention MacOS/X stack limitation.
	(PROBLEMS): Point to PROBLEMS file for build notes.
	Thanks to Skip Montanaro for the report.

2002-09-20  Steve Youngs  <youngs@xemacs.org>

	* Makefile.in.in (TAGS tags): Descend into the modules directory
	as well.

2002-09-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: AIX memcpy MACRO/#ifdef USE_KKCC lossage.  Thx, Valdis!

2002-08-08  Jerry James  <james@xemacs.org>

	* Makefile.in.in (install-arch-dep): Install internal modules and
	the corresponding autoload file.
	* configure: Regenerate.
	* configure.in: Detect module support early.
	Define variables to be substituted in internal Makefiles.
	Use ldap_libs instead of LIBS for LDAP libraries.
	Use postgresql_libs instead of LIBS for PostgreSQL libraries.
	Introduce ld_libs_module for seamless module/no-module support.

2002-08-30  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.9 "brussels sprouts" is released.

2002-08-16  Steve Youngs  <youngs@xemacs.org>

	* version.sh (xemacs_extra_name): New var to identify XEmacs
	version > release < next release.  ie, release+cvs.

	* configure.in: Test for xemacs_extra_name.

	* configure: Re-generate.

2002-08-22  Ville Skyttä  <ville.skytta@xemacs.org>

	* configure.usage: Reorder usage message to clarify what widgets
	are supported and what aren't.

2002-08-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (General advice): Define runtime and build problems.

2002-07-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running, Linux): Rewrite "Hannibal Lecter" ld stuff.

2002-07-27  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.8 "broccoli" is released.

2002-07-09  Mike Sperber  <mike@xemacs.org>

	* configure.usage:
	* configure.in: Add --use-kkcc option for new GC algorithms.

2002-06-04  Jerry James  <james@xemacs.org>

	* configure.usage: Identify --with-modules as autodetecting.

2002-07-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Add two basic configuration questions.

2002-07-08  Mike Sperber  <mike@xemacs.org>

	* configure.in: Test for wchar.h.

2002-07-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.7 "broccoflower" is released.

2002-07-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running XEmacs; General): Xref FAQ Q3.10.6.

2002-05-22  Andy Piper  <andy@xemacs.org>

	* build-msw-release.sh (TMPINSTALL): install to a tmpdir so that
	xemacs can be running while we build a dist.

2002-05-07  Andy Piper  <andy@xemacs.org>

	* configure.in: undo autoconf 2.5x change.

2002-04-26  Andy Piper  <andy@xemacs.org>

	* configure.in: make sure that a combined X and windows build gets
	widgets.

2002-04-26  Andy Piper  <andy@xemacs.org>

	* configure.in: update to support autoconf 2.5x from Andreas
	Schwab <schwab@suse.de> and/or Werner Fink <werner@suse.de>.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* etc/sample.init.el: Fix comment typo about resize-minibuffer.

	* etc/sample.init.el: Add description of initialization process,
	the custom.el file, and code to load custom.el early instead of
	late.

2002-04-22  Hrvoje Niksic  <hniksic@xemacs.org>

	* etc/photos/hniksic.png, etc/photos/hniksic.png: Update.

2002-04-25  Mike Fabian  <mfabian@suse.de>

	* configure.in: add option moduledir as mentioned in ./configure
	--help

2001-04-21  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Detect MacOS/X "Darwin".
	Thanks to Greg Parker <gparker@cs.stanford.edu>.

2002-03-30  Steve Youngs  <youngs@xemacs.org>

	* etc/package-index.LATEST.pgp: Update to current reality.

2002-02-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* etc/TUTORIAL.se: New from Mats Lidell.

2002-01-07  Jan Vroonhof  <jan@xemacs.org>

	* configure.in: Make explicit "--with-widgets" mean "=yes".
	If "--with-widgets=yes" autodetect athena.

2001-12-29  Steve Youngs  <youngs@xemacs.org>

	* etc/package-index.LATEST.pgp: Update.

2001-12-13  William M. Perry  <wmperry@gnu.org>

	* configure.in (GTK): add -Wno-shadow.

2002-01-23  Jarl Friis  <jarl@diku.dk>

	* etc/BETA (http): Informing of xemacs-patches mailing list. Added
	note on patch etiquette.

2001-03-26  Paul Stodghill  <stodghil@cs.cornell.edu>

	* configure.in: Don't #define __STDC__ in confdefs.h

2002-02-28  Malcolm Purvis  <malcolmpurvis@optushome.com.au>

	* configure.in: Protect nocomboreloc linker arguments to avoid
	problem on the ppc.

2002-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS: Describe "Hannibal Lecter" crash on Linux.  Reorder
	Linux runtime issues section.
	* INSTALL: Improve description of mail locking.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (General): Decribe failed AUTH with EFS.

2002-04-23  Olivier Galibert  <galibert@pobox.com>

	* configure.in: Fix the "error checking" warning.

2002-05-05  Ben Wing  <ben@xemacs.org>

	* README.packages: Update info about --package-path.

2002-04-14  Ben Wing  <ben@xemacs.org>

	* TODO.ben-mule-21-5:
	* TODO.ben-mule-21-5 (Priority): New.
	Update.

2002-04-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.6 "bok choi" is released.

2002-04-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* CHANGES-beta: Update for release.

2002-03-31  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (all):
	* Makefile.in.in (finder):
	* Makefile.in.in (Makefile):
	* Makefile.in.in (SOURCES):
	Try to make the Makefile notice if its source Makefile.in.in is
	changed, and regenerate and run itself.

	Use a bigger default SHEAP_ADJUSTMENT on Cygwin; otherwise you
	can't compile under Mule if a Lisp file has changed. (can't run
	temacs)

	* TODO.ben-mule-21-5 (bugs): update.

2002-03-31  Ben Wing  <ben@xemacs.org>

	* TODO.ben-mule-21-5 (bugs): Update.

	* configure.in (USAGE_ERROR):
	* configure.in (CANONICALIZE_PATH):
	* configure.in (XE_COMPUTE_RUNPATH):
	Fix for new error-checking types.

2002-03-28  Ben Wing  <ben@xemacs.org>

	* etc/ChangeLog: New file.

	Separated out all entries for etc/ into their own ChangeLog.
	Includes entries for the following files:

	etc/BABYL, etc/BETA, etc/CHARSETS, etc/DISTRIB, etc/Emacs.ad,
	etc/FTP, etc/GNUS-NEWS, etc/GOATS, etc/HELLO, etc/INSTALL,
	etc/MACHINES, etc/MAILINGLISTS, etc/MSDOS, etc/MYTHOLOGY, etc/NEWS,
	etc/OXYMORONS, etc/PACKAGES, etc/README, etc/TUTORIAL,
	etc/TUTORIAL.de, etc/TUTORIAL.ja, etc/TUTORIAL.ko, etc/TUTORIAL.se,
	etc/aliases.ksh, etc/altrasoft-logo.xpm, etc/check_cygwin_setup.sh,
	etc/custom/example-themes/europe-theme.el,
	etc/custom/example-themes/ex-custom-file,
	etc/custom/example-themes/example-theme.el, etc/e/eterm.ti,
	etc/edt-user.doc, etc/enriched.doc, etc/etags.1, etc/gnuserv.1,
	etc/gnuserv.README, etc/package-index.LATEST.gpg,
	etc/package-index.LATEST.pgp, etc/photos/jan.png, etc/recycle.xpm,
	etc/refcard.tex, etc/sample.Xdefaults, etc/sample.emacs,
	etc/sgml/CATALOG, etc/sgml/HTML32.dtd, etc/skk/SKK.tut.E,
	etc/smilies/Face_ase.xbm, etc/smilies/Face_ase2.xbm,
	etc/smilies/Face_ase3.xbm, etc/smilies/Face_smile.xbm,
	etc/smilies/Face_weep.xbm, etc/sounds, etc/toolbar,
	etc/toolbar/workshop-cap-up.xpm, etc/xemacs-ja.1, etc/xemacs.1,
	etc/yow.lines, etc\BETA, etc\NEWS, etc\README, etc\TUTORIAL,
	etc\TUTORIAL.de, etc\check_cygwin_setup.sh, etc\sample.init.el,
	etc\unicode\README, etc\unicode\mule-ucs\*, etc\unicode\other\*

2002-03-24  Ben Wing  <ben@xemacs.org>

	* TODO.ben-mule-21-5 (bugs):
	* TODO.ben-mule-21-5 (Signaling): New.
	Add stuff from Frank Schmitt.

2002-03-20  Ben Wing  <ben@xemacs.org>

	* TODO.ben-mule-21-5:
	* TODO.ben-mule-21-5 (bugs):
	Create bug list for latest problems.

2002-03-18  Ben Wing  <ben@xemacs.org>

	* README (http):
	Include a long, long description of the suggested directory layout
	for developing XEmacs.  This should probably go as part of a
	larger document, a "Getting Started with Developing XEmacs".  ####
	Does such a document exist?

2002-03-18  Ben Wing  <ben@xemacs.org>

	* Some ChangeLog entries from stuff that got applied long ago
	never got checked in, due to the nasty SCCS "oops, i forgot again
	..." bug.

2001-05-04  Ben Wing  <ben@xemacs.org>

       * PROBLEMS:
       * PROBLEMS (Note):
       Correct general info about init file.
       Fix up Cygwin, Windows sections.

2002-03-15  Ben Wing  <ben@xemacs.org>

	* configure.in (XE_COMPUTE_RUNPATH):
	check for sys/times.h.

2002-03-15  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (batch):
	* Makefile.in.in (batch_packages):
	* Makefile.in.in (finder):
	* Makefile.in.in (check-features):
	* Makefile.in.in (install):
	Use -no-packages to avoid problems with package files shadowing
	core files (e.g. unicode.el in mule-ucs).

2002-03-12  Ben Wing  <ben@xemacs.org>

	* The Great Mule Merge of March 2002:
	see node by that name in the Internals Manual.

2002-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.5 "beets" is released.

2002-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* CHANGES-beta: Prune pre-21.5 information.

2002-01-07  Jan Vroonhof  <jan@xemacs.org>

	* configure.in: Make explicit "--with-widgets" mean "=yes".
	If "--with-widgets=yes" autodetect athena.

2002-01-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.4 "bamboo" is released.

2001-05-17  Andrew Begel  <abegel@eecs.berkeley.edu>

	* aclocal.m4 (LTLD): Don't use "gcc", use the ld reported by gcc.

2001-08-19  Charles Wilson  <cwilson@ece.gatech.edu>

	* configure.in (for graphics libraries): Detect Cygwin xpm-nox.

2001-04-14  Gordon Sadler  <gbsadler1@lcisp.com>

	* configure.in: Add GTK_CFLAGS to CPPFLAGS for glade.h check.

2001-07-01  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* configure.in (option processing):  with_widgets=m is ambiguous;
	don't allow it.
	(AC_CHECKING for the Athena widgets): Don't check for Athena when
	with_widgets=no.

2001-07-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage: Various documentation improvements.

	* configure.in (--with-ipv6-cname): New Boolean option.  Defaults on.
	* configure.usage:
	* PROBLEMS (IPv6 CNAME lookup):
	Document it.

2002-01-02  Adrian Aichner  <adrian@xemacs.org>

	* info/dir (File): Reword entry for Emodules according to
	../man/emodules.texi.

2001-12-18  Adrian Aichner  <adrian@xemacs.org>

	* info\.cvsignore: Correct pattern to match all info files.

2001-12-16  Adrian Aichner  <adrian@xemacs.org>

	* info\.cvsignore: Info files are generated, so let's ignore them
	all.

2001-12-15  Adrian Aichner  <adrian@xemacs.org>

	* info\dir (File): Update version to 21.5.

2001-08-29  Jered Floyd  <jered@MIT.EDU>

	* configure.in (moduledir,sitemoduledir,archlibdir):
        Place arch-specific files under ${libdir}, not under ${datadir}.

2001-09-25  Didier Verna  <didier@xemacs.org>

	* configure.ac: new. Autoconf 2.5x guard.

2001-11-21  Robert Pluim  <rpluim@bigfoot.com>

	* PROBLEMS (Sun/Solaris): Document fix for Motif related crashes

2001-12-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in (Miscellaneous Flags): test for -z nocombreloc,
	instead of -z combreloc, to avoid confusing Solaris.

2001-11-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage: Makefile.in -> Makefile.in.in.

2001-11-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile.in.in: HP-UX needs LDFLAGS.  From Lutz Jaenicke
	<Lutz.Jaenicke@aet.TU-Cottbus.DE>.

2001-11-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Fix typos in comments.
	* (Miscellaneous flags): Use -z nocombreloc if supported and !pdump.
	* (Installation): Suggest pdump instead of -z nocomboreloc.
	* configure.usage: Document --quick-build.

2001-10-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Typo in reference to with_ipv6_cname.

2001-10-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Initialize with_ipv6_cname=no.
	* configure.usage: Document it.

2001-10-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.in: Document that autoconf 2.5x is unsupported.

2001-09-17  Ben Wing  <ben@xemacs.org>

	* configure.in (TAB):
	* configure.in (XE_COMPUTE_RUNPATH):
	Don't use -Wshadow when compiling with g++ or you get buried in
	silly warnings.  This patch was already applied but somehow got
	unapplied.  Stephen?

2001-06-24  Ben Wing  <ben@xemacs.org>

	* configure.in (TAB): Don't use -Wshadow when compiling with
	g++ or you get buried in silly warnings.
	* configure.in (XE_COMPUTE_RUNPATH): Fix compile problems when
	compiling --with-msw, --with-x=no, --with-tty=no.

2001-09-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.3 "asparagus" is released.

2001-08-02  Peter Brown  <rendhalver@users.sourceforge.net>

	* configure.usage (--with-dialogs): added lucid to list of options
	* configure.usage (--with-widgets): added lucid to list of options
	* configure.usage (--with-dragndrop): added GTK to list of protocols
	* configure.usage (--mail-locking): added `locking' or `mmdf' to
	list of options syncing options documentation with those in
	configure.in

2001-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.2 "artichoke" is released.

2001-06-21  Ben Wing  <ben@xemacs.org>

	* README:
	* README (http):
	* README (ftp):
	Rewrite.

2001-05-29  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in: `make distclean' would fail if srcdir != blddir.
	Remove SUBDIR_DISTCLEAN until such a time as the module subdir is
	properly integrated into the build system.
	Only create ${moduledir} and ${sitemoduledir} if HAVE_SHLIB.

2001-05-30  Ben Wing  <ben@xemacs.org>

	* configure.in (AC_INIT_PARSE_ARGS):
	* configure.in (USAGE_ERROR):
	* configure.in (XE_COMPUTE_RUNPATH):
	Fix problems detecting both native and Linux sound on Cygwin
	when compiled with --with-msw=no.

	Rearrange file-coding handling a bit to avoid warning when
	compiling with Mule.

2001-05-28  Martin Buchholz  <martin@xemacs.org>

	* configure.in (--xemacs-compiler): New.
	* configure.usage:
	* INSTALL:
	Document XEMACS_CC and corresponding compiler option --xemacs-compiler.
	Explain how to build xemacs using a C++ compiler.

2001-05-29  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Remove stray backslash.

2001-05-26  Ben Wing  <ben@xemacs.org>

	* configure.in (XE_COMPUTE_RUNPATH):
	rewrite warning output so that it doesn't happen by default --
	you should only get warnings when something is actively wrong,
	not just because a feature is not present.

2001-05-06  Karl M. Hegbloom  <karlheg@hegbloom.net>

	* configure.in: See if mkstemp is available for movemail.c

2001-05-23  Ben Wing  <ben@xemacs.org>

	* configure.in (AC_INIT_PARSE_ARGS):
	* configure.in (TAB):
	* configure.in (XE_COMPUTE_RUNPATH):
	add some support for eventually turning on file coding by
	default.  Fix numerous places where AC_MSG_WARN had quotes
	around its arg, which is bad.  Replace with [].  Same for
	AC_MSG_ERROR.

2001-05-15  Steve Youngs  <youngs@xemacs.org>
	* configure.in:
	If no native dumper (UNEXEC) is defined, simply use pdump.
	If no SYSTEM_TYPE is defined, choose an appopriate default.

2001-05-10  Paul Stodghill  <stodghil@cs.cornell.edu>

	* configure.in: Reverse the order of Windows and Linux sound tests
	so that	Cygwin will find Windows first.

2001-05-14  Martin Buchholz  <martin@xemacs.org>

	* configure.in (XE_REALLOC_NULLPTR_BUG): New.

2001-05-11  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Check for sys/ptyio.h on HPUX, else for pty.h or perhaps sys/pty.h

2001-05-10  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (all):
	* Makefile.in.in (configure):
	* Makefile.in.in (finder):
	remove autoload targets.

2001-04-26  Malcolm Purvis  <malcolmpurvis@optushome.com.au>

	* configure.in: Check gtk version validity only when gtk-config
	exists.

2001-05-09  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.5.1 "anise" is released.

2001-05-04  Martin Buchholz  <martin@xemacs.org>

	* configure.in (opsys):
	Use lower-case `uname -s` as the default value for opsys.
	The previous code effectively did the non-sensical
	opsys=$canonical because [] magically disappear in configure.in.

2001-04-18  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.5.0 "alfalfa" is released.

2001-03-26  Paul Stodghill  <stodghil@cs.cornell.edu>

	* configure.in: Don't #define __STDC__ in confdefs.h

2001-03-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* configure.usage:  Document --with-file-coding.

	* configure.in:
	* configure:
	Fix typo, add -Wsign-compare if GCC, run autoconf.

2001-03-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Problems with running XEmacs):
	Document TMPDIR lossage in gnuserv/gnuclient.

2001-03-21  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.46 "Urania" is released.

2001-03-19  Andy Piper  <andy@xemacs.org>

	* configure.in: default rel-alloc to off under cygwin

2001-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* ChangeLog: Fix CVS commit breakage from GTK merge, log GTK merge.

	* CHANGES-beta:
	* configure.in:
	Fix gratuitous whitespace changes from GTK merge.

	* configure.usage: Untabify --with-{gtk,gnome}.

2001-03-12  Andy Piper  <andy@xemacs.org>

	* configure.in: only pick up mingw directory.

2001-03-02  Ben Wing  <ben@xemacs.org>

	* info\dir: Update to 21.4; clean up descriptions of manuals;
	replace misnomer "Local Packages" with more correct "Other
	Documentation".

2001-03-09  William M. Perry  <wmperry@aventail.com>

	* CHANGES-beta:
	* configure.in:
	* configure.usage:
	The Great GTK Merge.

2001-02-23  Andy Piper  <andy@xemacs.org>

	* configure.usage (--with-netinstall): add docs.

	* configure.in: with_netinstall is a new option. Default to off.

2001-02-23  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.45 "Thelxepeia" is released.

2001-02-13  Martin Buchholz  <martin@xemacs.org>

	* aclocal.m4: Fix module support for AIX cc.
	Support possible future OSes irix7, aix5, osf[56].

2001-02-12  Martin Buchholz  <martin@xemacs.org>

	* configure.in: No need for NON_GNU_CPP on SCO.

2001-02-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Prefer utime to utimes - it's more standard.
	Remove explicit checking for struct utimbuf.
	Remove explicit checking for <utime.h>.
	Combined into one simpler test for utime.
	Add explicit check for utimes, if utime not found.

2001-02-08  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.44 "Thalia" is released.

2001-01-16  Mike Sperber  <mike@xemacs.org>

	* configure.in: Remove bogus path variable definitions.
	Reflect the fact that specifying --datadir also affects docdir and
	archlibdir.

2001-02-06  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Only use -Wpointer-arith on non-glibc systems.

2001-02-02  Martin Buchholz  <martin@xemacs.org>

	* configure.in (wnn): Make sure wnn/commonhd.h can be #included,
	for the sake of gcc 2.97 fixincludes, which breaks it.

2001-01-27  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Check for util.h for NetBSD's openpty.

2001-01-28  Martin Buchholz  <martin@xemacs.org>

	* config.sub: Upgrade to offical version 2001-01-12.
	* config.guess: Upgrade to offical version 2001-01-17.

2001-01-26  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.43 "Terspichore" is released.

2001-01-21  Steve Youngs  <youngs@xemacs.org>

	* README.packages: Doc fix.

2001-01-17  Steve Youngs  <youngs@xemacs.org>

	* README.packages: Update.

2001-01-20  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.42 "Poseidon" is released.

2001-01-18  Martin Buchholz  <martin@xemacs.org>

	* PROBLEMS (Sun/Solaris): Yet another microimprovement.

2001-01-17  Martin Buchholz  <martin@xemacs.org>

	* PROBLEMS (Sun/Solaris): Replace --with-gnu-ld=no with
	--with-ld=/usr/ccs/bin/ld

2001-01-16  Robert Pluim  <rpluim@bigfoot.com>

	* PROBLEMS (SunOS/Solaris): Document workaround for GNU ld bug on
	Solaris. Half mine, half Raymond Toy, half Martin Buchholz.

2001-01-16  Didier Verna  <didier@xemacs.org>

	* NEWS: document the modeline horizontal scrolling feature.

2001-01-17  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.41 "Polyhymnia" is released.

2001-01-16  Martin Buchholz  <martin@xemacs.org>

	* PROBLEMS: Document MIPSpro ICE problem workaround.

2001-01-06  Golubev I. N.  <gin@mo.msk.ru>

	* configure.in: check for dlopen by linking program with
 	<dlfcn.h>.

2001-01-08  Andy Piper  <andy@xemacs.org>

	* configure.in: add extra_includes and populate appropriately for
	cygwin and mingw.

2000-12-28  Andy Piper  <andy@xemacs.org>

	* configure.in: allow --with-widgets=msw

2001-01-08  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.40 is released.

2000-12-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Running/Linux):  Rehabilitate Mandrake; tip for color-gcc.

2000-12-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* PROBLEMS (Linux): document Mandrake policy, how to get Meta on
	Alt, and getaddrinfo() blocking trying to get localhost's CNAME.

2000-07-20  Kazuyuki IENAGA  <ienaga@xemacs.org>

	* configure.in: use input-method-xlib.o for USE_XFONTSET instead
	of input-method-xfs.o.

	* configure: ditto

2000-12-31  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.39 is released.

2000-02-02  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* configure.in: Added check if the berkdb has db_create or not.

2000-10-11  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.in: Fix broken gcc detection for 2.7.2.

2000-12-11  Andy Piper  <andy@xemacs.org>

	* configure.in (XE_COMPUTE_RUNPATH): add netinstall as a subdirectory.

	* netinstall: new net installer for MS-Windows.

2000-12-05  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.38 is released.

2000-11-26  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* configure.in: Only show message about DnD API if compiling with DnD

2000-11-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Autodetect elf.h.

2000-11-14  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.37 is released.

2000-10-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* README.packages: Add "uninstalled package" FAQ.

2000-11-01  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Handle alloca with Compaq C on Alpha Linux.

2000-10-27  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Oops, _getpt ==> _getpty

2000-10-23  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* Makefile.in.in: Remove lockdir related things.

2000-10-11  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Remove checking for XFree86.  Use feature tests instead!
	Add check for XRegisterIMInstantiateCallback.
	Add check for XRegisterIMInstantiateCallback's prototype.

2000-10-08  Karl M. Hegbloom  <karlheg@debian.org>

	* configure.in: Typo - missing paren.

2000-10-10  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Use stropts.h, not sys/stropts.h.
	Use strtio.h, not sys/strtio.h.

2000-10-06  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Pretend that DEC OSF >= 5 is really DEC OSF 4.

2000-10-04  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.36 is released.

2000-09-27  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Big signal/process handling overhaul.
	Autoconfiscate lots of functions and headers:
	getpt _getpt grantpt unlockpt ptsname killpg tcgetpgrp
	openpty pty.h libutil.h sys/stropts.h sys/strtio.h isastream

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* *: Spelling mega-patch

2000-09-16  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Remove strcasecmp.

2000-09-16  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Add -Kalloca to $c_switch_system when using
	Unixware native compiler (if necessary).

2000-09-15  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Prevent spurious "No" in configure output when not
	using gcc.  Oh, and it's "no", not "No".  Oh, and it's "yes", not "Yes".

2000-09-14  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Save 2 sed process invocations per Makefile.

2000-08-22  SL Baur  <steve@turbolinux.co.jp>

	* configure.in (after_morecore_hook_exists): Don't add /usr/shlib
	to link path if compiling on Alpha/Linux.

2000-09-01  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in (depend): cd to the correct directory.

2000-08-31  Martin Buchholz  <martin@xemacs.org>

	* configure.in: with_widgets is incompatible with X11 R4.

	* configure.in: Make Balloon Help conditional on finding shape.h

2000-08-09  Vin Shelton  <acs@xemacs.org>

	* configure.in: Check for UNIX98 PTYs.  Patch from Florian Weimer
	<Florian.Weimer@RUS.Uni-Stuttgart.DE>.

2000-07-31  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.usage: Remove lockdir document.

2000-07-31  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Make knowledge of machine and opsys optional.
	Make existence of s&m files optional.
	Rely on configure alone if s&m files not found.

	* configure.in:
	Use only configure-time tests to detect getloadavg().
	Don't check for kstat.h if we have getloadavg().
	Check for sys/loadavg.h if we have getloadavg().

2000-07-15  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (configure):
	all-elcs target now uses update-elc-2.el not update-elc.sh

2000-07-19  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.35 is released.

2000-07-13  Martin Buchholz  <martin@xemacs.org>

	* configure.in: --with-menubars=yes should not be an error.

	* configure.in: "compiling in support for Athena" message was
	sometimes lying.

2000-07-12  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Rewrite xmkmf symbol detection to avoid
	redefinition of symbols we've already defined.
	Also, handle xmkmf symbols with values other than 1.

2000-07-12  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Make sure Unix98 socklen_t is defined.
	Use ANSI C mode `-std1' with DEC C instead of `-std'.

2000-07-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Replace SMART_INCLUDE with a dumber, but more reliable method.
2000-07-10  Martin Buchholz  <martin@xemacs.org>

	* modules/zlib/Makefile:
	* modules/sample/Makefile:
	* modules/ldap/Makefile:
	* modules/base64/Makefile:
	* Makefile.in.in:
	rm -f ==> $(RM)
	define SHELL=/bin/sh

2000-07-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in: PostgreSQL rewrite.
	- Don't look for postgreSQL in /usr/local.
	- Simplify detection code.
	- Don't use SMART_INCLUDE.
	- Don't autodetect if --with-postgresql=no.

2000-07-08  Ben Wing  <ben@xemacs.org>

	* configure.usage: addl doc for graphics libs, with-msw.

2000-07-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in: sh builtin `test' uses `=', not `=='.

2000-07-08  Ben Wing  <ben@xemacs.org>

	* configure.in: add -lcomdlg32 for cygwin.

2000-07-05  Craig Lanning  <lanning@scra.org>

	* aclocal.m4 (can_build_shared):
	First pass at module support for cygwin and mingw.

	* configure:
	* configure (xe_check_libs):
	* configure (acfindx):
	* configure (ac_x_includes):
	* configure (ac_x_libraries):
	* configure (ac_cv_lib_dnet_dnet_ntoa):
	* configure (xe_msg_checking):
	* configure (xe_runpath_dir):
	* configure (xetest):
	* configure (ac_err):
	* configure (ac_safe):
	* configure (with_xmu):
	* configure (bitmapdir):
	* configure (with_xauth):
	* configure (libs_xauth):
	* configure (with_cde):
	* configure (with_ldap):
	* configure (with_ldap_krbdes):
	* configure (save_c_switch_site):
	* configure (with_postgresql):
	* configure (with_xface):
	* configure (with_jpeg):
	* configure (with_png):
	* configure (with_tiff):
	* configure (athena_lib):
	* configure (have_motif):
	* configure (all_widgets):
	* configure (with_xim):
	* configure (with_xfs):
	* configure (with_wnn):
	* configure (with_canna):
	* configure (extra_objs):
	* configure (ac_cv_c_inline):
	* configure (have_esd_config):
	* configure (c_switch_site):
	* configure (with_ncurses):
	* configure (with_gpm):
	* configure (xealias):
	* configure (xehost_os):
	* configure (can_build_shared):
	* configure (xcldf):
	* configure (LTLD):
	* configure (ld_dynamic_link_flags):
	* configure (Mail):
	* configure.in:
	* configure.in (after_morecore_hook_exists):
	* configure.in (xetest):
	* configure.in (emacs_cv_localtime_cache):
	* configure.in (Mail):
        * configure.in:
	Clean up configure support for cygwin and mingw.

2000-06-27 Darryl Okahata  <darrylo@soco.agilent.com>

	* PROBLEMS: Document broken native audio for recent patches and
	  releases of HP-UX.

2000-06-10  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (install-arch-dep):
	WINDOWSNT -> WIN32_NATIVE.
	__CYGWIN32__ -> CYGWIN.

2000-06-01  Andreas Jaeger  <aj@suse.de>

	* configure.in: Recognize s390.

	* config.guess: New version from GNU config archive.
	* config.sub: Likewise.

2000-05-28  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.34 is released.

2000-05-15  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.in:
	Do not define DOUG_LEA_MALLOC when using other malloc scheme.
	Remove unused variable use_minimal_tagbits.

2000-05-02  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.in: Remove lockdir.

2000-05-01  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.33 is released.

2000-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* configure.in: Use ORDINARY_LD instead of "\$(ORDINARY_LD)" for
	the value of LD.

2000-04-26  Ben Wing  <ben@xemacs.org>

	* configure.in: add support for --quick-build.  Remove --no-doc-file,
	subsumed.

2000-04-19  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	* src/config.h.in:
	Rewrite SMART_INCLUDE implementation to actually work.
	Be paranoid - Avoid use of spaces in these macro definitions.
	Leave alloca() definition at start of compilation unit,
	as AIX requests.
	Rename SMART_INCLUDE_MACRO to SMART_INCLUDE_INDIRECTIONS.

2000-04-13  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.in: Enable clash-detection by default.
	* configure.usage: Update documentation.

2000-04-06  Andy Piper  <andy@xemacs.org>

	* configure.in: fix typo.

2000-04-03  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* configure.in : Fix printing error check warning even if
	it is not compiled in.

2000-02-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* xemacs/configure.in: Do a normal link when compiling with
	--pdump. Don't try compiling an unexec object file.

2000-03-27  Didier Verna  <didier@xemacs.org>

	* configure.in: reorganize the output by topic.
	New configure test to define the proper SMART_INCLUDE macro.

	* configure.usage: slightly rearanged some options.

2000-03-25  Didier Verna  <didier@xemacs.org>

	* configure.in: rename `foo_h_path' to `foo_h_file' for variables
	representing real headers and not directories. This applies to
	`db_h_path', `curses_h_path', `term_h_path', `tt_c_h_path' and
	`soundcard_h_path'.

2000-03-21  Didier Verna  <didier@xemacs.org>

	* configure.in: try to find postgresql headers at different places
	and define POSTGRES_H_PATH as appropriate.

2000-03-22  Andy Piper  <andy@xemacs.org>

	* config.h.in: add ERROR_CHECK_GLYPHS.

	* configure.in: add error_check_glyphs.

2000-03-20  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.32 is released.

2000-03-15  Olivier Galibert  <galibert@pobox.com>

	* configure.in: Add dumper.o object when pdumping.

2000-02-20  Olivier Galibert  <galibert@pobox.com>

	* Makefile.in.in: Add pdump install support

	* configure.in: Add EMACS_PROGNAME config.h variable.

2000-03-10  SL Baur  <steve@musashimaru.m17n.org>

	* configure.usage: document --with-postgresql flag.

2000-03-06  SL Baur  <steve@musashimaru.m17n.org>

	* configure.in: add autodetection of PostgreSQL runtime libraries

2000-03-09  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* aclocal.m4 (XE_SHLIB_STUFF): Define ld_shlibs to yes
	when C compiler can produce shared libraries.

2000-02-26  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Unconditionally define SHELL, to allow working
	with (unreleased) autoconf 2.14.1, found on Mandrake 7.0 systems.

2000-02-23  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.31 is released.

2000-02-21  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.30 is released.

2000-02-20  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Enforce use of autoconf version >= 2.13.

	* configure.in: Fix OS release test on Solaris.

2000-02-19  Marcus Thiessel  <marcus@xemacs.org>

	* PROBLEMS: Update email address. Describe more HP Motif errors.

2000-02-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* configure.in: Split Solaris version test in two parts. In the
	Bourne shell the "-a" operator does NOT short-circuit.

1999-12-15 Jan Vroonhof  <jan@xemacs.org>

	*  (configure.in): Autodetect broken gcc versions. Patch from WM
	Perry with tiny tweaks by Yoshiki Hayashi and yours truly.

2000-02-17  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Autodetect sys/param.h.  Reorganize
	AC_CHECK_HEADERS call.
	* src/config.h.in: Add HAVE_SYS_PARAM_H.

2000-02-16  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Test for arm simply using arm* instead of arm-*

2000-02-16  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.29 is released.

2000-02-16  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Don't use rel_alloc if malloc() calls mmap().
	Discover this by looking for M_MMAP_THRESHOLD.

	* configure.in: Don't define POSIX_C_SOURCE on Solaris, due to
	bugs in (at least) Solaris 2.5 headers.

2000-01-29  Craig Lanning  <CraigL@DyCon.com>

	* configure.in: Fix detection of XPM on systems without X11.

2000-02-11  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	* src/config.h.in:
	Define _POSIX_C_SOURCE, _XOPEN_SOURCE, _XOPEN_SOURCE_EXTENDED,
	but only on tested Operating systems - Linux && SunOS >= 5.5.

2000-02-09  Valdis Kletnieks  <Valdis.Kletnieks@vt.edu>

	* aclocal.m4: Support dlls on aix[34].

2000-02-09  Martin Buchholz  <martin@xemacs.org>

	* .cvsignore: Ignore gmon.out

2000-02-08  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Sync Berkeley db autodetection with src/database.c

2000-02-07  Martin Buchholz  <martin@xemacs.org>

	* configure.in: check for XConvertCase.

2000-02-07  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.28 is released.

2000-01-27  URA Hiroshi  <ura@hiru.aoba.yokohama.jp>

	* configure.in: added getaddrinfo and getnameinfo to AC_FUNC.

2000-01-26  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Backout the /etc/ld.so.conf patch of 2000-01-18.

2000-01-24  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Always use our own realpath(), not the system one.

2000-01-25  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Default Drag-N-Drop to "no"

1999-12-28  Max Matveev  <max@melbourne.sgi.com>

	* configure.in: add new machine type for IRIX 6.[2-5] to
	switch from using unexelf.o to unexelfsgi.o for just those
	versions of IRIX.
	In the ideal world it would be handled by the s/irix6-0.h but
	since machine config is included AFTER OS config, I had to add a
	new machine type.

2000-01-22  Andy Piper  <andy@xemacs.org>

	* configure.in: add winspool to windows libraries.

2000-01-22  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Add more warnings to default gcc flags.

2000-01-20  Daniel Pittman  <daniel@danann.net>

	* configure.in: Find Athena headers hidden in even more obscure
	places. That is, search Xaw3D/ as well as X11/Xaw3D/.

2000-01-19  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Add support for NetWinders.
	Patch by Sean MacLennan <seanm@netwinder.org>

2000-01-18  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Use /etc/ld.so.conf at link-time, if available.

2000-01-18  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.27 is released.

2000-01-14  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Create a .dbxrc in the src directory, like .gdbinit.

	* configure.in: Add `tests' symlink to make it easier to find
	automated tests directory.

2000-01-14  Andy Piper  <andy@xemacs.org>

	* configure.in: for cygwin 1.0 we must pick up the mingw32 headers
	before the cygwin headers.

2000-01-08  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- Allow find-tag to work in the build directory.
	- rename src/gdbinit to src/.gdbinit, so that gdb can find it.
	- Less verbose messages when creating .sbinit, .gdbinit, TAGS.

2000-01-07  Marcus Thiessel  <marcus@xemacs.org>

	* config.sub: Upgrade to 1.169, imported from autoconf's CVS
	* config.guess: Upgrade to 1.158, imported from autoconf's CVS

2000-01-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.usage (--mail-locking):
	* configure.in: Handle --mail-locking option correctly in
	preparation for the movemail locking overhaul.

2000-01-05  Daniel Pittman  <daniel@danann.net>

	* configure.in (Installation): Report which Athena header/library
	combo is being used.

1999-12-31  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.26 is released.

1999-12-24  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.25 is released.

1999-12-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* README: Remove msdos part.

1999-12-17  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Oops. xpm doesn't actually depend on X11.
	I got confused by the name (like others get confused by `xemacs'?)

1999-12-14  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.24 is released.

1999-12-13  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	* configure.usage:
	- Autodetect NAS.  Change Docs accordingly.

	* configure.in: Warn if configure --with-xpm --without-x11.

1999-12-09  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Clean up sound support.
	- variable `old_nas' was used but never set.
	- change `with_esd' to `with_esd_sound' for consistency.
	- Don't trust the output of `esd-config --libs`; test it.
	- Add `esd-config --cflags` to c_switch_site.
	- Die if ESD sound requested, but not available.
	- ESD is not dependent on X, therefore use LIBS, not libs_x.

1999-12-07  Martin Buchholz  <martin@xemacs.org>

	* configure.in (--with-sound): Variable with_esd was mispelled.

1999-12-07  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.23 is released.

1999-11-30  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Fix module support.
	--with-modules=yes was completely broken.
	AC_DEFINE(HAVE_DLFCN_H) was invoked twice.
	Remove linking test for _dlopen - seems totally bogus.
	Die if --with-modules=yes but no module support found.
	Do nothing, not even msg, if --with-modules=no.

1999-11-17  Isaac Hollander  <ysh@mindspring.com>

        * Makefile.in.in: add and use TAR macro.  Sometimes tar only copies
        symlinks instead of the actual files

1999-11-30  Martin Buchholz  <martin@xemacs.org>

	* aclocal.m4: Shared library support for hpux >= version 11

1999-11-29  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in (beta): `make beta' should rebuild info.

1999-11-29  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.22 is released

1999-11-28  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.21 is released.

1999-11-26  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Add configure support for Unix 98 type ssize_t.

1999-11-27  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in:
	Make sure config.values.sh is up to date.
	Use $(SHELL) instead of sh or /bin/sh consistently.
	Delegate `depend' target to src/Makefile.in.in.

1999-10-27  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* INSTALL: Update configure option.

1999-10-12  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* configure.in (native_sound_lib, *-sgi-*): Check for audio.h.
	(LIBS): Check for libCsup.

1999-10-24  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* config.h.in: define HAVE_ESD_SOUND

	* configure.in: Add support for esd sound. --with-sound
	now accepts a list of options.
	* configure.usage (--native-sound-lib): ditto.

1999-11-17  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in (install-arch-dep):
	Fix `make install' if prefix != exec_prefix.

1999-11-15  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- Accept --with-database=gdbm as an alias for
	--with-database=gnudbm.
	- rename with_database_gnudbm to with_database_gdbm.

	* aclocal.m4 (ld_dynamic_link_flags): Just use empty value for
	ld_dynamic_link_flags on Solaris.  Else CC gives us:
	CC: Warning: Option -Wl,-Bdynamic passed to ld, if ld is invoked, ignored otherwise
	/usr/ccs/bin/ld: illegal option -- W


1999-11-10  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.20 is released

1999-09-21  Martin Buchholz  <martin@xemacs.org>
	* configure.in: Autodetect Unix98 PTY

1999-08-30  Robert Pluim  <rpluim@bigfoot.com>

	* README.packages: Add description of package-get-provider

1999-10-22  Vin Shelton  <acs@xemacs.org>

	* INSTALL: Added more information about README.packages, and
	re-numbered some bullets.

1999-10-24  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* INSTALL: Update disk requirements. Refer to README.packages

1999-10-21  Andy Piper  <andy@xemacs.org>

	* configure.in (all_widgets): Only use xaw3d if we really have it.

1999-10-06  Andy Piper  <andy@xemacs.org>

	* Makefile.in.in: use WINDOWSNT for mingw install.

1999-09-25  Andy Piper  <andy@xemacs.org>

	* configure.in: check for Xaw3d and use in preference to Xaw

1999-09-21  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in: All Makefiles should #include config.h

1999-09-19  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in (EMACS_CONFIGURATION): Use $configuration, not
	$canonical, so that installation paths and dynamic path setup will
	stay in synch.

1999-09-20  Andy Piper  <andy@xemacs.org>

	* Makefile.in.in: use __CYGWIN32__ and __MINGW32__ to predicate
 	installation linkage.

1999-08-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in (machine): Recognize MIPS/Linux.

1999-08-27  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* modules/zlib/Makefile (distclean):
	* modules/ldap/Makefile (distclean):
	* modules/sample/Makefile (distclean):
	* modules/base64/Makefile (distclean): new target

	* Makefile.in.in (top_distclean): Add package directories
	(SUBDIR_DISTCLEAN): New variable, add module directories

1999-09-01  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Warn, but otherwise ignore, obsolete arguments.

1999-08-20  Olivier Galibert  <galibert@pobox.com>

	* configure.in: Add --pdump option.
	* configure.usage:  Ditto.

1999-08-04  Andy Piper  <andy@xemacs.org>

	* configure.in: report widget usage correctly. beef up setting.

	* Makefile.in.in: fix install-arch-dep for mingw32.

1999-07-28  Andy Piper  <andy@xemacs.org>

	* config.h.in: add new LWLIB defines.

	* configure.in: fix definitions of widget defines with various
 	toolkit options.

1999-07-30  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.19 is released

1999-07-28  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Removed superfluous call to AC_FUNC_MMAP.

1999-03-07  Gregory Neil Shapiro  <gshapiro@sendmail.org>

	* configure.in: Check for Kerberos and the need for the DES
	library before checking for LDAP in case LDAP requires these
	libraries.

1999-07-26  SL Baur  <steve@xemacs.org>

	* configure.in: Rename --with-shlib to --with-modules for
	consistency with the other two options that use that name.

	* configure.usage (--with-modules): Document it.

1999-07-22  SL Baur  <steve@xemacs.org>

	* configure.in: add sco7 support
	From Bob Weiner  <weiner@beopen.com>

1999-07-22  SL Baur  <steve@xemacs.org>

	* Makefile.in.in (install-arch-dep): Install config.values into
	docdir.
	From Karl M. Hegbloom  <karlheg@cathcart.sysc.pdx.edu>

1999-07-21  SL Baur  <steve@xemacs.org>

	* Makefile.in.in (inststaticdir): New variable.
	(instvardir): Ditto.
	(install-arch-dep): Use them.

	* configure.in (sitelispdir): Need to use ${PROGNAME}.
	(sitemoduledir): Ditto.
	(inststaticdir): New variable.
	(instvardir): Ditto.
	(infodir): Use them.
	(lispdir): Ditto.
	(moduledir): Ditto.
	(pkgdir): Ditto.
	(etcdir): Ditto.
	(lockdir): Ditto.
	(archlibdir): Ditto.

1999-07-14  SL Baur  <steve@xemacs.org>

	* InfoDock 4.0.8 is released

1999-07-13  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.18 is released

1999-07-06  SL Baur  <steve@xemacs.org>

	* config.guess (main): Synch with newer config.guess for HP
	support.
	From Marcus Thiessel <marcus@xemacs.org>

1999-06-25  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in (with_prefix): Added --with-prefix, defaults to
	yes, to control whether the value of --prefix is compiled into the
	binary.

1999-07-03  Andy Piper  <andy@xemacs.org>

	* configure.usage (--with-widgets): add.

1999-07-02  Andy Piper  <andy@xemacs.org>

	* configure.in: Make sure we get motif in lwlib if we have widgets
 	and motif.

1999-06-25  SL Baur  <steve@xemacs.org>

	* configure.in (version): Fix --with-infodock test.

1999-06-15  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: --prefix and --exec-prefix are now only compiled
	into the binary if user-defined.

1999-03-23  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Made docdir configurable.

	* Makefile.in (docdir): Added variable for custom DOC directory.

1999-06-22  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.17 is released

1999-06-13  Oscar Figueiredo  <oscar@xemacs.org>

	* configure.in (with_ldap): Check libldap independently of liblber
	Do not test alternate library names such as libldap10
	Test the presence of a variety of LDAP API functions which were
	formerly assumed to be present according to dubious heuristics

1999-06-11  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.16 is released

1999-06-04  SL Baur  <steve@steve1.m17n.org>

	* configure.in (CPP): Correct test for locating $site_prefix
	include directories.

1999-06-04  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.15 is released

1999-06-01  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* README.packages: fix typos: user pacakge hierarchy is ~/.xemacs
	From: Eric Veldhuyzen <eric@terra.nu>

1999-05-25  Jan Vroonhof  <jan@xemacs.org>

	* configure.in: For non-beta's use x.y.z format for version strings.

1999-06-03  SL Baur  <steve@xemacs.org>

	* version.sh: add emacs_is_beta initialization

	* configure.in: Implement patch levels in version number
	From Jan Vroonhof <vroonhof@math.ethz.ch>

	* configure.in:
	* configure.usage:
	* config.h.in: Rename session option to wmcommand.
	From Oliver Graf <ograf@rhein-zeitung.de>

1999-05-16  Mike McEwan  <mike@lotusland.demon.co.uk>

	* info/dir: Add `emodules.info' entry to the top info dir.

1999-05-31  SL Baur  <steve@steve1.m17n.org>

	* configure.in (CPP): Don't check for include subdirectories in
	site-prefix directories.  This check loses in valid configurations
	like /usr/jp in TurboLinux.  Conditionally add include directory to
	site switches.

1999-05-14  Hrvoje Niksic  <hniksic@srce.hr>

	* configure.in (quoted_arguments): Support
 	--error-checking=byte-code.

1999-05-14  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.14 is released

1999-05-11  SL Baur  <steve@altair.xemacs.org>

	* version.sh (infodock_build_version): Synch InfoDock version.

1999-05-06  Hrvoje Niksic  <hniksic@srce.hr>

	* aclocal.m4 (ld_dynamic_link_flags): Change -Bexport to -Bdynamic
	for Solaris.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* configure.in (xemacs_betaname): Don't generate Installation.el.

	* Makefile.in.in (top_distclean): Don't remove Installation.el.

1999-04-29  Andy Piper  <andy@xemacs.org>

	* configure.in: add mingw32 as a target platform. add nt process
 	support options.

1998-09-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* configure.in: Delete mule-coding.o.

1999-04-22  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* lwlib/xlwmenu.c (string_width_u): Initialise chars before
 	calling XmStringGetLtoR
	(string_draw_u): ditto and check return value of XmStringGetLtoR()

1999-04-05  Olivier Galibert  <galibert@pobox.com>

	* Makefile.in.in (GENERATED_HEADERS): Don't generate
 	puresize-adjust.h anymore

	* configure.usage: Remove everything gung-ho or purespace related

	* configure.in: Ditto

1999-04-17  Hrvoje Niksic  <hniksic@srce.hr>

	* configure.in: Check for getloadavg().

1999-03-12  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.13 is released

1999-03-09  SL Baur  <steve@xemacs.org>

	* Makefile.in.in (LC_ALL): Try very, very hard to build in C locale.

1999-03-05  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.12 is released

1999-03-04  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in (top_distclean): Remove confdefs.h as well.

1999-03-03  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	`uname -v` -> "`uname -v`":
	backquoted expressions need additional double
	quotes to be a single token.
	Use separate if's to avoid extra process invocations.

1999-01-05  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* PROBLEMS: Document crashes on SPARC with gcc 2.8.1.

1999-03-01  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.11 is released

1999-02-16  Andy Piper  <andy@xemacs.org>

	* PROBLEMS: add entries for building under Cygwin.

1999-02-14  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* README.packages: Clear up that mule-sumo packages is used _in
	addition_ to the normal sumo.

1999-02-16  Martin Buchholz  <martin@xemacs.org>

	* configure.usage: Move quantify/purify into debug flags section

1999-02-10  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- Fixup xfs comments and redundant option checking

	* configure.in:
	* INSTALL:
	* lisp/paths.el:
	- improved automounter tmp directory support.
	- support 4 (!) empirically discovered automounter conventions

1999-02-10  Martin Buchholz  <martin@xemacs.org>

	* lwlib/lwlib.h:
	- redo CONST hacking to deal with X11 R4, which was
	broken in a previous patch.

1999-02-10  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- irix uses -rpath

1999-02-10  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- Check for XOpenIM before using xim=xlib
	- only use XmIm if $have_motif = yes

1999-02-10  Martin Buchholz  <martin@xemacs.org>

	* configure.in.  Port to BSDI BSD/OS 4.0.

1999-01-07  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Warn if using Motif dialog boxes on AIX 4.3.

1999-02-05  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.10 is released

1999-02-02  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.9 is released

1999-01-21  Andy Piper  <andy@xemacs.org>

	* configure.in: make xface detection specifc to a window system in
 	general rather than just X.

1999-18-10  Andy Piper  <andy@xemacs.org>

	* configure.in: remove -O3 prevention on cygwin - current versions
 	cope ok now.  remove dll prevention on cygwin - the new module
 	code checks correctly.

1999-01-10  J. Kean Johnston  <jkj@sco.com>

	* configure.in: Added moduledir as the path where loadable modules
	are stored. Added --with-site-modules and --moduledir options.
	- Ensure the SCO OpenServer compiles with --dynamic by default
	- Check for dlfcn.h for dynamic loader
	- Renamed dll.o to emodules.o and changed dynamic loader tests
	- Renabled code that deals with site-lisp so that it is handled
	correctly when a user specifies --with-site-lisp.

	* aclocal.m4: Replaced entire file with more complete DLL tests
	by way of libtool.

	* config.usage: Removed TAB characters which caused it to be
	displayed incorrectly on terminals where TAB != 8.
	- Added help text to describe --with-site-modules and --moduledir.

	* INSTALL: Updated documentation to describe module directories

	* Makefile.in.in: Added moduledir, sitemoduledir macros.
	- Make those directories at install time.

1998-12-28  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.8 is released.

1998-12-28  Martin Buchholz  <martin@xemacs.org>

	* PROBLEMS: Document Linux GNU Libc 2.0 I18N crashes.

1998-12-24  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.2.7 is released.

1998-12-20  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Redo DBM support
	- die if dbm support requested, but not provided.
	- properly check for libgdbm, then libc, then libdbm
	- properly check for ndbm.h
	- comments improved
	- XE_DIE should always prefix messages with Error: for clarity

1998-12-07  Martin Buchholz  <martin@xemacs.org>

	* xemacs.mak (TEMACS_OBJS):
	(DOC_SRC4):
	- Remove pure.c, pure.obj

1998-12-06  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in (distclean):
	* dynodump/Makefile.in.in (distclean):
	* src/Makefile.in.in (distclean):
	* lib-src/Makefile.in.in (distclean):
	* lwlib/Makefile.in.in (distclean):
	- Make sure GNUmakefile is deleted.

1998-12-17  Andy Piper  <andy@xemacs.org>

	* configure.in (all_widgets): remove gui.o addition - its always
 	in the makefile now.

	* configure.in: add gui-msw.o to msw objects.

1998-12-16  Andy Piper  <andy@xemacs.org>

	* XEmacs 21.2.6 is released

1998-12-05  XEmacs Build Bot  <builds@cvs.xemacs.org>

	* XEmacs 21.2.5 is released

1998-11-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta4 is released.

1998-11-27  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Linux/Arm Support.
	From James LewisMoss <dres@ioa.com>

1998-11-27  Takeshi Hagiwara  <hagiwara@ie.niigata-u.ac.jp>

	* configure.in:
	Fix the realpath() problem of UnixWare2.1.3.
	Patches for NEC's sysv4.2 machine.

1998-11-09  Kazuyuki IENAGA  <ienaga@jsys.co.jp>

	* configure.in: Check if there's wnn4.2 or wnn6 specific library
	installed. The Wnn library will be checked if the --with-wnn
	and/or --with-wnn6 was specified compulsory.

1998-07-28  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* configure.in (CPP): Too many spaces im run-patch flag detection.

1998-10-15  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta3 is released.

1998-10-13  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: enable drag and drop support by default if mswindows is
	detected.

1998-10-09  Kevin Oberman  <oberman@es.net>

	* config.sub: Fix for Alpha architecture

1998-10-05  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: don't enable shared lib support for cygwin unless
	explititly told to.

1998-09-29  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta2 is released.

1998-09-09  Gunnar Evermann  <Gunnar.Evermann@nats.informatik.uni-hamburg.de>

	* lwlib/xlwmenu.c:
	* lwlib/xlwscrollbar: fix for Motif >=2.0
	Patch provided by Glenn Barry <gtb@eng.sun.com>

	* PROBLEMS: XEmacs 21.0 now works on HP-UX 11.0

1998-09-02  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: check for cygwin32/version.h.

1998-08-31  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* PROBLEMS: Added AIX 4.3 note.

	* configure.in: Better detection of AIX 4.3.
	AIX xlc can do -g and -Ox at the same time.

1998-08-17  P. E. Jareth Hein  <jareth@camelot.co.jp>

	* configure.in: Alter configure so that it checks for mismatched PNG
	header/libs, screams a little louder on old/mismatched library
	conditions for both PNG and XPM, stop screaming if png is not found and
	no window-system is selected, and fixed a bug in the XPM checking.

1998-08-07  P. E. Jareth Hein  <jareth@camelot.co.jp>

	* configure.usage (--without-gif): Modify text to reflect status
	of GIF support

1998-08-04  P. E. Jareth Hein  <jareth@camelot.co.jp>

	* configure.in: add back in the support for the in-core GIF
	code, change the required PNG library version to 1.0.2, and add
	a warning if PNG not found, since PNG images are now distributed
	as part of the core.  Also minor wording changes in things reported
	to the user.

1998-07-28  Kai Haberzettl  <khaberz@synnet.de>

	* BETA: Update mailing-list address for build-reports

1998-08-01  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (TAGS tags): Add variable `tagslisp' so a TAGS file
	can built that includes package lisp.

1998-07-23  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	- support multiple flavors of alpha, (XEmacs treats them identically)
	- Fix AC_TRY_RUN so that actions have access to $?
	- Identify DEC C compilers. Add default optimization CFLAGS and
	  always use -std.
	- Use an extensible method for adding support for future compilers.
	- Have SunPro C use that same extensible method.
	- Make sol2 always use `-R', Linux and DEC OSF always use `-rpath'

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta1 is released.

1998-07-18  SL Baur  <steve@altair.xemacs.org>

	* config.guess: Synched with latest FSF version.

1998-07-12  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* Makefile.in: added LDFLAGS.

1998-07-12  SL Baur  <steve@altair.xemacs.org>

	* README: Bump version numbers.
	* info/dir: Ditto.
	* version.sh: Ditto.

 	* XEmacs 21.0-pre5 is released.

1998-07-10  SL Baur  <steve@altair.xemacs.org>

	* configure.in (with_offix): Default --with-offix to off.

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Handle multiple database libraries.
	From Gregory Neil Shapiro <gshapiro@sendmail.org>

	* XEmacs 21.0-pre4 is released.

	* configure.in: Fix test for InfoDock sources.

1998-07-09  Oliver Graf  <ograf@fga.de>

	* configure.usage: added warning to --with-offix

1998-06-28  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Berkeley DB autodetection fixes
	From Martin Buchholz <martin@xemacs.org>

1998-06-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre3 is released.

1998-06-20  Kazuyuki IENAGA  <ienaga@jsys.co.jp>

	* configure.in: Added check if the berkdb has db_open or not.
	(With fixes from Martin Buchholz)

1998-06-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre2 is released.

1998-06-18  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Added -lC for static linking under AIX 4.2.

1998-06-14  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre1 is released.

1998-06-11  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta43 is released.

1998-06-04  Oliver Graf  <ograf@fga.de>

	* tests/Dnd/README: a step-by-step test run
	* tests/Dnd/droptest.el: some clarifications
	* tests/Dnd/droptest.sh: created, creates test files

1998-06-01  Oliver Graf  <ograf@fga.de>

	* configure.in (summary): added experimental to dragndrop option
	* configure.usage: added experimental note to --with-dragndrop
	* tests/Dnd/droptest.el: extra start-drag-region function
	changed the experimental- stuff

1998-06-07  SL Baur  <steve@altair.xemacs.org>

	* lwlib/xlwmenu.c: Add room for the 0 byte sentinel.

1998-06-05  Colin Rafferty   <colin@xemacs.org>

	* lwlib/xlwmenu.c: Made newchars be as large as it needs to be.

1998-06-01  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta42 is released.

1998-05-29  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: don't use -O3 for cygwin.

1998-05-28  P. E. Jareth Hein  <jareth@camelot-soft.com>

	* configure.in: Switch from giflib to gifreader for
	our GIF image support (no other mods needed)

1998-05-28  Oliver Graf  <ograf@fga.de>

	* configure.in: only one DnD protocol, CDE has priority over OffiX

	* tests/Dnd/README: some changes reflecting recent modifications
	* tests/Dnd/dragtest.el: removed
	* tests/Dnd/droptest.el: cosmetics and comments

1998-05-26  Oliver Graf  <ograf@fga.de>

	* tests/Dnd/droptest.el: adapted to CDE extensions

1998-05-25  Hans Guenter Weigand  <hgweigand@wiesbaden.netsurf.de>

	* configure.in:
	* config.sub: add initial OpenBSD support

1998-05-21  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: check for msw dialogs.

1998-05-23  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta41 is released.

1998-05-17  SL Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): Change -O2 to -O3.
	Suggested by Martin Buchholz <martin@xemacs.org>

1998-05-15  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta40 is released.

1998-05-13  SL Baur  <steve@altair.xemacs.org>

	* configure.in (ZSH_VERSION): zsh-3.1.2 (and zsh-3.0.4) drops core
	on the `unset CDPATH' if running as sh.

1998-05-12  Oliver Graf  <ograf@fga.de>

	* tests/Dnd/droptest.el: some CDE adaptions (untested)

1998-05-11  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	Add some more comments.
	If using bash, use Posix mode and unset CDPATH.
	Be more careful checking feature dependencies.
	Introduce XE_CHECK_FEATURE_DEPENDENCY.
	Undo the gross hack of multiple `echo >> $tempcname'
	by using here documents instead.  (Might break mswindows, tho...)
	Be more careful autodetecting tooltalk.

	* PROBLEMS:
	Document problems with Solaris 2.6 + XSUNTRANSPORT

	* Makefile.in:
	* lwlib/Makefile.in.in:
	* modules/Makefile.in:
	- Adjust for luser's CDPATH being set to something weird.
	- Take into account bash 2.02's tendency to print the cwd when
	  using CDPATH.  Always use `cd ./foo' instead of `cd foo'.
	- fix the run-temacs target to use $(DUMPENV)
	- fix the run-puremacs target to use $(DUMPENV)
	- fix the `depend' target to properly $(RM) the right files
	- Generate a better TAGS file for XEmacs' lisp code using
	  hand-crafted regexps.
	- Use standard coding conventions for modules/Makefile.in

1998-05-12  Kazuyuki IENAGA  <ienaga@jsys.co.jp>

	* configure.in: some people claimed that they can't stop
	linking wnn6 library if they set --with-wnn6=no.

1998-05-11  Oliver Graf  <ograf@fga.de>

	* tests/Dnd/droptest.el: adapted to new calling conventions
	also showing the new possibilities
	* tests/Dnd/README: changed to new protocol

1998-05-11  SAKIYAMA Nobuo  <nobuo@db3.so-net.or.jp>

	* Fix for HAVE_MULTICAST check.

1998-05-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta39 is released.

1998-05-06  Oliver Graf  <ograf@fga.de>

	* configure.in: added autodetection for the Drag'n'Drop API
	if some DnD protocol is found, HAVE_DRAGNDROP will be defined
	and dragdrop.o is added to extra_objs
	* configure.usage: added with-dragndrop, added (*) to with-offix
	* tests/Dnd/droptest.el: complete overhaul, no it's a real test

1998-05-04  Oliver Graf  <ograf@fga.de>

	* tests/Dnd/droptest.el: changed to test new protocol
	* tests/Dnd/README.OffiX: removed
	* tests/Dnd/README: created, info about new protocol
	* tests/Dnd/dragtest.el: comment change

1998-05-02  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta38 is released.

1998-04-29  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Use `PROGNAME' for all generated paths.

	* Makefile.in: Change `progname' to `PROGNAME' for consistency.

1998-04-27  SL Baur  <steve@altair.xemacs.org>

	* configure.in (progname): Parameterize program name on `progname'
	and add --with-infodock.

1998-04-26  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in: Religiously use ${progname} instead of hardcoded
	`xemacs'.
	CPPFLAGS was being set correctly in ${subdir}/Makefiles and
	overridden by the empty one set in the toplevel Makefile.

1998-04-25  SL Baur  <steve@altair.xemacs.org>

	* XEmacs-21.0-beta37 is released.

1998-04-25  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Sychronized ..._USER_DEFINED variables with
	datadir setting.

	* Makefile.in (mkdir): No longer create sitelispdir.

Sat Apr 24 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: make graphic libraries tests be dependant on a
	window system not X11 only.

Fri Apr 24 19:38:19 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: check for our special select in msw.

1998-04-22  Marcus Thiessel  <marcus_thiessel@hp.com>

	* PROBLEMS: add answers to some FAQ concerning hpux.

Wed Apr 22 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: enable checking for special mswindows select()

1998-04-21  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Isolate incomprehensible cma_open/pthreads checking
	to decosf*

1998-04-21  Marcus Thiessel  <marcus_thiessel@hp.com>

	* configure.in: /usr/{include,lib}/Motif2.1 added to search path for X11
 	libs and includes.

1998-04-22  Itay Ben-Yaacov  <pezz@www-mail.huji.ac.il>

	* configure.in: check for xpm does not depend anymore on having X.
	if libXpm exists, and is of the FOR_MSW flavor, define FOR_MSW.

1998-04-19  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* info/dir: Fixed the explanatory notes for
	`Info-default-directory-list' removal and the new automatic dir
	rebuilding facility.  Reindented the menu.  Added an entry for
	term.info

1998-04-20  SL Baur  <steve@altair.xemacs.org>

	* configure.in (LISPDIR): Removed configuration option for
	site-lisp.

1998-04-19  SL Baur  <steve@altair.xemacs.org>

	* configure.in (version): snarf InfoDock version number.

1998-04-18  SL Baur  <steve@altair.xemacs.org>

	* XEmacs-21.0-beta36 is released.

Fri Apr 17 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: enable install pre-processing for mswindows

Fri Apr 17 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* Makefile.in.in: add install_pp to install incantation.

	* installexe.sh: new file. Add .exe to install targets if the
	result is executable.

Fri Apr 17 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* Makefile.in: add install_pp to install incantation.

1998-04-14  Itay Ben-Yaacov  <pezz@www-mail.huji.ac.il>

	* configure.in: Large echo split into a few smaller ones,
	so the cygnus sh.exe does not crash.

Thu Apr 16 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: enable toolbar checking for mswindows build

1998-04-06  Martin Buchholz  <martin@xemacs.org>

	* config.h.in: Add _SVID_SOURCE to list of xmkmf #defines.
	Used (at least) by RedHat 4.2.

1998-04-11  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Re-instated src/paths.h generation from
	src/paths.h.in.

	* Makefile.in (top_distclean): Remove site-lisp on `make
	distclean'.

1998-04-10  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta35 is released.

1998-04-10  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.usage: Clarified --package-path documentation.

1998-04-07  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Now generates src/paths.h from src/paths.h.in.in.
	Removed defaults for infopath and package-path.

	* Makefile.in (src/paths.h): ... is now generated from
	src/paths.h.in.in.  Moved generation of paths.h to configure.

	* paths.h.in: Removed.

	* paths.h.in.in: Created.

1998-04-06  Martin Buchholz  <martin@xemacs.org>

	* configure.in: png was still being used if png_version < 0.96

	* configure.in: Fixed magic to handle AIX, X11R6, and gcc.

1998-04-05  Amir J. Katz  <amir@ndsoft.com>

	* INSTALL (Rationale): Offix support comment is wrong. To disable,
	one must use --with-offix=no and not --without-offix

1998-04-05  SL Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): ppc.ldscript sits in $srcdir/src not $srcdir.

1998-04-04  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta34 is released.

1998-04-03  Martin Buchholz  <martin@xemacs.org>

	* configure.in:
	checking whether gettimeofday accepts one or two arguments... two

1998-04-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Fixed magic to handle AIX and MIT X11R6.

1998-04-02  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Add magic -T $srcdir/ppc.ldscript on Linux powerpc

1998-04-01  Martin Buchholz  <martin@xemacs.org>

	* tests/database.el (test-database): Temporary files (the databases
	that were created) should be deleted.

	* Makefile.in (testdir): Remove gnumake-specific syntax.
	(src/Makefile): src/Makefile depends on src/depend.

1998-03-29  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Check for -lz, -lgz unconditionally.  Too many
	system linkers don't properly die when there are cascaded link
	dependencies, so we can't rely on the linker for that.  The only
	downside is that we might link with an extra unneeded library.  If
	you really really care about this, you can go fix it.

	* configure.in: Enhance PANIC msg to make it clear that
	--with-FEATURE is going to die if FEATURE is not installed.

1998-03-27  Martin Buchholz  <martin@xemacs.org>

	* configure.in: $debug was not properly dependent on $beta

	* configure.in: Move offix configuration out of src/Makefile.in.in
	into configure.in.

	* configure.in: Reorganize xpm detection code.

	* configure.in: XIM default to ON if Motif which is not Lesstif is
	found.

	* configure.in: Keep auto-generated makefile dependencies out of
	src/Makefile.in.in by using AC_OUTPUT file concatenation support.

1998-03-26  Martin Buchholz  <martin@xemacs.org>

	* configure.in: Fix up cflags handling.  Specifically, configure
	--cflags='' would fail to be recognized.

	* configure.in: Fix up png detection.  Link with png_read_image to
	make sure -lz is required.  Test for png >- 0.96 via header file.

1998-03-21  Martin Buchholz  <martin@xemacs.org>

	* configure.in (XE_GCC_WRAP_LDFLAGS)
	Rename to XE_PROTECT_LINKER_FLAGS.  Rewrite.

	* configure.in: Make sure BSD always links in libz.a
	BSD's stupid linker can't detect cascaded lib dependencies

	* configure.in: Autodetect lesstif.  define have_lesstif.
	Don't use motif-xim with lesstif, at least by default.

1998-03-30  SL Baur  <steve@altair.xemacs.org>

	* version.sh: Add InfoDock version number variables.

1998-03-30  Amir J. Katz  <amir@ndsoft.com>

	* info/dir: Replaced string '20.5' with '21.0'

1998-03-24  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta33 is released.

1998-03-26  Didier Verna  <didier@xemacs.org>

	* configure.in, Makefile.in: Removed infopath_user_defined---we
	always want to propagate it.

	* configure.usage: Synched with configure.in.

1998-03-25  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.usage, INSTALL: Synched with the new path layout.

	* Makefile.in (src/paths.h): Replaced packagepath with
	package_path to make configure happy.

	* configure.in: Made default setting for packagepath conform to
	what packages.el builds at run-time: XEmacs-version-specific paths
	before site-specific ones.
	Added default setting for pkgdir.
	Changed --packagepath back to --package-path.

1998-03-24  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-beta32 is released.

1998-03-23  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* configure.in: Extended package path by version-specific
	hierarchies.  Changed allow-site-lisp to inhibit-site-lisp.

1998-03-22  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (distclean): Remove packages and mule-packages if they
	have been linked into place.

1998-03-22  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* <Today>: The Big Path Searching Overhaul.

	* Makefile.in, configure.in: Now pass all configure-specified paths
	into the binary in a uniform way.

1998-03-20  SL Baur  <steve@altair.xemacs.org>

	* configure.in (have_libmcheck): Add test for glibc's malloc
	checker.
	- Fix HP/UX dynamic linking flag.

1998-03-19  SL Baur  <steve@altair.xemacs.org>

	* configure.in (quoted_arguments): Fix unquoted variable in
	error-checking test.
	- fix bogus substitution.

1998-03-17  SL Baur  <steve@altair.xemacs.org>

	* configure.in: In -lpng test, look for png_set_strip_alpha.
	Suggested by William M. Perry <wmperry@aventail.com>

1998-03-16  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0 beta31 is released.

1998-03-16  P. E. Jareth Hein  <jareth@camelot-soft.com>

	* configure.usage (Usage): Correct information about gif, tiff
	and WNN entries

1998-03-13  SL Baur  <steve@altair.xemacs.org>

	* configure.in: typo fix in sed command.
	From P. E. Jareth Hein <jareth@camelot-soft.com>

	* configure.in (all_widgets): Check for snprintf().

1998-03-11  P. E. Jareth Hein  <jareth@camelot-soft.com>

	* configure.in: New gif support

1998-03-10  SL Baur  <steve@altair.xemacs.org>

	* configure.in (have_glibc): Don't define _GNU_SOURCE for glibc.

Mon Mar 09 13:00:55 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: don't add libc to link list for dlopen ordinary
	link takes care of this. check for dlfcn.h

1998-03-10  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Examine each directory of X11 include path for
	inclusion into BITMAPDIR.

1998-03-09  SL Baur  <steve@altair.xemacs.org>

	* aclocal.m4: Add legalese.

Mon Mar 09 13:00:55 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: make sure we have ndbm.h as well as libgdbm.a for
	database support.

	* configure.in: move msw checking after x checking so that
	auto-detection works.

1998-03-09  SL Baur  <steve@altair.xemacs.org>

	* configure.in: New DLL support.
	* aclocal.m4: New file.
	From William M. Perry <wmperry@aventail.com>

1998-03-08  SL Baur  <steve@altair.xemacs.org>

	* configure.in (xemacs_betaname): Align messages for minimal
	tagbits and indexed lrecords.
	Suggested by Andreas Jaeger <aj@arthur.rhein-neckar.de>

1998-03-07  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta30 is released.

1998-03-05  SL Baur  <steve@altair.xemacs.org>

	* PROBLEMS: Update wording of x86 GCC 2.7 problems.

Wed Mar 04 08:55:12 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: add a --with-msw option. Make X and msw work
	together if the user asks.

1998-03-02  SL Baur  <steve@altair.xemacs.org>

	* PROBLEMS: Update documentation of gcc bugs that impact XEmacs.

1998-03-01  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Add substitutable variable ld_dynamic_link_flags
	for special required linker flags for building DLL capable
	binaries.

1998-02-28  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (top_distclean): Remove Installation.el.
	(xemacs): New target.  Formerly it was `all:'.
	(all): New default, dist: is now superfluous.

1998-02-27  SL Baur  <steve@altair.xemacs.org>

	* configure.in (GNU_MALLOC): add --with-dlmalloc to allow
	selective use of Doug Lea malloc in Linux C Library and GNU C Library.
	(Installation): Add XEmacs version and generate `Installation.el'.

1998-02-26  SL Baur  <steve@altair.xemacs.org>

	* configure.in (with_ldap: Fix -lldap autodection.
	Suggested by Oscar Figueiredo <Oscar.Figueiredo@di.epfl.ch>
	(Installation): Only keep the last configuration.

1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta28 is released.

	* configure.in (with_session): Fix reporting of the setting.
	(with_database_gnudbm): Correctly report setting.

1998-02-24  SL Baur  <steve@altair.xemacs.org>

	* configure.usage: Restore documentation of graphics library
	flags.
	From Karl M. Hegbloom <karlheg@bittersweet.inetarena.com>

1998-02-19  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* PROBLEMS: Tell of the `gpm' SIGTSTP bug and `C-z' on the Linux
	console.

1998-02-23  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.4 is released to the beta testers.

1998-02-21  SL Baur  <steve@altair.xemacs.org>

	* configure.in (after_morecore_hook_exists): Modify dlmalloc tests
	to also test for Linux libc5.

1998-02-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta27 is released.
	* XEmacs-20.4-pre4 is released.

	* configure.in (doug_lea_malloc): Requires USE_MINIMAL_TAGBITS.
	(--with-gung): Implement it.

	* configure.usage (--with-gung): Document.  Turns on
	USE_MINIMAL_TAGBITS and USE_INDEXED_LRECORD_IMPLEMENTATION.
	(--with-term): Remove.

	* XEmacs-20.5-beta26 is released.

1998-02-18  SL Baur  <steve@altair.xemacs.org>

	* XEmacs-20.4-pre3 is released.

	* Makefile.in: use better feedback while rebuilding finder database.
	Suggested by Stephen J. Turnbull <turnbull@sk.tsukuba.ac.jp>

1998-02-15  SL Baur  <steve@altair.xemacs.org>

	* configure.in (doug_lea_malloc): Add checking for Doug Lea
	Malloc.

1998-02-14  SL Baur  <steve@altair.xemacs.org>

	* configure.in (OFFIX_O): Don't use OffiX if no real Xmu support.
	Suggested by Pekka Marjola <pema@iki.fi>

	* XEmacs-20.4-pre2 is released.
	* XEmacs-20.5-beta25 is released.

1998-02-13  SL Baur  <steve@altair.xemacs.org>

	* INSTALL: Update for Cygwin and Microsoft Windows.

	* README: Update for Microsoft Windows.

1998-02-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.4-pre1 is released.
	* XEmacs 20.5-beta24 is released.

Wed Jan 28 13:41:22 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: add mule-coding target which defines MULE_CODING,
	nothing uses it as yet. add gif objects to msw support. define
	const_is_losing=no for msw. make msw not selected if tty selected.
 	add -lshell32 for dnd support. check for a.out.h rather than
	coff.h

	* lib-src/make-docfile.c: add cygwin support and generalise the
	remaining open calls. IMHO this should really include sysfile.h.

1998-02-03  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta23 is released.

1998-01-27  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta22 is released.

1998-01-25  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta21 is released.

Wed Jan 21 10:49:47 1998  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: check for coff.h

1998-01-21  Hrvoje Niksic  <hniksic@srce.hr>

	* configure.in: Added support for `--with-shlib'.

1998-01-18  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta20 is released.

1998-01-13  Martin Buchholz  <martin@xemacs.org>

	* configure.usage:
	Remove doc for configure-time INFOPATH, no longer used.

	* configure.in:
	* src/config.h.in:
	Define HAVE_INVERSE_HYPERBOLIC using 1 configure test, not 3.

	* lwlib/lwlib.h:
	* lwlib/lwlib.c:
	* lwlib/lwlib-config.c:
	* lwlib/lwlib-Xm.c:
	* lwlib/lwlib-Xaw.c:
	* lwlib/lwlib-Xlw.c:
	* lwlib/config.h.in:
	* src/menubar-x.c:
	Prepend LWLIB_ to (SCROLLBARS|MENUBARS|DIALOGS)_(MOTIF|LUCID|ATHENA).
	Maintain only one set of variables.

	* Makefile.in (install-arch-dep): Simplify.
	Replace construct  `test -d $dir && foo'  with
	`if test -d $dir; then foo; fi'

	* lwlib/xlwmenu.c:
	* lwlib/xlwscrollbar.c:
	* lwlib/lwlib-Xlw.c:
	* lwlib/lwlib-Xm.c:
	Always assume presence of limits.h (ANSI).

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* INSTALL: Updated for recent Mule/package changes.

	* XEmacs 20.5-beta19 is released.

1998-01-12  Damon Lipparelli  <lipp@primus.com>

	* Makefile.in: Yow!  Fixed paths to install dirs when --prefix !=
	--exec-prefix.

1998-01-10  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta18 is released.

1998-01-08  Didier Verna  <didier@xemacs.org>

	* configure.in: Get rid of INFOPATH for configure time.
	* configure.usage (Usage): Ditto.

1998-01-09  SL Baur  <steve@altair.xemacs.org>

	* Makefine.in: Correct reported amount of disk savings from
	compression.
	From Markus Linnala <maage@cs.tut.fi>

Thu Jan 08 09:42:36 1998    <andyp@parallax.co.uk>

	* configure.in: detect and set scrollbars and menubars with
 	MS-Windows more appropriately. Check for sys/un.h to use in
	gnuserv.

1998-01-07  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (progname): Cleanly parameterize XEmacs-specific
	naming.

1998-01-05  Glynn Clements  <glynn@sensei.co.uk>

	* lwlib/xlwmenu.c (push_button_draw): use inactive_gc instead of
	inactive_button_gc for menu entries.
	(remap_menubar): ignore the enabled status

1998-01-04  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta17 is released.

	* Makefile.in (finder): Use -vanilla.
	(lisp/finder-inf.el): Ditto.
	(check-features): New target.  Do a sanity check prior to
	installation.

1997-01-03  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta16 is released.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta15 is released.

1997-12-29  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (${SUBDIR}): Remove bogus .RECURSIVE dependency.

1997-12-27  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta14 is released.

1997-12-23  Andy Piper  <andyp@parallax.co.uk>

	* configure.in: support for *-pc-cygwin32 config

1997-12-25  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta13 is released.

1997-12-20  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta 12 is released.

1997-12-19  SL Baur  <steve@altair.xemacs.org>

	* configure.in (bitmapdir): Reenable --with-session by default for
	testing.

1997-12-17  SL Baur  <steve@altair.xemacs.org>

	* info/dir (File): Skk and Gnats are packaged.

	* PROBLEMS (Note): Update version numbers.

	* info/dir (File): Update version number.

1997-12-16  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta11 is released.

1997-12-14  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Don't bypass graphics library detection
	if the `--with-imagick' option is given to configure.
	: Print autodetected graphics libraries to be linked with Imagick.

	* Makefile.in (lisp/finder-inf.el): Reverse previous change.

1997-12-14  Olivier Galibert  <olivier.galibert@mines.u-nancy.fr>

	* Makefile.in (install-arch-indep): Build info files if needed.

1997-12-13  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (lisp/finder-inf.el): Add dependency on src/.

	* XEmacs 20.5-beta10 is released.

1997-12-12  SL Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): Don't add special CFLAGS for ix86/Linux.

1997-12-10  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* configure.in (autodetect ImageMagick): also look for
 	"X11/magick/magick.h", and if present, define
 	MAGICK_HEADERS_ARE_UNDER_X11

1997-12-11  SL Baur  <steve@altair.xemacs.org>

	* configure.in (imagick_libs): Add autodetection for freetype
	-lttf library.

1997-12-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta9 is released.

1997-12-06  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta8 is released.

	* info/dir: update for further packaging.
	* configure.in: remove `tree-x' from XEmacs build.

1997-11-29  Jeff Miller  <jmiller@smart.net>

	* configure.in:  motif menubars need xlwmenu.o

	* updated files in src/ to allow an XEmacs configured for
	  motif menubars to at least compile.  Motif menubars are still
	  very broken.

1997-12-02  P E Jareth Hein  <jareth@camelot-soft.com>

	* lwlib/xlwscrollbar.c: fixed colormap/visual handling to work
	properly with the information in the core.

	* lwlib/xlwmenu.c: fixed colormap/visual handling to work properly with
	the information in the core, and fixed a potental problem with
	parentage.

1997-12-01  SL Baur  <steve@altair.xemacs.org>

	* configure.in (with_session): Properly display flag in configure
	status report.

1997-11-29  SL Baur  <steve@altair.xemacs.org>

	* configure.usage: Remove documentation of obsolete option
	--with-gif.

1997-11-27  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta7 is released.

	* configure.in: When testing for -ltiff, fall back on the extra
	libraries -ljpeg, and -lz since some -ltiff's need them.

1997-11-26  SL Baur  <steve@altair.xemacs.org>

	* lwlib/xlwmenu.c (display_menu): Defer incremental menus properly.
	From Glynn Clements <glynn@sensei.co.uk>

1997-11-25  Kazuyuki IENAGA  <ienaga@jsys.co.jp>

	* configure.in: Improve auto detect of libraries ImageMagick rely
	on.

1997-11-23  Jeff Miller  <jmiller@smart.net>

	* Energize is dead.  Removed ENERGIZE ifdef's from code in lwlib
	  and src.  Configure.in modified.  --with-energize is no longer a
	  valid configure option.

	* lwlib/Makefile.in.in  removed energize support
	* lwlib/lwlib-Xm.c      removed energize support
	* lwlib/lwlib-config.c  removed energize support

	* lwlib/energize/*      removed

1997-11-23  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in: Change references of lisp/utils/finder-inf.el to
	lisp/finder-inf.el.

1997-11-20  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta6 is released.

1997-11-21  Stephen Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* configure.usage: Use `--' convention in "usage:" line.

1997-11-20  Stephen Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* configure.in: added `with_xfs' to list of boolean features.

1997-11-20  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3 is released for binary kit building.

1997-11-19  Tor Arntsen  <tor@spacetec.no>

	* PROBLEMS: Removed IRIX entry about xemacs core dumps when using
	xemacs dumped on one machine on another. Problem was fixed by 20.3.

1997-11-18  SL Baur  <steve@altair.xemacs.org>

	* configure.usage: New file.

	* configure.in: Use it instead of monster 10k shell variable.

1997-11-17  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-pre4 is released.

1997-11-17  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* configure.in (infopath): List "/usr/local/" dirs before "/usr/"
	dirs.

1997-11-17  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Initialize infodir off of datadir.

	* Makefile.in: Force LANG = C for building.

1997-11-15  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-pre3 is released.
	* XEmacs 20.5-beta5 is released.

1997-11-13  Marc Paquette  <marcpa@cam.org>

	* nt/Todo: added a task for support of lisp packages through
	the registry.

1997-11-13  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* Renamed files *w32* to *msw*

	* Changed 'w32' and 'win32' to 'mswindows', and HAVE_W32GUI to
	  HAVE_MS_WINDOWS. Changed files:
	  cus-edit.el, device.el, faces.el, frame.el, msw-faces.el,
	  msw.init.el, igrep.el, dumped-lisp.el, font.el, hippie-exp.el,
	  sysdep.el, console-msw.c, console-msw.h, console.c,
	  device-msw.c, emacs.c, event-msw.c, event-msw.h, event-stream.c,
	  events.c, events.h, faces.c, frame-msw.c, frame.c, general.c,
	  msw-proc.c, objects-msw.c, objects-msw.h, redisplay-msw.c,
	  redisplay.c, symsinit.h,

	* Didn't change 'win32' in nt.c, nt.h, ntproc.c

	* Deleted w32 build directory since nt build directory now handles
	  X and native mswindows builds.

1997-11-11  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta4 is released.

1997-11-10  SL Baur  <steve@altair.xemacs.org>

	* info/dir: remove packaged entries.
	From Glynn Clements <glynn@sensei.co.uk>

	* configure.in: Puke and die if NAS sound is selected without X.

1997-11-08  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta3 is released.
	* XEmacs 20.3-pre2 is released.

Wed November 05 23:40:00 1997 <jhar@tardis.ed.ac.uk>

	* w32/xemacs.mak: moved building the DOC file to after the .elcs.

Sun November 01 12:00:00 1997 <jhar@tardis.ed.ac.uk>

	* Files split from nt to new w32 directory:
	  ChangeLog, README, Todo, paths.h, config.h, inc/*, runemacs.c,
	  xemacs.mak.

1997-11-05  Didier Verna  <didier@xemacs.org>

	* configure.in: Added the --site-prefixes options for the configure
	script. You give a colon or space separated list of prefixes, and
	subdirectories include/ and lib/ will be added with -I and -L.

1997-11-05  Martin Buchholz  <martin@xemacs.org>

	* configure.in: AIX + gcc fixes.
	  - Don't wrap -B. aixflags changed to start_flags.

1997-11-04  SL Baur  <steve@altair.xemacs.org>

	* lwlib/lwlib-Xm.c(update_one_menu_entry): Add missing variable.
	From Skip Montanaro <skip@calendar.com>

1997-11-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Delete etc/TUTORIAL.th because Thai is not supported yet.

1997-11-02  Kyle Jones  <kyle_jones@wonderworks.com>

	* lwlib/lwlib-Xaw.c (xaw_pop_instance): Don't use parent
	  window's coordinates and dimensions to center the
	  dialog box unless its mapped_when_managed property is
	  true.  This should avoid the top level widget that the
	  HAVE_SESSION code creates, which is unmapped and
	  useless for this purpose.

1997-11-01  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-pre1 is released.

1997-10-31  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16 is released.

1997-10-31  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta2 is released.

1997-10-30  SL Baur  <steve@altair.xemacs.org>

	* configure.in (xetest): Eliminate tests for PNG, JPEG,
	TIFF(broken) and replace with test for ImageMagick.

1997-10-30  Kyle Jones  <kyle_jones@wonderworks.com>

	* lwlib/xlwmenu.h: Added string macro declarations for
	  titleForeground and highlightForeground properties.

	* lwlib/xlwmenuP.h: Added struct fields for title and
	  highlight colors.

	* lwlib/xlwmenu.c: Added initialization and usage code
	  for the new titleForeground and highlightForeground
	  properties.

1997-10-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta94 is released.

1997-10-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Correct last patch for berkdb.

1997-10-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta93 is released.

1997-10-27  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/make-path.c:
	* lib-src/digest-doc.c:
	* lib-src/gnuslib.c: Always include config.h before system headers
	* configure.in: Improve AIX configure support
	  - NON_GNU_CC defaults to `xlc'
	  - CFLAGS defaults to "-O3 -qstrict  -qlibansi -qinfo -qro
	    -qmaxmem=20000"
	  - check for sin instead of sqrt in -lm to avoid xlc internal error
	  - Detect -li18n for use with Motif
	  - Move weird AIX static linking flags from s&m files to configure.in
	  - use #pragma instead of -ma flag to avoid compiler warnings

1997-10-25  Kyle Jones  <kyle_jones@wonderworks.com>

	* lwlib/xlwmenu.c: Use XtRDimension in place of
	  XmRHorizontalDimension in shadowThickness resource
	  declaration.

	* lwlib/xlwmenu.c (label_button_draw): Use the button_gc
	  color as the foreground for selected entries.

	* lwlib/xlwmenu.c (push_button_draw): Use the button_gc
	  color as the foreground for selected entries.

	* lwlib/xlwmenu.c (toggle_decoration_height): Force
	  height to be minimum of 2x the shadow thickness.

1997-10-24  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Don't choke on Berkeley DB 2.x.

1997-10-24  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta92 is released.

1997-10-21  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (lisp/utils/finder-inf.el): Don't force rebuild if
	it already exists (use `make finder' to force rebuild).

1997-10-18  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta91 is released.

1997-10-15  Olivier Galibert  <olivier.galibert@mines.u-nancy.fr>

	* configure.in: Removed -Olimit=2000 from cc for IRIX.

1997-10-12  Karl M. Hegbloom  <karlheg@inetarena.com>

	* configure.in (null_string): Added AC_SUBST(infodir_user_defined)
 	and removed backquoted echo statement from the infopath report line.

1997-10-15  Olivier Galibert  <olivier.galibert@mines.u-nancy.fr>

	* configure.in: Added detection of the declaration of the timezone
 	variable in system files. Defines HAVE_TIMEZONE_DECL if yes.


1997-10-15  Olivier Galibert  <olivier.galibert@mines.u-nancy.fr>

	* config.h.in: Add HAVE_TIMEZONE_DECL for detection of declaration
 	of the timezone variable in system headers.

	* systime.h: Use HAVE_TIMEZONE_DECL.

1997-10-14  SL Baur  <steve@altair.xemacs.org>

	* configure.in (all_widgets): Don't allow configuration of
	--with-mule if Mule lisp hasn't been installed.

1997-10-13  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Remove `site-lisp' from list of directories to
	make symbolic links for.

	* XEmacs 20.3-beta90 is released.

1997-10-12  Glynn Clements  <glynn@sensei.co.uk>

	* info/dir: Cosmetic changes to info/dir

1997-10-12  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.5-beta1 is released.

	* XEmacs 19.16-pre9 is released.

	* XEmacs 19.16-pre8 is released.

1997-10-11  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta28 is released.

	* Makefile.in (src/paths.h): Update PATH_INFOPATH
	(infopath): New shell variable.
	(infopath_user_defined): Ditto.

	* configure.in (infodir_user_defined): Spelling fixes.

1997-10-10  Karl M. Hegbloom  <karlheg@inetarena.com>

	* configure.in: added options and option help docs for infopath
 	and lockdir
	* '' added a line to the report for infopath and lockdir

1997-10-10  Karl M. Hegbloom  <karlheg@inetarena.com>

	* Makefile.in.in (INFOPATH): Added variable and put it into
 	DUMPENV.

1997-10-11  SL Baur  <steve@altair.xemacs.org>

	* packages/info/localdir: New directory and file.

	* packages/README: New directory & file.

1997-10-10  Martin Buchholz  <mrb@eng.sun.com>

	* Makefile.in: Add `make configure' target

1997-10-07  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-pre7 is released.

1997-10-05  Damon Lipparelli  <lipp@aa.net>

	* Makefile.in (install-arch-dep, install-arch-indep): Move the
	commands for symlink'ing the system-independent bits into the
	system-dependent directory structure from "install-arch-indep" to
	"install-arch-dep".

1997-10-06  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* Makefile.in (blddir): variable from "configure".
	(finder): use it.

1997-10-05  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (GENERATED_LISP): New variable.
	(all): Force dependency on finder-inf.el.
	(lisp/utils/finder-inf.el): new rule.

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-pre6 is released.

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta27 is released.

1997-10-03  Damon Lipparelli  <lipp@primus.com>

	* Makefile.in (install-arch-indep): When --prefix !=
	--exec-prefix, symlink the system-independent bits into the
	system-dependent directory structure (rather than the other way
	around).

1997-10-03  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/etags.c:  etags 12.28 + prototypization
	* INSTALL:  Better document --site-runtime-libraries
	* src/scrollbar-x.c (x_update_scrollbar_instance_status):
	  FIX: M-x scroll-left; horizontal scrollbar appears; drag it
	  left; scrollbar disappears; keyboard inoperative.
	* configure.in:  Remove left-over references to *_switch_x_*
	  - NAS libaudio is part of $libs_x, not $LIBS

1997-10-02  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta26 is released.

1997-09-30  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta25 is released.

	* Makefile.in (install-arch-dep): Install the `Installation' for
	future reference.

	* Makefile.in (top_distclean): Remove finder-inf.el*.

	* configure.in (use_union_type): Default to "yes".

1997-09-29  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in:  Add tiff autodetection

1997-09-29  SL Baur  <steve@altair.xemacs.org>

	* lwlib/xlwmenu.c: Add bounds checking.
	Check error return on XmStringGetLtoR.

1997-09-27  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta24 is released.

1997-09-27  Hrvoje Niksic  <hniksic@srce.hr>

	* Makefile.in (custom-loads): New target.

1997-09-23  SL Baur  <steve@altair.xemacs.org>

	* lwlib/xlwmenu.c: Fix compilation problem with USE_XFONTSET.
	From Kazuyuki IENAGA <ienaga@jsys.co.jp>

1997-09-22  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-pre4 is released.

1997-09-20  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta23 is released.

1997-09-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-pre3 is released.

1997-09-19  Martin Buchholz  <mrb@eng.sun.com>

	* src/redisplay-tty.c: Fix crashes with non-7bit tty escape
	sequences (needs more testing).
	* */Makefile*:
	- Cleanup man/*/Makefile for consistency.
	- use $(MAKEFINFO), $(TEXI2DVI), etc...
	- Make combination --with-srcdir + Sun make work properly.
	- Change construct: test -d $${dir} || mkdir $${dir}
	   --> if test ! -d $${dir}; then mkdir $${dir}; fi
	* lisp/x11/x-win-sun.el: Fix remaining glitches with
	re-mappings of Sun function keys.
	* configure.in: Detect libXaw AFTER libXpm to support libXawXpm.
	* man/internals/internals.texi:  Fix makeinfo compilation error.

1997-09-17  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta22 is released.

1997-09-16  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta21 is released.

	* XEmacs 19.16-pre2 is released.

1997-09-13  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta20 is released.

1997-09-11  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Use `PATH' for options that take multiple dirs.
	- Fix test for $PWD == `pwd`
	- Prefer autodetected X11R6 to X11 so that broken HP and Linux
	systems can work.  (untested)

	* lisp/cl/cl.el:  Fix `loop' indentation to be same as `defun'.
	* lisp/prim/dumped-lisp.el:  cl-extra and cl-seq always end up
	being autoloaded - let's make them part of the core.

	* lisp/x11/x-compose.el:
	* lisp/x11/x-init.el:
	* lisp/x11/x-win-sun.el:
	* lisp/x11/x-winxfree86.el:
	* src/device-x.c:
	* src/event-Xt.c:
	- Yet another rewrite of key handling (not the last, though)
	- x-keysym-on-keyboard-p is much faster.
	- x-keysym-on-keyboard-sans-modifiers-p introduced.
	- x-keysym-hashtable introduced.
	- allow X11R4 libs to guess keysyms on X11R5 servers.
	- A better workaround for the bug that some Xlibs generate
	  Multi_key a adiaeresis when pressing Multi_key a "

	* src/dgif_lib.c: Make sure size_t is defined before using it.

1997-09-12  SL Baur  <steve@altair.xemacs.org>

	XEmacs 19.16-pre1 "Queens" is released.

1997-09-08  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Reverse package-path.
	From Colin Rafferty <craffert@ml.com>

1997-09-02  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta19 is released.

	* Makefile.in (finder): New target.

1997-08-29  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-beta91 is released.

1997-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/apel/emu-x20.el (mime-charset-coding-system-alist):
	iso-2022-jp-2 is defined as coding-system.

	* lisp/mule/mule-coding.el: Rename `iso-2022-ss2-{7|8}' ->
	`iso-2022-{7|8}bit-ss2' to sync with Emacs 20.0.96.

	(iso-2022-jp-2): New coding system.

1997-08-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/prim/about.el (about-maintainer-glyph): Fix problem with
	jka-compr.el.

1997-08-20  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 19.16-beta90 is released.

1997-08-16  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta18 is released.

1997-08-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta17 is released.

1997-08-09  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in:
	- use-system-malloc renamed to with-system-malloc.
	- config.el reimplemented for improved accuracy.
	- new variable `blddir' introduced for informational purposes.
	* lib-src/config.values.in: new config.el implementation
	* lib-src/config.values.sh: new config.el implementation
	* lisp/modes/pascal.el: Sync with GNU Emacs, fix infloop problem
	(thanks to Espen Skoglund, pascal.el maintainer)
	* src/chartab.c: maintainability improvements.
	* src/mule-coding.c: FIX for: editing DOS files with ISO2022*
	coding systems results in extra CR's inserted into file on saving.

1997-08-06  SL Baur  <steve@altair.xemacs.org>

	* configure.in: Crash & burn if db-2 is detected.
	From Soren Dayton <csdayton@cs.uchicago.edu>

1997-07-31  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta16 is released.

1997-07-31  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: --with-x11=no --> --with-xface=no
	* lisp/efs/dired-xemacs.el: Rationalize mouse file functions
	* src/input-method-xlib.c: Allow xemacs to connect to kinput2
	* event-Xt.c: Fix crashes when no input context available.
	* src/mule-coding.c: Use enum eol_type instead of int consistently
	* regex.c:  Use (void *) 0 instead of NULL in varargs function calls
	* src/s/freebsd.h: Wrap #include X11/Xlocale.h inside #ifndef
	NOT_C_CODE

1997-07-26  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta15 is released.

1997-07-25  SL Baur  <steve@altair.xemacs.org>

	* lwlib/xlwscrollbar.c: Add debug malloc support.
	* lwlib/xlwmenu.c: Ditto.
	* lwlib/lwlib-utils.h: Ditto.

	* configure.in (null_string): Add --use-debug-malloc option.

1997-07-21  SL Baur  <steve@altair.xemacs.org>

	* info/dir (Packages): Remove AUCTeX, Gnus and Message manuals.

1997-07-20  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in (install-arch-indep): Create required links when
	prefixdir != execdir.

1997-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta14 is released.

1997-07-19  Martin Buchholz  <mrb@eng.sun.com>

	* src/fns.c (require): Print messages when loading a file as a
	result of require.

	* configure.in:
	* lisp/utils/config.el:
	* lib-src/config.values:
	- new file created and installed by building.
	- Allow configuration time values to be queried by the lisp code.

	* configure.in:
	- check for alloca in libPW on hpux.
	- Redo --with-clash-detection
	- need to check for termios and friends even if with-tty=no.
	- Always define SIGNALS_VIA_CHARACTERS if HAVE_TERMIOS
	- better quoting for AIX_SMT_EXP (untested)
	- gcc flags now default to "-g -O2 -Wall -Wno-switch"

	* *.[ch]: more warning elimination

	* src/input-method*.c:
	* src/s/freebsd.h:
	- remove freebsd ifdefs from C code.

	* src/specifier.c:
	- fix Fdisplay-table-specifier-p

1997-07-13  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta13 is released.

	* info/dir (Packages): Integrate texinfo manual for PH.

1997-07-10  Hrvoje Niksic  <hniksic@srce.hr>

 	* extents.c (print_extent): Print correctly.

1997-07-13  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): Add -Wall to default gcc CFLAGS.

1997-07-11  Martin Buchholz  <mrb@eng.sun.com>

	* *Makefile*: More cleanup.
	- MAKE CFLAGS=-foo now works with recursive invocations on old makes
	- Nuke ld_call_shared from s&m files
	- Nuke src/s/*-static.h
	- Nuke Solaris and DEC OSF static build support.
	- Nuke SHORTNAMES
	- Nuke libmld
	- CLASH_DETECTION configurable, off by default.

	* *.[ch]: Warning elimination, code cleanup, some 64-bit
	safeguarding.

	* sol2.h: More bullet-proofing for Sun bugs in header files.

	* lib-src/etags.c: etags version 12.19.

	* lisp/x11/x-select.el:
	* src/xselect.c: Try STRING if selection owner couldn't convert
	COMPOUND_TEXT.

	* src/*.c: Change defalt to default_, and in general allow
	doc-snarfing functions to recognize and ignore trailing `_'

	* src/*.[ch]: Introduce XVECTOR_DATA and XVECTOR_LENGTH macros and
	convert source code to use them consistently.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta12 is released.

1997-07-08  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Set options differently, depending on beta-ness of
	build tree.
	* *Makefile*: Clean up *clean: targets, esp. Steven's beloved
	distclean.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* pkg-src/tree-x/Makefile.in.in (xoobr): Pass CFLAGS to the
	linker.
	From Olivier Galibert <Olivier.Galibert@mines.u-nancy.fr>

1997-07-07  Steven L Baur  <steve@altair.xemacs.org>

	* pkg-src/tree-x/Makefile.in.in (distclean): Add target.

1997-07-06  Steven L Baur  <steve@altair.xemacs.org>

	* lwlib/lwlib-Xm.c (xm_update_one_value): Hand application of mrb
	fix.  Restoration of lossage from beta10->beta11 upgrade.

	* XEmacs 20.3-beta11 is released.

1997-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/language/english.el: Add quail-british for British.

	* lisp/language/european.el: Register input-method for various non
	quail-latin-1 methods.

1997-07-05  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/getopt*.c: Don't redefine const - let configure do that.

	* configure.in: Better behavior for `configure --with-gcc=no'
	- Autodetect ulimit.h
	- Remove broken SunOS4 kludge for libXmu
	- Autodetect usleep

	* src/s/sol2.h: Support gcc on various Solaris releases.

	* lib-src/*.c: Ansify prototypes.

	* lisp/prim/files.el: Optimize auto-mode-alist.

	* pkg-src/tree-x/Makefile.in.in: `make distclean' now works
	- `make install' now works.
	- dependencies updated.

	* pkg-src/tree-x/*.[ch]: Fix compile warnings.
	- Replace uses of XtVa* with non-varargs variants.

1997-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/modes/image-mode.el: Add `image-maybe-restore' to
	`change-major-mode-hook'.

	* lisp/modes/image-mode.el (image-maybe-restore): New function.

	* src/glyphs.c (make_string_from_file): must protect from
	`format-alist'.

1997-06-30  Steven L Baur  <steve@altair.xemacs.org>

	* pkg-src/tree-x/Makefile.in.in (INSTALL): Add configure written
	variable.

1997-06-29  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): Correct typo `print-lib-gcc-file-name'
	should be `print-libgcc-file-name'
	From Katsumi Yamaoka <yamaoka@ga.sony.co.jp>

	* XEmacs 20.3-beta10 is released.

1997-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/language/chinese.el: Add chinese-isoir165 (CCITT Extended
	GB).

	* lisp/language/chinese.el: Modify charset DOC-strings for CNS
	11643 to be more detailed.

	* lisp/language/arabic.el: Rename `arabic-0', `arabic-1' and
	`arabic-2' to `arabic-digit', `arabic-1-column' and
	`arabic-2-column' to sync with Emacs/mule-19.34.94-zeta.

	* src/mule-charset.c: Modify charset DOC-strings to be more
	detailed.

	Use BOX DRAWINGS characters of JIS X0208.

1997-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/apel/richtext.el: Add autoload comments for
	`richtext-encode' and `richtext-decode'.

	* lisp/prim/format.el (format-alist): Add `text/richtext'.

	* lisp/tl/chartblxmas.el: New file.

	* lisp/x11/x-menubar.el (default-menubar): Add "Show character
	table" for MULE menu.

	* lisp/apel/emu.el: Check richtext.el is bundled.

	* lisp/tl/char-table.el (view-charset): New command.

	* lisp/tl/char-table.el: Rename some functions.

	* lisp/packages/hexl.el (hexl-mode-exit): Run
	`hexl-mode-exit-hook'.

	* lisp/x11/x-menubar.el (default-menubar): Fix "Describe language
	support" and "Set language environment" of mule menu.

	* lisp/apel/file-detect.el: Add autoload comments for function
	`add-path', `add-latest-path', `get-latest-path',
	`file-installed-p', `exec-installed-p', `module-installed-p' and
	variable `exec-suffix-list'.

	* lisp/prim/format.el (format-alist): Add image/jpeg, image/gif,
	image/png and image/x-xpm.

	* lisp/modes/image-mode.el: New file.

1997-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/tm/tm-ew-e.el (tm-eword::encode-string-1): avoid infinite
	loop caused by long non-encoded-word element. (cf. [tm-en:1356])

	(mime/field-encoding-method-alist): Add "Message-ID" as ignored.

1997-06-25  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta9 is released.

	* Makefile.in (dist): Make `make dist' work for me.

1997-06-25  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in:
	- Change "t" to tabs in sed commands
	- Add /g to sed substitition commands when appropriate
	- Change XtVa[SG]etValue to Xt[SG]etValue
	- Make version variables into Lisp_Objects.

1997-06-19  Martin Buchholz  <mrb@eng.sun.com>

	* src/config.h.in:
	* configure.in:
	- Autodetect X defines using xmkmf.
	- Compute rpath on *bsd* systems as well.
	- rewrite PRINT_VAR m4 macro.
	- detect sizes of void* and long long for future use by unex*.c
	* regex.c: _GNU_SOURCE may be defined by config.h; don't redefine.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/language/arabic.el: moved from lisp/mule/arabic-hooks.el.

	* lisp/mh-e/mh-e.el (mh-get-new-mail): Decode output as
	`mh-folder-coding-system'.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/language/ethio-util.el: imported from
	Emacs/mule-19.34.94-zeta.

	* lisp/language/arabic-util.el: moved from lisp/mule/arabic.el;
	repair Arabic characters.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lib-src/update-autoloads.sh: Search lisp/mule/.

	* lisp/x11/x-menubar.el: Fix "Describe language support" and "Set
	language environment" of Mule menu.

	* lisp/language/visual-mode.el: moved from mule/.

	* lisp/language/ethiopic.el: Modify for XEmacs.

	* lisp/language/cyrillic.el: Modify DOC-string of koi8-r; Fixed
	problem of setting for `language-info-alist' about koi8-r.

	* lisp/mule/auto-autoloads.el: Enable auto-autoloads.el for mule/.

	* lisp/mule/mule-util.el: New file (imported from
	Emacs/mule-19.34.94-zeta).

	* lisp/mule/mule-misc.el: Function `truncate-string-to-width' was
	moved to mule-util.el.

	* lisp/prim/dumped-lisp.el, lisp/mule/mule-load.el:
	lisp/mule/arabic-hooks.el was moved to lisp/language/arabic.el;
	lisp/mule/arabic.el was moved to lisp/language/arabic-util.el; Use
	lisp/language/ethiopic.el instead of lisp/mule/ethiopic-hooks.el;
	Use lisp/language/ethio-util.el instead of lisp/mule/ethiopic.el.

	* lisp/mule/mule-coding.el (coding-system-docstring): New alias to
	emulate Emacs/mule-19.34.94-zeta function.

	* lisp/mule/mule-cmds.el: modified to sync with
	Emacs/mule-19.34.94-zeta (mule-prefix was changed to "C-x C-m")

	(set-language-info): Add to "Describe Language Support" and "Set
	Language Environment" menu.

	* lisp/mule/mule-charset.el: Function `compose-region' and
	`decompose-region' were moved to mule-util.el.

	* lisp/leim/quail.el: modify to sync with latest quail.el of
	Emacs/mule in ETL.

	(quail-toggle-mode-temporarily): check `quail-conv-overlay'.

	(quail-map-p): Use `characterp' instead of `integerp'.

1997-06-21  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in: Missing FRC.info.
	(install-arch-dep): Add missing backslash.
	From Glynn Clements <glynn@sensei.co.uk>

	* XEmacs 20.3-beta8 is released.

1997-06-20  Olivier Galibert  <Olivier.Galibert@mines.u-nancy.fr>

	* lwlib/lwlib-Xaw.c, lwlib/lwlib-Xlw.c, lwlib/lwlib-Xm.c,
	lwlib/lwlib.c:  Make 64 bit clean.

1997-06-19  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in:
	- Autodetect X defines using xmkmf.
	- Compute rpath on *bsd* systems as well.
	- rewrite PRINT_VAR m4 macro.
	- detect sizes of void* and long long for future use by unex*.c

1997-06-18  Martin Buchholz  <mrb@eng.sun.com>

	* */Makefile.in.in: Another rewrite
	Make makefiles immune from being mangled by various cpp
	implementations by quoting non-preprocessor directive lines.
	- random cleanup
	- Use $(RM) and $(pwd) macros consistently
	- Add dependencies for balloon-help source files
	- Use getcwd by default instead of getwd.
	* lwlib/config.h:  Now includes src/config.h
	* lwlib/*.c: Use config.h, but DON'T use Xos.h
	* lib-src/*.c: Fix compiler warnings
	* lisp/version.el:
	- Put version information in version.sh instead of version.el

Wed Jun 18 16:41:43 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (CPP): Remove hardcoding of -L/usr/local/lib
	-I/usr/local/include.

1997-06-14  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta7 is released.

1997-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus/smiley.el (smiley-deformed-regexp-alist): Modify
	regexp for horizontal smiley faces.
	(smiley-nosey-regexp-alist): Add horizontal smiley faces.

	* lisp/leim/quail.el (quail-get-translation): Don't use
	`string-to-vector' for XEmacs.

1997-06-13  Gary D. Foster  <Gary.Foster@corp.Sun.COM>

	* lisp/modes/*.el: Removed all "\177" bindings that were
	  previously commented out and normalized everything vis a vis
	  'backspace and 'delete keysyms.
	* lisp/packages/*.el: Normalized all the "\177" bindings
	* lisp/modes/cperl-mode.el: Created cperl-electric-delete function
	  which is a "smart" version of the cperl-electric-backspace
	  function (it honors the desired delete direction).  Bound it to
	  'delete and the electric-backspace to 'backspace.
	* lisp/packages/pending-del.el: Added cperl-electric-backspace and
	  cperl-electric-delete to the 'supersede list.

1997-06-11  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-b6 is released.

	* configure.in (GNU_MALLOC): Check for (-l)PW instead of (-l)-lPW.
	Suggested by Martin Buchholz  <mrb@eng.sun.com>

1997-06-11  Martin Buchholz  <mrb@eng.sun.com>

	* src/Makefile.in:
	* lwlib/Makefile.in:
	* lib-src/Makefile.in:
	* Makefile.in: More Makefile cleanup
	- add .PHONY targets where necessary
	- remove most builtin rules using .SUFFIXES
	- -lXau only gets used for linking gnuserv binaries
	- No VPATH for root Makefile
	- remove gcc v1 support
	* configure.in:
	- A new test to autodetect need to define NARROWPROTO,
	  needed by XFree86
	- Consistently use idiom foo=`echo '' $foo | sed -s 's:^ ::' -e ...`
	- Immediately exit if SIZEOF_* tests fail.
	- Check for libPW
	- Use more sophisticated Xpm test that confirms xpm.h and libXpm
	  are in sync.
	* src/s/linux.h:
	* src/m/intel386.h: Yet another attempt to clean up linux defines.

1997-06-10  Steven L Baur  <steve@altair.xemacs.org>

	* lib-src/pop.c: Correct incantation for pop.h.
	From Martin Buchholz <mrb@Eng.Sun.COM>

Tue Jun 10 15:11:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (beta): Correct test looking for Beta number.

1997-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* src/Makefile.in.in, mule/language/misc-lang.el,
	mule/mule-load.el, mule/ipa-hooks.el: Use
	lisp/mule/language/misc-lang.el instead of lisp/mule/ipa-hooks.el;
	mule/ipa-hooks.el was deleted.

1997-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Use lisp/mule/language/thai-util.el instead of
	lisp/mule/thai.el.

	* lisp/custom/wid-edit.el: Add widget `coding-system' for mule.

	* lisp/mule/thai-hooks.el, lisp/mule/mule-load.el: Use
	lisp/mule/language/thai.el instead of lisp/mule/thai-hooks.el.

	* lisp/mule/language/thai.el: modified for XEmacs.

1997-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/mule/mule-load.el, src/Makefile.in.in: Use
	lisp/mule/language/chinese.el, lisp/mule/language/cyrillic.el,
	lisp/mule/language/european.el, lisp/mule/language/greek.el,
	lisp/mule/language/japanese.el and lisp/mule/language/korean.el
	instead of lisp/mule/chinese-hooks.el,
	lisp/mule/cyrillic-hooks.el, lisp/mule/european-hooks.el,
	lisp/mule/greek-hooks.el, lisp/mule/japanese-hooks.el and
	lisp/mule/korean-hooks.el.

	* lisp/mule/language/*.el was imported from
	Emacs/mule-19.34.94-zeta.

	* Use lisp/mule/language/china-util.el instead of
	lisp/mule/chinese.el.

1997-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/apel/emu-x20.el (mime-charset-coding-system-alist):
	iso-8859-1, hz-gb-2312, cn-gb-2312, gb2312, cn-big5 and koi8-r
	were defined as coding-system.

1997-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus/smiley.el (smiley-deformed-regexp-alist): Add Japanese
	smiley faces.

1997-06-10  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* lisp/modes/view-less.el: Changed \177 bindings to 'delete
	* lisp/modes/help.el: Changed \177 bindings to 'delete

1997-06-10  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* lisp/prim/keydefs.el: Changed all 'delete key bindings to point to
	  the `backward-or-forward-foo' functions.
	* lisp/prim/simple.el:
	- Renamed `delete-erases-forward' to `delete-key-deletes-forward'.
	- Removed `backspace-or-delete-hook'
	- Renamed `backspace-or-delete' to `backward-or-forward-delete-char'
	- Added functions: `backward-or-forward-kill-word'
	 `backward-or-forward-kill-sentence'
	 `backward-or-forward-kill-sexp'
	- Removed the zmacs hacks from all the `b-or-f-foo' functions and
	  began playing nicely with pending-del.
	* lisp/modes/cc-mode.el:
	* lisp/modes/cperl-mode.el: Fixed references to delete functions
	  to use the new names.

1997-06-09  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-b5 is released.

1997-06-05  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-b4 is released.

1997-06-04  Martin Buchholz  <mrb@eng.sun.com>

	* src/*/*.h: Remove definitions of HAVE_UNION_WAIT, in accordance
	with new Autoconf 2 mechanisms.
	* src/syswait.h:
	* src/sysdep.c:
	* src/process.c: Use only Posix.1 sys/wait.h-defined symbols

	* src/s/netbsd.h: complete rewrite, use ORDINARY_LINK, #ifdef out
	old cruft that can be obtained from system header files.
	* lib-src/getopt*: Synch with FSF, remove compiler warnings.

	* lib-src/b2m.c:
	* src/gifalloc.c:
	* lib-src/gnuslib.c:
	* lib-src/profile.c:
	* lib-src/movemail.c: Fix compiler warnings

	* lib-src/Makefile.in.in: Remove unused -DCONFIG_BROKETS flag
	- Fix up compile flags for new etags version

	* man/xemacs/programs.texi:
	* lib-src/etags.c:  Upgraded to etags 12.11

	* src/config.h.in: Fix inline keyword support

	* configure.in: Use a different mechanism for removing extra white
	space.  Avoid using foo=`echo $bar`, which loses with various echos.
	- new M4 macro XE_SPACE(var, words...)
	- Use autoconf 2's AC_HEADER_SYS_WAIT
	- Check for Xpm-XpmFree instead of Xpm-XpmReadFileToData to avoid
	linking with losing Xpm implementations
	- Check for correct wnn4 lib symbols
	- Only link with inline.o when using gcc
	- Support inline keywords inline, __inline, __inline__
	- Ultrix now implies have_mmap=no
	- Sun sound in non-standard dirs now works
	- --native-sound-lib no longer ignored on HP & SGI
	- gpm configure tests moved after curses configure tests

1997-06-04  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* lisp/modes/cc-mode.el: Modified `c-electric-delete' to honor the
	  desired delete direction in both normal and "hungry" modes.
	* lisp/modes/cperl-mode.el: Modified `cperl-electric-backspace' to
	  honor the desired delete direction.

1997-05-30  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Automagically compute -R path for gcc

1997-05-30  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* lisp/vm/vm-vars.el: Fixed delete key binding to call
	  `vm-scroll-down'

Thu May 29 15:35:07 1997  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Add support for Solaris2.6 -z ignore linker flags

1997-05-29  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Replace standard Autoconf MMAP test with Neal
	Becker's replacement, hacked somewhat.

1997-05-16  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* lisp/prim/simple.el: Created `backspace-or-delete' function and
	  `backspace-or-delete-hook'
	* lisp/prim/keydefs.el: Changed \177 bindings to point to new
	  delete function.
	* lisp/modes/*.el: Removed conflicting \177 bindings.
	* lisp/modes/cc-mode.el: Modified `c-electric-delete' to use new
	  delete bindings.
	* lisp/modes/cperl-mode.el: Modified `cperl-electric-backspace' to
	  use new delete bindings.

1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/x11/x-menubar.el (default-menubar): Add menu for Mule.

	* lisp/mule/mule-cmds.el: Menu for XEmacs were moved to
 	x11/x-menubar.el.

1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/leim/quail.el: to avoid compiling warnings about
 	overlay.el.

1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/leim/quail.el: to sync with quail.el of
 	Emacs-19.34.94-zeta.

	* lisp/leim/quail/ziranma.el, lisp/leim/quail/tonepy.el,
 	lisp/leim/quail/py.el, lisp/leim/quail/qj.el,
 	lisp/leim/quail/sw.el, lisp/leim/quail/ccdospy.el,
 	lisp/leim/quail/punct.el, lisp/leim/quail/4corner.el,
 	lisp/leim/quail/symbol-ksc.el, lisp/leim/quail/ethiopic.el,
 	lisp/leim/quail/hanja.el, lisp/leim/quail/quick-cns.el,
 	lisp/leim/quail/tsangchi-cns.el, lisp/leim/quail/lrt.el,
 	lisp/leim/quail/tsangchi-b5.el, lisp/leim/quail/devanagari.el,
 	lisp/leim/quail/japanese.el, lisp/leim/quail/quick-b5.el,
 	lisp/leim/quail/punct-b5.el, lisp/leim/quail/qj-b5.el,
 	lisp/leim/quail/py-b5.el, lisp/leim/quail/ctlau.el,
 	lisp/leim/quail/ctlaub.el, lisp/leim/quail/ecdict.el,
 	lisp/leim/quail/array30.el, lisp/leim/quail/hangul3.el,
 	lisp/leim/quail/hanja-jis.el, lisp/leim/quail/cyrillic.el,
 	lisp/leim/quail/etzy.el, lisp/leim/quail/greek.el,
 	lisp/leim/quail/ipa.el, lisp/leim/quail/lao.el,
 	lisp/leim/quail/zozy.el, lisp/leim/quail/viqr.el,
 	lisp/leim/quail/latin.el, lisp/leim/quail/thai.el,
 	lisp/leim/quail/hangul.el: quail of LEIM for Emacs-19.34.94-zeta.

1997-06-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/korean.el was abolished because it seems not to be used.

	* mule/japanese.el was abolished because it seems not to be used.

1997-06-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/tm/gnus-mime-old.el was abolished because XEmacs 20.3 has
 	Gnus 5.4.

	* lisp/tm/tm-edit.el: updated to 7.108.

	* lisp/tm/tm-view.el: updated to 7.83.

	* lisp/leim/quail.el: modified for XEmacs.

	* lisp/mule/mule-load.el, lisp/mule/mule-process.el: delete
 	mule-process.el because it is not used.

	* lisp/mule/european.el was abolished because it seems not to be
 	used.

	* lisp/mule/mule-load.el: must load mule-cmds before setting for
 	language-environment.

	* lisp/mule/european-hooks.el: Modified for LEIM.

	* lisp/mule/mule-cmds.el: Uncomment key definition for
 	`toggle-input-method'.

	* lisp/mule/mule-init.el: Comment out about `mule-keymap' (moved
 	to mule-cmds.el).

	* lisp/mule/mule-cmds.el: Uncomment about `mule-keymap' (moved
 	from mule-init.el).

	* lisp/tl/tl-atype.el: Don't require tl-str.

	* lisp/tl/tl-atype.el: Use atype.el of APEL.

	* lisp/tl/tl-list.el: Use alist.el of APEL.

1997-05-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/tl/richtext.el, lisp/tl/emu-x20.el, lisp/tl/emu-xemacs.el,
 	lisp/tl/emu.el, lisp/tl/emu-e19.el: moved to apel/.

	* lisp/tl/file-detect.el, lisp/tl/filename.el: replaced by APEL's.

	* lisp/mu/std11-parse.el, lisp/mu/std11.el: moved to apel/.

	* lisp/leim/quail.el: Add new quail.el (imported from Emacs
 	19.34.94-epsilon).

	* lisp/leim/skk/skkdic.el: delete skkdic.el temporary because
 	XEmacs can not compile it.

	* lisp/leim/skk/skkdic.el, lisp/leim/quail/zozy.el,
 	lisp/leim/quail/ziranma.el, lisp/leim/quail/viqr.el,
 	lisp/leim/quail/tsangchi-cns.el, lisp/leim/quail/tsangchi-b5.el,
 	lisp/leim/quail/symbol-ksc.el, lisp/leim/quail/thai.el,
 	lisp/leim/quail/tonepy.el, lisp/leim/quail/quick-cns.el,
 	lisp/leim/quail/sw.el, lisp/leim/quail/qj-b5.el,
 	lisp/leim/quail/qj.el, lisp/leim/quail/quick-b5.el,
 	lisp/leim/quail/py-b5.el, lisp/leim/quail/py.el,
 	lisp/leim/quail/lao.el, lisp/leim/quail/latin.el,
 	lisp/leim/quail/lrt.el, lisp/leim/quail/punct-b5.el,
 	lisp/leim/quail/punct.el, lisp/leim/quail/hanja-jis.el,
 	lisp/leim/quail/hanja.el, lisp/leim/quail/ipa.el,
 	lisp/leim/quail/japanese.el, lisp/leim/quail/hangul3.el,
 	lisp/leim/quail/etzy.el, lisp/leim/quail/greek.el,
 	lisp/leim/quail/hangul.el, lisp/leim/quail/ethiopic.el,
 	lisp/leim/quail/devanagari.el, lisp/leim/quail/ecdict.el,
 	lisp/leim/quail/ctlau.el, lisp/leim/quail/ctlaub.el,
 	lisp/leim/quail/cyrillic.el, lisp/leim/quail/array30.el,
 	lisp/leim/quail/ccdospy.el, lisp/leim/quail/4corner.el: Add LEIM
 	elisp files; old lisp/quail was abolished.

	* src/Makefile.in.in: Add mule-cmds.elc.

	* lisp/mule/mule-load.el, lisp/mule/mule-cmds.el: Add mule-cmds.el
 	(imported from Emacs-19.34.94-epsilon and comment out a lot to
 	avoid conflict with mule-init.el or other XEmacs/mule files).

	* lisp/prim/simple.el (assoc-ignore-case): New function; imported
 	from Emacs-19.34.94-epsilon.

1997-05-29  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta3 is released.

	* INSTALL: Delete documentation of mocklisp support.

	* configure.in: Delete mocklisp support.

1997-05-29  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Replace standard Autoconf MMAP test with Neal
	Becker's replacement, hacked somewhat.

1997-05-28  Martin Buchholz  <mrb@eng.sun.com>

	* lisp/prim/files.el (auto-mode-alist): Reorg auto-mode-alist again.

	* lib-src/etags.c: Version 12.7 from Francesco.

	* configure.in: Juggle link order of X libraries.
	Add support for using zsh to run configure.
	Document --with-tty=no.
	Fix -no-recursion option.
	Recognize and ignore --cache-file option.
	Recognize null values for preprocessor symbols converted to shell
	variables.  This maybe fixes the "-ltermcap" problem.
	Remove spurious blanks from various SUBST-ituted variables.
	Fix conditional creation of gdbinit.
	Conditionally create .sbinit for Sunpro C.

1997-05-22  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-beta2 is released.

Thu May 22 04:19:09 1997  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Try to fix all reported bugs with 20.3-b1.
	Change HAVE_WNN6 to WNN6.  WNN6 correctly autodetected.
	extra-verbose now default on beta builds.
	extra-verbose now much more verbose.
	Don't set libs_termcap to " ".
	Detect -lXm AFTER detecting -lXpm.
	Use runtime paths before running tests, since AC_TRY_RUN may
	depend on it.
	with-xim=motif only default on Solaris.
	realpath moved from s&m to configure.in.
	xemacs-version.h removed.  main_1 now contains $canonical as well,
	for even more useful backtraces.
	termcap handling rewritten.
	Create .sbinit for Sun's source browser.
	Warn user if no XPM support present.
	Warn user if compiling in error checking.

	* Makefile.in: use MAKE_SUBDIR consistently.  Remove references to
	dynodump.  Remove core when cleaning.  Remove config.log.
	make distclean now functional.

Sun May 18 13:03:20 1997  Steven L Baur  <steve@altair.xemacs.org>

	* lwlib/Makefile.in.in (distclean): Clean up config.h.

	* Makefile.in (distclean): Remve config.log.
	remove broken dynodump stuffs.

Sat May 17 20:30:54 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.3-b1 is released.

Fri May 16 20:38:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* info/dir (Packages): Update minor version number.

	* README: Update minor version number.

Tue May 13 20:35:52 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-20.2 is released.

Sat May 10 16:14:30 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b6 is released.

Thu May  8 20:22:34 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b5 is released.

Fri May  2 16:50:02 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b4 is released.

Thu May  1 18:13:38 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (--with-xim): Don't default it to Motif since it
	causes crashes at startup on some systems.

Sun Apr 27 12:25:55 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b3 is released.

Wed Apr 23 10:33:58 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b2 is released.

	* configure.in (beta): OPENWINHOME misspelled.

Sat Apr 19 16:13:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.2-b1 is released.

Thu Apr 17 21:33:59 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (beta): SONY NEWS-OS has /etc/osversion and not
	uname.

Wed Apr 16 17:44:05 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1 is re-released.

Tue Apr 15 21:03:22 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1 is released.

Sat Apr 12 20:11:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b15 is released.

Sat Apr 12 09:01:32 1997  Hrvoje Niksic <hniksic@srce.hr>
	* PROBLEMS: I have cleaned up a bit the PROBLEMS file, by:
	1) changing it into sections -- there is now a section for building,
	   running and compatibility problems

	2) removing some obviously obsolete entries -- e.g. those pertaining
	   to Emacs 18, etc. --> size is off by 20K

	3) Rearranging the entries by relevance.  I have tried to put the most
	   relevant entries in front.

Thu Apr 10 19:07:26 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b14 is released.  (Beta 13 was skipped).

Wed Apr  9 22:52:06 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b12 is released.

Sun Apr  6 22:31:00 1997  Tatsuya Ichikawa  <ichikawa@hv.epson.co.jp>

	* configure.in: Cosmetic change to summary print of POP/Kerberos/
	Hesiod options.

Sat Apr  5 09:11:36 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b11 is released.

Wed Apr  2 15:27:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (install-only): New target.  Functionality suggested
	by Larry Schwimmer, correct way of doing it suggested by Chuck
	Thompson.

	* configure.in: Default to "-Olimit 2000" as suggested by Jamie
	Zawinski for SGI cc and Irix 6.

Tue Apr  1 12:23:13 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in: Add configuration parameters for Emacs 19.34
	movemail.c (--with-pop, --with-kerberos, --with-hesiod).

Fri Mar 28 19:58:41 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in: Remove garbage if [ ... ] constructs and a
	mispatch.

Thu Mar 27 18:24:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b10 is released.

Wed Mar 26 22:31:10 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Remove vms top-level directory.

	* XEmacs 19.15 final released to beta testers.

Tue Mar 25 19:13:27 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 19.15 prefinal released to beta testers.

Mon Mar 24 12:28:17 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (--debug): Correct documentation.

Sun Mar 23 17:24:38 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 19.15-b104 is released.

Sat Mar 22 17:55:15 1997  Darrell Kindred  <dkindred@cmu.edu>

	* configure.in (beta): Add configure support for the -rpath flag
	for IRIX analogous to the Solaris "-R".

Sat Mar 22 16:47:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* info/dir (Packages): Add HM-HTML-Mode to menu.

Sat Mar 22 21:27:41 1997  Tomasz J. Cholewo  <t.cholewo@ieee.org>

	* configure.in: Echo only current configuration using 'tee -a'.

Fri Mar 21 21:26:01 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-19.15-b103 is released.
	* XEmacs-20.0-b9 is released.

	* Makefile.in (top_distclean): Add `Installation' to distclean
	rule.

Fri Mar 21 20:05:29 1997  Darrell Kindred  <dkindred@cmu.edu>

	* Makefile.in (autoloads): Pass $(MAKE) to update-elc.sh and
	update-autoloads.sh.

Thu Mar 20 20:14:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-19.15-b102 is released.

Tue Mar 18 21:52:36 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-19.15-b101 is released.

Mon Mar 17 19:09:29 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-20.1-b8 is released.
	* XEmacs-19.15-b100 is released.

Sat Mar 15 17:15:18 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-20.1-b7 is released.
	* XEmacs-19.15-b99 is released.

Thu Mar 13 10:40:11 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in: Add sunos4-1-4 header files.

Wed Mar 12 18:53:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in: Use new file bsdos3.h with BSDI 3.0.

Sat Mar  8 15:19:33 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs-20.1-b6 is released.
	* XEmacs-19.15-b98 is released.

Wed Mar  5 18:55:36 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (install-arch-indep): Offer to compress lisp sources.
	(gzip-el): New targe for compressed installed lisp sources.

Tue Mar  4 23:28:37 1997  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/update-elc.sh: VM is compiled after the byte-compiler,
	but before anything else.  More flexible about finding an xemacs
	to use for byte-compilation (default src/xemacs).  Other minor fixes.

Mon Mar  3 23:57:56 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b5 is released.

Mon Mar  3 18:09:17 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b4 is released.

Sat Mar  1 15:38:30 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (distclean): Correct typos.

	* XEmacs 19.15-b96 is released.

	* configure.in: Symlink site-lisp when using --srcdir.
	Add special handling of lisp directory to allow for multiple
	site-packages files.

Fri Feb 28 20:38:46 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (distclean): Create lock and site-lisp directories
	when they don't exist (after being pruned by CVS).

Wed Feb 26 22:12:12 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (top_distclean): Reset src/PURESIZE.h for
	distribution.

	* XEmacs 20.1-b3 is released.

Sun Feb 23 17:10:09 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b2 is released.

Sat Feb 22 14:29:44 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 19-15-b'95 is released.

Fri Feb 21 22:29:51 1997  Martin Buchholz  <mrb@eng.sun.com>

	* lwlib/xlwscrollbar.c : Fix many scrollbar bugs:
	- "knob" renamed to "slider"
	- leftmost pixel wasn't sensitive to button clicks, while righmost
	  pixel was.
	- many glitches fixed if Emacs*XlwScrollBar.ArrowPosition:same:
	  - goobers on top of up-arrow removed.
	  - up-arrow would not always be redrawn when necessary
	  - slider drag would be `off' by size of up-arrow
	- horizontal and vertical scrollbars didn't use exactly the same
	  dimensions.
	- slider was never drawn if XlwScrollBar.shadowThickness was 0.
	- Now up- and down-arrows actually work near beginning/end of buffer!

Thu Feb 20 12:40:57 1997  Jan Vroonhof <vroonhof@math.ethz.ch>

	* configure.in (with_xauth): Attempted correction of test for
	libXmu on SunOS.

Sat Feb 15 14:11:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.1-b1 is released.
	* XEmacs 19.15-b94 is released.

Fri Feb 14 23:23:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* README: ``This directory tree holds version 19.13 ...'' ???

Sun Feb  9 16:15:55 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 19.15-b93 is released.
	XEmacs 20.0 is released to the 'net.

Fri Feb  7 19:21:34 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.0try3 is released.

Wed Feb  5 18:03:06 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.0try2 is released.

Mon Feb  3 19:39:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 19.15-b92 is released.

Sat Feb  1 18:17:38 1997  Steven L Baur <steve@altair.xemacs.org>

	* XEmacs 20.0try1 is released.
	* XEmacs 19.15-b91 AKA XEmacs '97 NOT! is released.

Sat Feb  1 00:00:48 1997  Steven L Baur  <steve@altair.xemacs.org>

	* PROBLEMS:  Updated from beta test bug reports.
	Put in outline-mode/outl-mouse-minor-mode by default.

Wed Jan 29 19:59:41 1997  Steven L Baur  <steve@altair.xemacs.org>

	* CHANGES-beta: XEmacs 20.0-b93 is released.

Sat Jan 25 15:43:59 1997  Steven L Baur  <steve@altair.xemacs.org>

	* CHANGES-beta: XEmacs 20.0-b92 is released.

Fri Jan 24 09:54:01 1997  Steven L Baur  <steve@altair.xemacs.org>

	* lwlib/xlwmenu.c (massage_resource_name): Changed comparison of
	char and pointer.

Thu Jan 23 10:39:34 1997  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/update-elc.sh (ignore_dirs): Quoting portability.

Wed Jan 22 21:07:17 1997  Steven L Baur  <steve@altair.xemacs.org>
	* XEmacs 20.0-b91 (prerelease 2) is released.

	* configure.in (--with-scrollbars): Add Athena3d as a toolkit
	type.

	* lwlib/lwlib-Xaw.c (xaw_update_one_widget): Let Athena 3d have 0
	borderwidth.
	(xaw_scrollbar_scroll): Use SCROLLBAR_LINE_UP and
	SCROLLBAR_LINE_DOWN since that's current the only to get to the
	bottom of the buffer. :-(

Tue Jan 21 20:01:19 1997  Steven L. Baur  <steve@altair.xemacs.org>

	* configure.in (beta): Add LWLIB_USES_ATHENA for odd
	configurations that use both Motif and Athena.

Wed Jan 15 12:55:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* info/dir (Gnus): Updated spelling and info.

Mon Jan 13 13:37:27 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in: Remove assignment of NON_GNU_CPP for irix-6.0.

Mon Jan 13 00:36:01 1997  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/make-docfile.c (scan_lisp_file): eliminate doc-string
	warnings for ccl-read-*

Sat Jan 11 12:05:31 1997  Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.0 beta90 (prerelease 1) is released.
	* XEmacs 19.15 beta90 (prerelease 1) is released.

Tue Jan  7 08:45:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* configure.in (LIBS): Revise test for XFree86 (look for XF86Config).

Sat Jan  4 14:52:57 1997  Steven L Baur  <steve@altair.xemacs.org>
	* XEmacs 20.0 beta 34 is released.
	* XEmacs 19.15 beta 7 is released.

Fri Jan  3 15:18:59 1997  Jeff Miller  <jmiller@smart.net>

	* lwlib/Makefile.in.in: lwlib is required if X11 is used.

Wed Jan  1 08:30:48 1997  Martin Buchholz  <mrb@eng.sun.com>

	* src/emacs.c: Make sure
	`./temacs -batch -l loadup.el run-temacs <emacs-args>'
	works properly

	* src/Makefile.in.in (rtcmacs): Add support for RTC, Sun's
	  competitor to Purify.

	* man/lispref/symbols.texi: Fix up bit vector documentation
	* man/lispref/sequences.texi: Fix up bit vector documentation

	* lisp/sunpro/sunpro-load.el: Only preload mime-setup for Sun.

	* lisp/prim/update-elc.el: Don't rely on autoloads.

Tue Dec 31 09:46:13 1996  Martin Buchholz  <mrb@eng.sun.com>

	* lisp/prim/auto-autoloads.el: New, completely program-generated, file
	* lib-src/update-autoloads.sh: Rewritten to use auto-autoloads.el.
	* lisp/utils/autoload.el: Reorganization of autoload mechanism:
	Errors during autoload generation are just that - errors.

	Generated autoloads are now in a separate file of their own.

	Reliability of autoload generation greatly increased.

	Distribution smaller by about 100k.

	`make autoloads' is still the preferred mechanism for update.

	Autoloads are always regenerated completely from scratch.  This
 	avoids errors with obsolete or corrupted autoload entries.

	Caching of autoload entries using timestamps has been eliminated.

	Files that have no autoloads no longer have a comment placed into
 	the generated autoloads file.

	There was a bug where autoload entries would sometimes end up
	being inserted into the *middle* of other autoload entries,
	thereby corrupting them.

	* src/event-Xt.c: Remove SUNOS_GCC_L0_BUG kludge.

Sun Dec 29 05:37:43 1996  Martin Buchholz  <mrb@eng.sun.com>

	* lib-src/update-autoloads.sh: Make sure that `make autoloads'
	  doesn't use the autoload facility to load `autoload';
	  load it explicity instead.

	* lib-src/update-elc.sh (ignore_dirs): ignore SCCS, CVS, RCS dirs

	* man/Makefile: Reinstate hyperbole & oo-browser manuals

	* lisp/modes/mail-abbrevs.el: Apply patch originated from Noah Friedman

	* src/mule-charset.c: Use lower case for charset registry, to
	  match XLFD.

	* Makefile.in: replace list of info files with *.info* - one less
	  maintenance headache

	* man/oo-browser.texi: Fix TeXability

	* man/hyperbole.texi: Fix TeXability

	* man/vhdl-mode.texi: Fix TeXability

	* lisp/prim/loaddefs.el: Wholesale housecleaning
	  `make autoloads' should finally work.

	* lib-src/emacsclient.c (main): ANSIfication, compiler warning removal

	* lisp/mule/mule-files.el: Add support for multi-lingual info files.

	* lib-src/update-elc.sh: `make all-elc' was updating files in
	  `special' directories without using the Makefiles
	  designed for that purpose.
	  - make sure ilisp isn't remade every time through `make all-elc'.

	* info/dir (Packages): Add Japanese TM info files

	* src/inline.c:  Allow compilation with `gcc -g'

	* src/syntax.c (word_constituent_p): Allow compilation with `gcc -g'

	* src/lread.c: Don't put `...' immediately after a filename, so
	  that various tools can recognize the filename as such.

	* src/event-Xt.c (x_to_emacs_keysym): Fix crash when
	  --with-xim=xlib and key event on window frame.
	  Change return foo to return (foo) when return is a macro.

	* src/editfns.c (Ffollowing_char): docstring fixes.

	* man/tm/Makefile: Add support for Japanese TM info (but not dvi) files.
	  This Makefile is no longer officially broken.

	* info/dir: Add Japanese tm documents.

	* man/tm/tm-vm-en.texi: Make document TeX-friendly.

	* lib-src/update-autoloads.sh (EMACS): Don't rely on non-portable
	  xargs -i flag.

	* lisp/mule/mule-files.el (file-coding-system-alist): Make sure
	  the `binary' coding system is used for .gz and .Z extensions.

	* man/viper.texi: Viper version 2.90

	* man/ediff.texi: Ediff Version 2.62

	* lisp/packages/ispell.el (ispell-word): Avoid using strings with
	  define-key, for compatibility with loaddefs.el

	* lisp/modes/eiffel3.el: Make compatible with update-autoloads.

	* lisp/ilisp/Makefile (elc): Add target to avoid re-compilation.

	* lib-src/update-elc.sh: XEmacs sometimes re-byte-compiled elisp
	  files in dirs that have their own Makefiles.

Sun Dec 29 17:02:49 1996  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in (install-arch-indep): Force compression with `gzip -f'.

	* lib-src/update-elc.sh (NUMTOCOMPILE): Ignore CVS directories.

	* Makefile.in (install-arch-indep): Catch .info-[0-9]* files for
	installation.

Sat Dec 28 15:33:27 1996 Steven L Baur  <steve@altair.xemacs.org>

	* XEmacs 20.0 beta 33 is released.
	* XEmacs 19.15 beta 6 is released.

Fri Dec 27 01:02:41 1996  Martin Buchholz  <mrb@eng.sun.com>

	* Makefile.in (install-arch-indep): Simplify installation of info
	pages.

Sat Dec 21 15:20:20 1996  Steven L Baur  <steve@altair.xemacs.org>
	* XEmacs 20.0-b32 released.

	* XEmacs 19.15-b5 released.

Wed Dec 18 20:22:08 1996  Martin Buchholz  <mrb@eng.sun.com>

	* configure.in: Reformat.  Fix shared include file rename
	problem.

	* configure: Reformat.  Fix shared include file rename problem.

	* dynodump/dynodump.c (__EXTENSIONS__): Define it.

Thu Dec 12 13:19:00 1996  Joseph J Nuspl  <nuspl@nvwls.cc.purdue.edu>

	* Makefile.in (install-arch-indep): Install infofiles gzipped by
	default.

Tue Dec 10 19:25:25 1996  Steven L Baur  <steve@altair.xemacs.org>

	* CHANGES-beta: XEmacs 20.0-b31 is released.

Tue Dec 10 18:33:19 1996  Rod Whitby  <rwhitby@asc.sps.mot.com>

	* info/vhdl-mode.info: New file.

	* info/dir (Packages): Add vhdl-mode documentation.

Tue Dec 10 18:27:02 1996  Martin Buchholz  <mrb@Eng.Sun.COM>

	* configure: Make shared/dynamic flags work much more logically.

Tue Dec 10 09:17:22 1996  David Worenklein  <dcw@gcm.com>

	* configure.in (machine): Patch to make newly renamed shared
	link include files work.

Sat Dec  7 16:28:10 1996  Martin Buchholz  <mrb@Eng.Sun.COM>

	* configure.in: Configure for POSIX getcwd if available.

Thu Dec  5 11:56:05 1996  Joseph J Nuspl <nuspl@nvwls.cc.purdue.edu>

	* configure.in (LIBS): Fix typo in dialog box test.


ChangeLog entries synched from GNU Emacs are the property of the FSF.
Other ChangeLog entries are usually the property of the author of the
change.

This file is part of XEmacs.

XEmacs is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

XEmacs is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.
